Welcome

This help manual documents the VanDyke Software® SecureFX®, version 8.7 high-security file transfer client. If you do not find the information you need here, or if you have any comments or suggestions, please visit the following web page:

https://www.vandyke.com/feedback.php

For the latest information about SecureFX and VanDyke Software, Inc., check out our home page:

www.vandyke.com

Make sure you don't miss important software releases and updates. Subscribe to our product mailing lists to receive email notifications when new releases of VanDyke products are announced.

https://www.vandyke.com/cgi-bin/subscribe.php?PID=6

For in-depth tips, calls for testers, and overviews of the latest beta and official releases, visit the VanDyke Software What's New page:

https://whatsnew.vandyke.com

Thank you!

The SecureFX Product Team


New in SecureFX

New in SecureFX 8.7

SecureFX 8.7 user interface enhancements streamline your workflow. Open multiple local windows within SecureFX and use the Session folder filter to include top-level folders in your filtered sessions. Also new is improved protocol support including HTTPS (WebDAV) and remote same-system copy. On macOS, Dark Mode is supported.

Here are some of the new features in SecureFX 8.7:

GUI enhancements

Multiple local windows: You can now open multiple local windows within SecureFX. When doing synchronized browsing, the remote session will be paired with its own local window.

Session folder filter: Include top-level folders in the Session Manager or Connect dialog filtered sessions by adding a forward slash to the end of the search text in the session filter box. Folders that match and the sessions in those folders are included in the filtered sessions. Partial matches are supported, making it even faster to find the session you’re looking for.

Dark mode support (macOS): Dark Mode support has been added on macOS 10.14 and later.

Improved protocol support

WebDAV support: SecureFX can now connect using the HTTPS (WebDAV) transfer protocol.

Specify TLS versions (Windows): A global option allows you to specify which TLS versions are allowed.

Remote same-system copy: When a remote file is copied to another location on the same server, the file is not downloaded to the remote system first. This feature works with SFTP servers that support the "copy-file" SFTP extension, HTTP WebDAV servers, and some SCP servers.

Other enhancements

Local proxy command support: A new firewall type, "Proxy command", allows a local proxy command to be run when connecting to a remote server.

New algorithm support: SecureFX now supports x509v3-ecdsa-sha2 algorithms per RFC 6187 for PKCS #11 as well as SSH2 support for the diffie-hellman-group14-sha256, diffie-hellman-group16-sha512, and diffie-hellman-group18-sha512 key-exchange algorithms.

Synchronize: Transfer URLs like “sftp://” and “https://” can be specified as the remote source/target session for synchronize operations in both SecureFX and the SFXCL command-line utility.

SFXCL: Wildcards can be used with the /CHMOD command-line option.

Platform support

Support for Ubuntu 19.x and macOS 10.15 Catalina has been added.

Please see the History tab in the SecureCRT About box for the complete list of new features, changes, and bug fixes.


What is SecureFX?

SecureFX is a flexible, secure file transfer client with a tabbed visual interface that’s easy to learn. Advanced features like site synchronization and automation help web designers and system administrators streamline everyday tasks. SecureFX delivers strong security with support for SFTP, FTPS (FTP/TLS), HTTPS (WebDav), HTTP, SCP and FTP. When you connect to a site that supports SSH2, SecureFX has everything you need to create a fully-encrypted SFTP session.

With SecureFX, it’s easier than ever to perform secure file transfers. Establish a secure connection with a mouse click, or type a server name in the Connect bar, and then drag and drop files to start transfers to and from a server and your desktop. On Windows platforms, you can even drag and drop files between SecureFX and applications like Windows Explorer and WinZip. The SFXCL command-line utility allows you to automate unattended file transfers.

SecureFX works to complete interrupted transfers, with a resume on multi-transfer mode and a “relentless” transfer mode that automatically reconnects and resumes transfers when connections are broken.

SecureFX site synchronization handles upload, download, and true mirroring transfers as well as server-to-server synchronization. Mirroring includes automatically deleting files or folders that are not on the source directory from the destination directory, allowing you to exactly match the destination and source. Filters for synchronize operations allow you to control which files and folders are affected. For one-click synchronization, use the Quick Synchronize dialog to configure your synchronization settings; then press a toolbar button to initiate a synchronize operation using those settings. If you need to keep more than one remote site synchronized, the Synchronize dialog lets you create, save, and manage session synchronizations and initiate comparison operations. Commonly used configurations can be saved in the synchronize database for quick recall.

Quickly find the files you want to work with using the filter view, bookmarks, and the address bar. The dockable Session Manager lets you arrange hundreds of sites any way you like, and named sessions allow you to save preferences for individual sites. A personal data folder provides private and separate storage of usernames, passwords, and automated logon information so that other configuration data can be stored on a network drive or in the cloud for use on different systems or for sharing with colleagues. Named firewalls can be used on a session-specific basis so that you can work from multiple locations with different firewalls. SecureFX also provides support for IPv6 and the ability to run multiple instances of the application.

If you need both terminal emulation and file transfer, SecureCRT® and SecureFX are closely integrated, sharing sessions and settings so that you can run SFTP, FTP (FTP/TLS), HTTPS, HTTP, and SCP file transfer sessions without reentering passwords. Or for a complete file transfer solution, combine SecureFX with the VShell® server to provide fine-tuned file transfer privileges on a user or group basis.

For a list of new features in SecureFX, see New in SecureFX 8.7.

SecureFX has the following set of features:

File Transfer

The SFXCL command-line utility automates unattended secure file transfers.

Task Scheduler for scheduling transfer and synchronization operations to run once, daily, weekly, or monthly.

Relentless file transfers automatically reconnect and resume when transfer connections are broken.

Resume interrupted/incomplete file transfers, completing all remaining files.

SFTP support for secure file transfers.

Support for SFTP, FTPS (FTP/TLS), HTTPS (WebDav), and SCP.

Support for conventional FTP and HTTP.

Upload and download multiple files from multiple sites concurrently.

Direct server-to-server transfers.

Ability to move files, which removes the file(s) on the source machine.

Transfer queue allows files to be queued and then transferred sequentially.

Automatic selection of transfer mode (binary or ASCII) based on file type.

Manual download for downloading hidden files.

Ability to change file attributes.

Automatic resolution of symbolic links (option).

Auto hide of dot files (option).

Quote command.

Uppercase/lowercase filename conversion on upload.

Site synchronization with mirroring, filtering, and server-to-server transfers.

High Productivity GUI

Familiar visual user interface for the local and remote folder windows.

Easy-to-use tabbed main window with layout options.

Easy access to SecureFX features through graphical toolbar.

Drag-and-drop (and copy-and-paste) file transfers.

Editable address bar with path history.

Filter files in the local and remote session windows.

Synchronized file browsing.

Bookmarks simplify returning to often-used directories.

Session Management

Dockable Session Manager.

Hierarchical session database for managing personal sites.

Named sessions store individual preferences for each site.

Personal data folder for separate storage of logon credentials.

Save settings for synchronizing remote sites.

Launch multiple selected sessions in tabs with a single click.

Import/export tool.

Quick Connect dialog for easy connections.

Named firewalls.

Secure Shell Protocol support

ChaCha20/Poly1305, AES-GCM, AES-CTR, AES, Twofish, Blowfish, 3DES, and RC4 ciphers.

RSA, Ed25519, ECDSA (RFC 5656), DSA, and X.509 host key support.

Multiple ordered authentication methods, ciphers, and MACs.

Public Key Assistant makes it easier to upload public keys.

SHA2, SHA1, UMAC, and MD5 MACs.

Public-key authentication with support for RSA (up to 16,384 bits), Ed25519, ECDSA (RFC 5656), DSA, PuTTY PPK, OpenSSH certificates, and X.509 certificate including smart cards (PIV/CAC), PKCS #11, PKCS #12, Kerberos v5 (via GSSAPI). Password authentication methods are also supported.

Other

FIPS 140-2 validated cryptographic library support.

Integration with SecureCRT.

URL support.

Firewall support (including SOCKS versions 4 and 5, as well as TIS, WinGate, WinProxy, CSM, unauthenticated and basic HTTP proxy, generic proxy, and local proxy support).

Dependent session option (jump host).

Configurable sound notifications.

Remote host directory listings are cached.


System Requirements

The following are the minimum system requirements needed to successfully run SecureFX:

Windows® Server 2019

Windows Server 2016

Windows 10

Windows 8.1

Windows Server 2012 R2

Windows Server 2012

Windows Server 2008 R2


SecureFX License Agreement

End-User License Agreement for SecureFX 8.7 ("Software")

Copyright (c) 1995-2020 VanDyke Software, Inc.

All Rights Reserved.

AGREEMENT. After reading this agreement carefully, if you ("Customer") do not agree to all of the terms of this agreement, you may not use this Software. Unless you have a different license agreement signed by VanDyke Software, Inc. that covers this copy of the Software, your use of this Software indicates your acceptance of this license agreement and warranty. All updates to the Software shall be considered part of the Software and subject to the terms of this Agreement. Changes to this Agreement may accompany updates to the Software, in which case by installing such update, Customer accepts the terms of the Agreement as changed. The Agreement is not otherwise subject to addition, amendment, modification, or exception unless in writing signed by an officer of both Customer and VanDyke Software, Inc.

This Software is owned by VanDyke Software, Inc. and is protected by national copyright laws and international copyright treaties.

1. EXPORT LAW. This Software is subject to export control. The Software may be transmitted, exported, or re-exported only under applicable export laws and restrictions and regulations of the United States Bureau of Industry and Security or foreign agencies or authorities. By downloading or using the Software, you are agreeing to comply with export controls. The Software may not be downloaded or otherwise exported or re-exported to any country subject to U.S. trade sanctions governing the Software, sanctioned countries including Cuba, Iran, North Korea, Sudan, and Syria, or by citizens or residents of such countries except citizens who are lawful permanent residents of countries not subject to such sanctions, or by anyone on the U.S. Treasury Department's list of Specially Designated Nationals and Blocked Persons or the U.S. Commerce Department's Table of Denial Orders.

2. GRANT OF LICENSE AND PROHIBITIONS. This Software is licensed to you. You are not obtaining title to the Software or any copyrights. You may not sublicense, rent, lease, convey, modify, translate, convert to another programming language, decompile, or disassemble the Software for any purpose. The license may be transferred to another individual (not resold) if you keep no copies of the Software. Permission must be obtained before mirroring or redistributing the evaluation copies of the Software.

3. USE AND EVALUATION PERIOD. You may use copies of this Software (one copy being the server application, the client application, or both) on the number of computers authorized in your registration documentation. A copy of this Software is considered "in use" when loaded into temporary memory (i.e., RAM) and/or installed on a permanent storage device (i.e., hard disk, CD-ROM, etc.). Each instance of a virtual machine on which the software is installed is considered one "computer". For Terminal Server installations (e.g., Microsoft RDS), where a software or hardware client ("seat") can access a copy of this Software installed on a centralized machine, a "seat" is considered a "computer". You may also use a copy of the Software on one additional computer, provided you make certain only one copy of the Software is "in use" at a time. You may use an evaluation copy of the Software for only thirty (30) days in order to determine whether to purchase the Software.

If you desire authorization to use the Software in an environment not described in this section, please send your request to licensing@vandyke.com.

4. MULTI-COMPUTER LICENSES. If this is a multi-computer license, you may make, install, and use additional copies of this Software up to the number of copies authorized in your registration documentation. If this is an educational license, use is restricted to non-commercial use by students, faculty, and staff using campus facilities, and to off-campus non-commercial use by students, faculty, and staff primarily for school business.

5. LIMITED WARRANTY. THE SOFTWARE IS PROVIDED AS IS AND VANDYKE SOFTWARE DISCLAIMS ALL WARRANTIES RELATING TO THIS SOFTWARE, WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

6. LIMITATION ON DAMAGES. NEITHER VANDYKE SOFTWARE NOR ANYONE INVOLVED IN THE CREATION, PRODUCTION, OR DELIVERY OF THIS SOFTWARE SHALL BE LIABLE FOR ANY INDIRECT, CONSEQUENTIAL, OR INCIDENTAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE SUCH SOFTWARE EVEN IF VANDYKE SOFTWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES OR CLAIMS. IN NO EVENT SHALL VANDYKE SOFTWARE'S LIABILITY FOR ANY DAMAGES EXCEED THE PRICE PAID FOR THE LICENSE TO USE THE SOFTWARE, REGARDLESS OF THE FORM OF CLAIM. THE PERSON USING THE SOFTWARE BEARS ALL RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE.

7. TERMINATION. This Agreement terminates on the date of the first occurrence of either of the following events: (1) The expiration of one (1) month from written notice of termination from Customer to VanDyke Software, Inc.; or (2) One party materially breaches any terms of this Agreement or any terms of any other agreement between Customer and VanDyke Software, Inc., that are either uncorrectable or that the breaching party fails to correct within one (1) month after written notification by the other party.

8. GOVERNING LAW. The agreement shall be governed by the laws of the State of New Mexico. Any action or proceeding brought by either party against the other arising out of or related to this agreement shall be brought only in a state or federal court of competent jurisdiction located in Bernalillo County, New Mexico. The parties hereby consent to the personal jurisdiction of such courts.

9. U.S. GOVERNMENT RESTRICTED RIGHTS. This Software is provided with RESTRICTED RIGHTS. Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subparagraph (a) of the Rights in Commercial Computer Software clause at DFARS 227.7202-3 or subparagraphs (c)(1) and (2) of the Commercial Computer Software -- Restricted Rights clause at 48 CFR 52.227-19, as applicable. Manufacturer is:

VanDyke Software, Inc.

4848 Tramway Ridge Dr. NE, Suite 101

Albuquerque, NM 87111 USA

Inquiry form: https://www.vandyke.com/feedback.php


Copyright and Trademarks

SecureFX® 8.7 Documentation Copyright © 1995-2020 VanDyke Software, Inc. All Rights Reserved.

VanDyke Software, SecureCRT, SecureFX, and VShell are trademarks or registered trademarks of VanDyke Software, Inc. in the United States and/or other countries.

All other products and services mentioned are trademarks or registered trademarks of their respective companies.


Reporting Problems

You can report problems or bugs to us through our online problem-report form on the SecureFX support web page:

https://www.vandyke.com/feedback.php


Feature Requests and Questions

If you think you've found a bug or a problem with SecureFX please refer to the section on reporting problems.

If there is a feature that you would like to see added to SecureFX, or if you have a general question about SecureFX, please go to:

https://www.vandyke.com/feedback.php

If you would like to receive email notification of new releases, please go to:

https://www.vandyke.com/cgi-bin/subscribe.php?PID=6


Connection Overview

This section provides crucial information to those who are interested in getting connected to a remote machine as quickly as possible.

There are several interfaces you can use to connect to a remote machine: the Quick Connect dialog, the connect bar on the toolbar, the Session Manager , and the Connect dialog.

If this is your first time using SecureFX, you may prefer to use the Quick Connect dialog.

If you are a seasoned user of SecureFX and have already defined one or more sessions, you may prefer to use the Session Manager or the Connect dialog.

Regardless of the interface you choose, you will be able to establish a connection to a remote machine using the SFTP, FTP, FTPS, HTTP, HTTPS, and SCP protocols.

Related Topics

  1. Creating a New Session with Connect
  2. Creating a New Session with Quick Connect


Security Considerations

Session security depends on several factors, including whether the connection you are using to the host is a trusted connection. If it is not, consider whether private or confidential information will be sent and received. FTP and HTTP sessions will transmit user ID, password, and other sensitive or private information in an easily readable format.

For maximum security, it is recommended that passwords and passphrases NEVER be saved. The ability to save passwords and passphrases is functionality provided as a convenience. If a user chooses (and is allowed) to make use of this convenience, saved passwords are encrypted and written to disk as part of the session configuration.

Command-line options for specifying passwords and passphrases are also provided as a convenience. However, command-line options are not protected against unauthorized visibility. It is recommended these command-line options (/PASSWORD, /PASSPHRASE, etc.) not be used in environments where security is important.

In addition, we recommend individuals NOT include passwords and passphrases within scripts since script code is not encrypted.

System administrators who wish to disable this convenient functionality in favor of increased security can request additional information for achieving this goal through Windows Administrative Template mechanism.

Maximum security and privacy on the Internet and local networks requires the use of SFTP, SCP, FTPS, or HTTPS.

Note that although SecureFX does support the FTP and HTTP protocols, SecureFX FTP and HTTP sessions are not encrypted. Encrypted connections are achieved through the SFTP, SCP, FTPS, and HTTPS protocols.


Session Manager

The dockable Session Manager lets you quickly connect to defined sessions (or to create and connect to new sessions) in the SecureFX window. The Session Manager pane can be positioned on the left, right, top, or bottom of the SecureFX window or undocked as a modeless dialog. To change the location, make sure the Session Manager is pinned and then drag it by the toolbar to the desired location.

Note: To use the Connect dialog instead of the Session Manager, uncheck the Use dockable Session Manager option in the General category of the Global Options dialog.

From the Session Manager, you can connect to multiple sessions and folders. If multiple sessions or a folder is selected, the sessions will be opened in tabs. You can also select and edit multiple sessions from the Session Manager; only the changed fields will be applied to the selected sessions, allowing specific settings to be changed for a group of sessions. When editing multiple sessions, SecureFX will display the first session that was selected.

The toolbar on the Session Manager provides quick access to the following actions:

Button | Description
 | Connect: Causes SecureFX to connect to the remote server named in the selected session.
 | New Session: This command brings up the New Session wizard or the Session Options dialog where all of the information needed to create a new session can be entered. The new session is created under the currently selected folder.
 | Cut: Copies the selected session or folder to the clipboard. When it is pasted, the session or folder is moved to the new location. This command can also be accessed using the CTRL+X keyboard accelerator.
 | Copy: Copies the selected session or folder to the clipboard. The session name is also placed on the clipboard for pasting outside of the Session Manager or Connect dialog. This command can also be accessed using the CTRL+C keyboard accelerator.
 | Paste: Pastes a session or folder that was previously cut or copied into the specified folder. This command can also be accessed using the CTRL+V keyboard accelerator.
 | Delete: Deletes the selected sessions and/or folders. A confirmation dialog is displayed before the deletion is performed. This command can also be accessed using the DELETE key.
 | Properties: This command brings up the Session Options dialog where the information for the selected session can be edited.
 | Find: Searches the contents of the session tree for a given string. The accelerator for this command is CTRL+F, and pressing the F3 key will result in a "find next" operation.
 | New Folder: This command causes a new folder to be added under the currently selected folder. The folder is named "New Folder" and can be edited in place.
 | Create Desktop Shortcut: This command is used to create a desktop shortcut for the selected session. See the Create Desktop Shortcut topic for details on creating a shortcut.

Below the toolbar is a filter box. As text is typed into the filter box, the session list is updated to include only the items that match the text. To include folders in the filtered sessions, type "/" after text in the filter box. Partial matches are supported. For example, if "Rout/" is typed in the filter box, a folder named "MyRouters" and all of its contents would be included in the filtered session list.


Command-Line Usage

Command-Line Usage (GUI only)

You can start SecureFX and specify further options and arguments from the command line. Command-line instructions must have the following syntax:

SecureFX [Options] Host

The table below lists the options recognized by SecureFX with their applicable arguments.

Option | Description
/ConfigPassphrase passphrase | Specifies the configuration passphrase. This option allows SecureFX to run unattended when the configuration is passphrase protected.
/Log path/filename | Turns on logging for the SecureFX session and writes to the specified file.
/Firewall firewall name | Connects session using specified firewall settings. The format of this command is as follows: /Firewall=<name> If the firewall name contains spaces, it should be enclosed by quotation marks. Note: The /Firewall command must come before the /S session command. If no firewall argument is specified, SecureFX will use the firewall specified by the session being connected. If the session firewall is set to None, SecureFX will use the firewall specified in the Default Session. If a firewall is named in the command argument, SecureFX will temporarily override the session’s firewall settings and use the firewall specified for the current session (see example below).

The table below lists the hosts recognized by SecureFX with their applicable arguments. A host can include either a file or folder.

Host | Description
URL | Opens the program to the specified URL. FTP URLs must be in the following format: ftp://[<user>[:<password>]@]<host address>[:<port>][/<path>] HTTPS URLs must be in the following format: https://[<user>[:<password>]@]<host address>[:<port>][/<path>] HTTP URLs must be in the following format: http://[<user>[:<password>]@]<host address>[:<port>][/<path>] SFTP URLs must be in the following format: sftp://[<user>[:<password>]@]<host address>[:<port>][/<path>] FTP/TLS URLs must be in the following format: ftps://[<user>[:<password>]@]<host address>[:<port>][/<path>]: SCP URLs must be in the following format: scp://[<user>[:<password>]@]<host address>[:<port>][/<path>]
Hostname | Opens the program to the specified host or IP address Every site that is reachable on the Internet must have a valid IP, or Internet Protocol,address. An IP address should be entered as four numbers separated by period (.) characters (for example: 198.105.232.1).
/S session path | Opens the program to a specific session. The session path must be the full path of a session profile in the database as in the following example: "/Software/Commercial Software/VanDyke Software" If the pathname contains spaces, enclose it in quotation marks.
/Session_Folder folder | Opens the sessions in the specified folder that would be opened if the folder was designated as an auto session. To open all the sessions, use the following command: /Session_Folder \ The / Session_Folder option cannot be used with the /S option.

Examples

Connecting to named sessions:

SecureFX.exe /S /ftp.vandyke.com

Tip: Use quotation marks on the command line if the path contains spaces:

SecureFX.exe /S "/Software/Commercial Software/VanDyke Software"

Connecting to host addresses:

SecureFX.exe ftp.vandyke.com

or

SecureFX.exe 192.168.0.1

Connecting to URLs:

SecureFX.exe <FTP, SFTP, or HTTPS URL>

where the FTP, SFTP, or HTTPS URL is of the following form:

ftp://[<user>[:<password>]@]<host address>[:<port>][/<path>]

or

sftp://[<user>[:<password>]@]<host address>[:<port>][/<path>]

or

https://[user>[:<password>]@]<host address>[:<port>][/<path>]

For example:

ftp://bob:r2d2c3po@vandyke.com:22/Documents/Spreadsheets/

or

sftp://username: password@OurSFTPServer/pub/vim/vim57

or

https://username:bob:r2d2c3pO@OurHTTPSServer:443/bob/docs

Connecting to a session using a specific firewall:

securefx.exe /Firewall=my_firewall /S my_session

Related Topics

  1. Command-Line Utility


Command-Line Utility

The SFXCL command-line utility allows you to perform tasks from the command line. The utility recognizes general command-line instructions (which all use a similar syntax) as well as the additional QuickSync option that requires a specific syntax.

General Command-Line Instructions

General command-line instructions use the following syntax:

SFXCL [Option] Source [Source] [Source...] Destination

Source parameters may be either a file or folder, and can contain wildcard characters. In other words, an asterisk (*) may be used to represent zero or more characters, or a question mark (?) may be used to represent a single character.

The table below lists the general command-line options recognized by SFXCL with their applicable arguments.

Option

Argument

Description

/AcceptHostKeys

Instructs SFXCL to automatically accept host keys from the server, eliminating prompts for the user to accept new host keys. This option only applies when the protocol is SFTP.

/Command

command

Sends the specified command to the FTP server before the transfer operation. If the transfer is server-to-server, the command is sent to the destination server. Multiple commands can be specified. Example uses of this option can found in the Examples of General Command-Line Instructions section below.

/ConfigPassphrase

passphrase

Specifies the configuration passphrase. This option allows SFXCL to run unattended when the configuration is passphrase protected.

/DefaultType

prompt

If a file does not have a defined file type, this will prompt you for the transfer type that you want to use.

ascii

If a file does not have a defined file type, this will transfer the file in ASCII.

binary

If a file does not have a defined file type, this will transfer the file in binary. This is the default value.

/F

path

Specifies the location of the SecureFX configuration folder.

Note: If you want to schedule a command that will run as System, you must provide the path to your Config folder with the command.

/Firewall

firewall
name

Connects session using specified firewall settings. The format of this command is as follows:

/ Firewall=<name>

If the firewall name contains spaces, it should be enclosed by quotation marks.

Note: The /Firewall command must come before the /S session command.

If no firewall argument is specified, SecureFX will use the firewall specified by the session being connected. If the session firewall is set to None, SecureFX will use the firewall specified in the Default Session. If a firewall is named in the command argument, SecureFX will temporarily override the session’s firewall settings and use the firewall specified for the current session (see example below).

Note: This command cannot be used in conjunction with the /QuickSync or /Synchronize commands.

Using SecureCRT's dependent session option on the command line or in the connect bar (as in the following example), it's possible to link a session to an SSH2 session that it depends on, which allows connection to a jump host before connecting to other sessions.

Both the command line and the connect bar use the normal /Firewall specifier and the firewall will be Session:<session name> with the following syntax.

/FIREWALL=Session:<Session Name> ssh2://[<user>]@<host>

Session: is case insensitive.

/I

path/filename

Specifies the identity file to use with public-key authentication . When this option is used, public key becomes the primary authentication method.

/Log

path/filename

Turns on logging for the SFXCL session and writes to the specified file. If a password is specified on the command line, it will not be written to the log file; this is not optional.

Use /Log:o to specify that the log file should be overwritten when opened.

/MaxParallel

vslue

Specifies the maximum number of parallel transfers. Valid values are integers between 1 and 2147483647. Specifying this option on the command line overrides the global option Maximum number of parallel transfers.

/NoPrompt

Causes SFXCL to dismiss all user input prompts as though the user clicked on the Cancel button or pressed the ESC key. In most cases (e.g., username and password prompts), using this option will cause SFXCL to exit with an error.

/NoTempFiles

Instructs SFXCL to not create intermediate temporary files during synchronize operations. When this flag is set, the file is transferred directly from the source to the destination without the creation of a ".vs_temp" file. This option only works in conjunction with the /QuickSync option.

/Overwrite

prompt

If a destination file already exists, this will prompt you to overwrite the file or not.

Note: The /Overwrite option is only valid with regular transfers. It cannot be used with /Synchronize or /QuickSync commands.

always

If a destination file already exists, this will always overwrite the file. This is the default value.

never

If a destination file already exists, this will never overwrite the file.

older

If a destination file already exists, this will overwrite the file if it is older than the source.

resume

This argument can be used to resume an interrupted transfer.

/P

passphrase

Specifies the passphrase to use for public-key authentication.

/Password

password

Specifies a password to use with a specific session and can be used as a temporary password for that session. For example:

sfxcl.exe /password myPassword /QuickSync c:\users\me\ mySession c:\users\me\logs

This option also works as part of a connection where a URL is specified. For example:

sfxcl.exe /password myGoodPassword sftp://me@redhat8/*.patch c:\users\me\

The password specified with this option takes precedence over any password specified as part of a URL.

/Q

Keeps SFXCL from sending its output to the screen.

/ReconnectCount

count (0..32767, infinite)

Specifies the number of times to try to reconnect after a disconnect. This option is only valid with transfer operations.

This is similar to the /RetryCount command line switch but differs from it in that RetryCount only takes effect after a failed connection attempt, where as ReconnectCount only takes effect after a disconnect.

Note that the internal recconect count is reset after a file is transferred successfully.

/ReconnectDelay

seconds

Specifies the number of seconds to wait between losing a connection and the initial reconnect attempt.

/RetryCount

count (0..32767, infinity)

Specifies the maximum attempts allowed to re-establish a connection.

/RetryDelay

seconds

Specifies the number of seconds to wait between connection retries.

/TraceLevel

value

Specifies the trace level to use for trace output. Valid values are integers between 0 and 9. Specifying this option on the command line overrides the session option SecureFX Trace Level.

/TransferType

ascii

Overrides any transfer types for all of the transfers specified in the command line. If a transfer type is specified for a particular file (using something like the /S:type=a option), that option will override the /TransferType option for that particular file.

binary

Overrides any transfer types for all of the transfers specified in the command line. If a transfer type is specified for a particular file (using something like the /S:type=a option), that option will override the /TransferType option for that particular file.

The table below lists the source and destination parameters recognized by SFXCL with their applicable arguments.

Source /
Destination

Description

URL

Transfers files to or from the specified URL.

SFTP URLs must be in the following format:

sftp://[<user>[:<password>]@]<host address>[:<port>][/<path>][;<type=a|i|d>]

SCP URLs must be in the following format:

scp://[<user>[:<password>]@]<host address>[:<port>][/<path>][;<type=a|i|d>]

FTP/TLS URLs must be in the following format:

ftps://[<user>[:<password>]@]<host address>[:<port>][/<path>][;<type=a|i|d>]

FTP URLs must be in the following format:

ftp://[<user>[:<password>]@]<host address>[:<port>][/<path>][;<type=a|i|d>]

HTTPS URLs must be in the following format:

https://[<user>[:<password>]@]<host address>[:<port>][/<path>]

HTTP URLs must be in the following format:

http://[<user>[:<password>]@]<host address>[:<port>][/<path>]

The <path> component can be either relative (no leading "/" character) to the home folder in which a user is placed after authentication, or absolute (includes a leading "/" character). Appending the URL with the ";type=a|i|d" argument will specify the file type: ascii, image, or directory.

Relative path example – this example transfers all .txt files located in the "subfolder" directory of the user's "home" folder to c:\temp on the local machine:

SFXCL /Log c:\temp\sfxcl_log.txt sftp://user:p4$$w0rd@myhost:2222/subfolder/*.txt c:\temp

Absolute path example - This example transfers all files in the /usr/local/etc directory on the remote machine containing "vshelld" in their name to the c:\backup folder on the local machine:

SFXCL /Log c:\temp\sfxcl_log.txt sftp://user:p4$$w0rd@myhost:2222//usr/local/etc/*vshelld* c:\backup

Hostname

Transfers files to the specified host or IP address Every site that is reachable on the Internet must have a valid IP, or Internet Protocol,address. An IP address should be entered as four numbers separated by period (.) characters (for example: 198.105.232.1).

/S
session path

Transfers files to or from the specific session.

The session path must be the full path of a session profile in the database as in the following example:

"/Software/Commercial Software/VanDyke Software"

If the pathname contains spaces, enclose it in quotation marks.

Note: The root folder "Sessions" should not be included in the path to a session when using the command line utility. Use a "/" instead.

The following is the syntax for the /S option with arguments:

/S[:[<argument>[,<argument>]]] <session_path>

Adding the ":i" argument to the /S command (i.e., /S:i) will specify that SFXCL use the session's initial directory.

Appending the /S command with the ":type=a|i|d" argument instructs SFXCL as to the type of the file/folder specified as the remote source: ASCII, image, or directory.

Use "/S:type=a" to specify that the target is an "ASCII" file type.

Use "/S:type=i" to specify that the target is an "image" file type (binary).

Use "/S:type=d" to specify that the target is a "directory". This specification overcomes a bug in problematic MVS FTP servers that don't provide a reliable way for SFXCL to automatically detect whether the target specified is a file or a folder.

Arguments can be combined with a "," character if both "i" and "type" are needed. For example, to instruct SFXCL to use the initial remote directory specified in session options as well as designate the file type as ASCII, you would use the following command:

/S:i,type=a session_path file_name

Here's an example SFXCL command line specifying that the remote ASCII file "A008546" should be downloaded from the "My Remote Host" session's initial remote directory (as defined in the session options for "My Remote Host") to the C:\Downloads location on the local host:

SFXCL.exe /Log c:\DebugLog.txt /S:i,type=a "My Remote Host" A008546 C:\Downloads

If the "type" argument does not provide the results that you require, SFXCL also supports an alternative to the "type" argument in the form of the "TransferType" and "Attr" arguments.

TransferType: This option allows the transfer type to be specified independently of the file type (unlike the "type" option).

Attr: This option allows the file type to be specified independently of the transfer type (unlike the "type" option).

The "Attr" and "TransferType" arguments are intended to be used separately or together (and instead of "type"). You should not use the "type" option with either "Attr" or "TransferType".

Examples of General Command-Line Instructions

Transferring a file from the Policies folder of the Headquarters session to the Presentation folder on a local drive and renaming the file.

SFXCL.exe /S /Headquarters /Policies/Mission.txt "c:\My Documents\Presentation.txt"

Transferring all files from two remote source folders to one local destination folder:

SFXCL.exe /S /Ops /Bob/Payroll.txt /S /Ops /Alice/Memo.txt "c:\My Documents"

Transferring local files to a session folder with a prompt to overwrite if the files already exists.

SFXCL.exe /Overwrite prompt c:\Memo1.txt d:\Memo2.txt /S /Headquarters "/The Boss/Memos/"

Transferring Word and Excel (.doc and .xls) files from a local documents folders to a remote host.

SFXCL.exe "c:\My Documents\*.doc" "c:\My Documents\*.xls" ftp://ftp.mysite.com/users/bob/documents

Transferring documents using SFTP.

SFXCL.exe sftp://username:password@OurSFTPServer/pub/vim/vim57 c:\downloads\vim

Transferring files using HTTPS:

https://username:password@OurHTTPServer/pub/documents C:\downloads\

Examples of server-to-server transfers:

SFXCL.exe /S /Ops /Alice/Memo.txt /S /Headquarters "/The Boss/Memos/"

SFXCL.exe sftp://user:password@Server1/home/user/logs/*.log sftp://user:password@Server2/home/user/log_archive

Example uses of the /Command option:

SFXCL /Command "QUOTE SITE standard=none" /Command "QUOTE SITE parm=sa=sender_address;ra=receiver_address"

/S Ops /Bob/Payroll.txt "c:\My Documents"

SFXCL /Command "QUOTE SITE standard=none" /Command "QUOTE SITE parm=sa=sender_address;ra=receiver_address"

C:\My Documents\Payroll.txt /S Ops /Alice

Other Command-Line Operations

Option

Argument

Description

/QuickSync

path

Initiates a comparison operation between a local folder and a folder on a remote server, and transfers files according to the argument specified.

The /QuickSync operation must be entered on the command line with the following syntax:

SFXCL.exe /QuickSync <local path> <session path> <remote path> <upload | download | mirror-both | mirror-local | mirror-remote> [no-subdir]

For example, to mirror a local folder with a remote folder:

SFXCL.exe /QuickSync "c:\My Documents" "/SSH2Session" /Users/Bob/Docs mirror-both

Note: Wildcard characters cannot be used in the remote path field of a /QuickSync command.

The /QuickSync command can be used with the [no-subdir] switch if you do not want to include subdirectories in the operation.

/Synchronize

synchronize session name

Initiates a synchronize operation using the synchronization settings saved for the specified session.

/Delete

path

Deletes the specified files or directories. Deleting local files is not allowed

The /Delete operation cannot be combined with other file operations on the same command line. If this operation is specified, all remote items listed on the command line will be deleted unconditionally.

Multiple remote items may be specified on a single command, and the items specified may contain wildcard characters.

The syntax for the /Delete operation is as follows:

SFXCL.exe [options] /Delete remotesource [ remotesource [...]]

/List

directory

Displays directory listing. If no directory is specified, this option will display the listing for the SFTP startup directory on the remote machine. This option will not give a listing for a specified file.

/Move

When this option is specified, all successfully transferred files are deleted from the source directory. Any folders and subfolders that were successfully transferred are also deleted.

/Parsable

Use this option in conjunction with the /List command to output the directory listing in MLSD/MSLT format, which is easier to parse.

This option should come before /List on the command line. The syntax is as follows:

SFXCL /Parsable /List <dir>

/Rename

path

Renames files or directories from the command line.

The syntax for the /Rename operation is a follows

SFXCL.exe /rename remotesource [remotesource [...]] newname

For example, to rename a folder:

SFXCL.exe /Rename /S /Headquarters /Policies OldPolicies

Or, to rename a file:

SFXCL.exe /S /Ops /Bob/Payroll.txt PayrollMay.txt

/Chmod

path

Changes the permissions of the specified files or directories on the remote system. The syntax for the /Chmod operation is as follows:

SFXCL.exe /Chmod <octal mode> remotesource [remotesource [...]]

Returned Values

After SFXCL completes a run, it returns a value to the initiating entity (application, batch file, etc.). If the run was successful, the program will return a zero (0). If the run had any errors, one of the following exit codes will be returned:

Exit code 100 is returned for network errors, such as being unable to connect or the user cancelling the username or password prompt.

Exit code 200 is returned for source file system errors, such as "file not found".

Exit code 300 is returned for target file system errors, such as not being able to write the target file due to insufficient permissions.

Exit code 400 is returned for general failures, such as an invalid command line or the user cancelling the configuration passphrase prompt.

The returned value can be used by other applications. For example, see the following batch file.

SFXCL /quicksync C:\MyDocuments MySession /pub/docs download

if not errorlevel 0 goto fail

if errorlevel 0 goto success

Related Topics

  1. Command-Line Usage


Running SecureCRT from SecureFX

The 3.0 (or newer) release of SecureFX supports the integration of its configuration settings with those of VanDyke Software's secure terminal emulation client SecureCRT® (version 5.0 or newer). This makes it simpler to create and maintain sessions; set your options once and they are used by both programs.

To integrate SecureFX with SecureCRT, install both applications on the same machine then start SecureFX. From SecureFX, you can start SecureCRT in several different ways, including the following:

Selecting a SecureCRT session from the Connect dialog.

Right-clicking on the Activator system tray icon and opening a SecureCRT session.

You can also start SecureFX from SecureCRT if you prefer.

If you open the SecureFX Global Options or Session Options dialogs, you will see options for both SecureFX and SecureCRT. From here, you can configure sessions for both applications.

If you want to share your SecureFX and SecureCRT configuration settings and want to see both the file transfer and terminal emulation sessions in your SecureFX Connect dialog, right-click on the Connect dialog and check the Show Terminal Sessions option.


Menus

The SecureFX application window has a number of menus that provide access to program dialogs, controls, and features. The menus are listed below:

System Menu

File Menu

Edit Menu

View Menu

Options Menu

Tools Menu

Window Menu

Help Menu


System Menu

This topic lists the options available on the System menu. The System menu is accessed by clicking on the small SecureFX icon located in the upper left-hand corner of the SecureFX window. The System menu can also be accessed by right-clicking in the SecureFX title bar.

The System menu allows you to accomplish basic tasks such as minimizing, maximizing, moving, and resizing the SecureFX main window on systems that do not have a mouse attached. To access the System menu without using the mouse, use the ALT+SPACE key combination. To select a menu item found in the System menu, press the key associated with the entry as designated with an underline.

Restore

Restores the main window to its original size.

Move

Changes the mouse pointer into a handle to move the main window.

Size

Changes the mouse pointer into a handle to resize the main window.

Minimize

Minimizes the main window to the taskbar.

Maximize

Enlarges the main window to fill the entire screen.

Close

Closes the connection A data path or circuit between two computers over a phone line, network cable, or other media. to the server A computer program that provides services to other computer programs (called clients).Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. for any active session A session is a set of options that are assigned to a connection to a remote machine in SecureFX. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. and closes the main window.


File Menu

This topic lists the options available on the File menu including connection A data path or circuit between two computers over a phone line, network cable, or other media. and transfer commands.

New Folder

Opens the Create Directory dialog which allows you to create and name a new folder. By default, the new folder will be created as a sub-folder of the currently selected folder.

Open

Opens the currently selected file or folder. You can also double-click on a file to open it, or you can select a file and choose Open from the right mouse button menu.

SecureFX can be configured to automatically download and open a file on a remote site with an associated application. The configuration options are available in the File Transfer/File Types category of the Global Options dialog. If you open a file on a remote site and save any changes to the file, SecureFX will prompt you to upload the file back to the remote site as part of its remote file editing feature.

Open With

Opens the currently selected file using a chosen application. This command allows you to override the "Open with" setting for the file type of the selected file. This is also the default action when opening a file that has no associated file type.

If you open a file on a remote site and save any changes to the file, SecureFX will prompt you to upload the file back to the remote site as part of its remote file editing feature.

The Open With command is also available from the context menu.

Open Local Window

Opens a window showing the file system on the local machine.

The default directory for local windows can be set in the Local directory option of the Initial directories group in the SSH2/SFTP Session category of the Session Options dialog.

Local windows, like remote session windows, can be closed using the File menu Close command (or by using the X button)..

Connect...

Opens the Connect dialog. From the Connect dialog, you can select a session A session is a set of options that are assigned to a connection to a remote machine in SecureFX. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. and open a connection to the specified server A computer program that provides services to other computer programs (called clients).Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. .

Quick Connect...

Opens the Quick Connect dialog.

Open URL...

Opens the Open URL dialog where you can specify the address of an SFTP, FTPS, SCP, FTP FTP is an abbreviation for the File Transfer Protocol; a protocol used to transfer files between computers on a TCP/IP network., HTTP, or HTTPS resource.

Reconnect

Reestablishes the connection to the server for the current session and logs on using the username and password for that session.

The connection to a server may be dropped as the result of a timeout after a period of inactivity, or because the user has executed the Disconnect To close a communication connection between a client and a server. command. Invoking the Refresh command, opening a directory or transferring a file within a session that is disconnected will also cause the session to automatically reconnect.

Disconnect

Closes the connection to the server in the current session.

A disconnected session window remains open. The connection to the server can be reestablished using the Reconnect menu item. Actions like Refresh, opening a directory, or transferring a file will also cause a disconnected session to reconnect.

Close

Closes the connection to the server for the current session and closes the session window.

Delete

Deletes the currently selected files or folders.

Rename

Renames the currently selected file or folder.

Properties

Opens the Properties dialog on a remote file or folder.

Change Directory...

Opens the Change Directory dialog which prompts for the name of a directory that becomes the current directory for the selected session. The current directory is displayed in the title bar of each session window.

Open Bookmark

Allows you to select a session bookmark to open. The Open Bookmark command is also available from the context menu.

Add Bookmark

Adds the current working directory for the active session to the list of session bookmarks. The Add Bookmark command is also available from the context menu.

Manage Bookmarks...

Opens the Manage Bookmarks dialog which allows you to select and open, organize, or delete an existing session bookmark. The Manage Bookmarks command is also available from the context menu.

Download

Downloads the selected files and directories. This command will initiate a transfer from the server to the local directory specified in the Download directory field of the Session Options/File Transfer dialog. If the Download directory field for the session is not specified, the Download directory setting under the Global Options/File Transfer/Options will be used by default. If both download directory settings are blank, the local current working directory (CWD) will be used as the destination.

Manual Download...

Opens the Manual Download dialog from which you can download a specified file or folder. This command will initiate a transfer from the server to a local directory. The default local directory is set to the directory specified in the Download directory settings on the Session Options/File Transfer or Global Options/File Transfer/Options dialog. The path of the file or folder to download is entered manually. This feature is often used to download a file that is intentionally hidden by the server but can still be retrieved if the user knows the exact name and location of the file.

Upload

Uploads the selected files and directories. This command will initiate a transfer from the local machine to the server. By default, the local path is set to the path of the currently selected item in the active pane of the currently selected local window, if any. The remote path is set to the currently selected directory of the active remote window.

This option is only enabled when a session window is active and selected.

Manual Upload...

Opens the Manual Upload dialog from which you can upload a specified file or folder. This command will initiate a transfer from the local machine to the server. By default, the local path is set to the path of the currently selected item in the active pane of the currently selected local window, if any. The remote path is set to the currently selected directory of the active remote window.

This option is only enabled when a session window is active and selected.

Resume Transfer

Resumes an interrupted file download for the current session. SecureFX keeps track of all files and folders for an interrupted transfer and will transfer the remaining portion of any interrupted file as well as all remaining files and folders.

Most Recently Used Sessions List

Displays the names of the most recently used sessions used to connect to remote machines. To change the number of sessions listed, see the Extend Recently Used List topic.

Exit

Close all connections and exit the program.


Edit Menu

This topic lists the options available on the Edit menu.

Cut

Removes the selected files and folders and places them on the Windows Clipboard.

Copy

Copies the selected files and folders to the Windows Clipboard.

Paste

Pastes the contents of the Windows Clipboard to the selected folder.

Go to Transfer Queue / Go to Session Window

This option toggles between Go to Transfer Queue and Go to Session Window, whichever is relevant, and selecting it takes you to the specified location.

Go to Session Manager/Session Window

This menu item reads Go to Session Manager when the Session Manager is enabled and does not have focus. When selected it causes the focus to go to the session manager.

When the Session Manager has focus, this menu item reads Go to Session Window and selecting it causes the focus to go to the session window.

Copy URL

Copies the URL of the selected file or folder to the Windows Clipboard.

Copy Path

Copies the path of the selected file or folder to the Windows Clipboard.

Set Initial Directory

Copies the path of the selected folder into the appropriate field. If this option is used in a session window, the Initial directory field of the Session Options/File Transfer category will be set. If this option is used in the local window, the Local window field of the Global Options/File Transfer/Options category will be set.

Select All

Selects all of the items in the current folder.

Invert Selection

Toggle the selected or unselected state of all items in the current folder.


View Menu

This topic lists the options available on the View menu.

Toolbar

Shows or hides the toolbar .

Connect Bar

Shows or hides the connect bar.

Status Bar

Shows or hides the status bar.

Transfer Queue

Shows or hides the transfer queue.

Session Manager

Toggles the Session Manager on and off.

Themes

Allows you to select from the available Windows display themes.

Folder Tree

This command allows you to display or hide the folder tree view. This command temporarily supersedes the default setting in the Global Options dialog. This behavior is the same as that of the Folder Tree toolbar button.

Log

Allows you to show or hide the session 's log view. This option corresponds to the Display the log view option in the Global Options dialog.

Large Icons

Displays the folders and files shown in the right-hand pane of a window as large icons. This command can also be issued using the [image] toolbar button

Small Icons

Displays the folders and files shown in the right-hand pane of a window as small icons. This command can also be issued using the [image] toolbar button.

List

Displays the folders and files shown in the right-hand pane of a window as a list. This command can also be issued using the [image] toolbar button.

Details

Displays the folders and files shown in the right-hand pane of a window as a detailed list. This command can also be issued using the [image] toolbar button.

Arrange Icons

Sorts the items in a folder by Name, Size, Type or Date. You can also choose to enable the Auto Arrange option. With this option enabled the icons in your session window will automatically adjust their rows and columns as you resize the window. The Auto Arrange option is only available if the icon view has been set to Large Icons or Small Icons.

Line up Icons

Lines up icons that are out of alignment. This option is only available if the icon view has been set to Large Icons or Small Icons.

Dot Files Files having filenames that begin with a dot (.)

Shows or hides filenames beginning with a dot (.) in remote directories. This command lets you temporarily override the default behavior set in the Do not show dot files option in the Global Options dialog. If no dot files appear with this option turned on, you can also view all the files in a folder by checking the All entries option in the Connection/FTP category of the Session Options dialog.

Hidden Files

Toggles the display of hidden files in local directories. This command lets you temporarily override the default behavior set in the Do not show hidden or system files option in the Global Options dialog.

Stop

Interrupts the current operation in the active remote session window. You can also use the Stop [image] toolbar button to stop the current operation and stop any reconnect attempts.

Refresh

Updates the displayed information for the selected session by retrieving a new listing. The folders and files present on a remote server may change at any time. Refresh obtains a new listing for the current folder from the server. You can also use the Refresh [image] toolbar button to refresh your display.


Options Menu

This topic lists the options available on the Options menu.

Session A session is a set of options that are assigned to a connection to a remote machine in SecureFX. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. Options...

Opens the Session Options dialog.

Edit Default Session...

Opens a dialog that allows the Default session to be edited.

Global Options...

Opens the Global Options dialog.

Use PGP For All Transfers

Instructs SecureFX to use Pretty Good Privacy (PGP) data encryption and decryption for all file transfers.

Synchronize File Browsing

Toggles the Synchronize file browsing session option. This option can only be toggled when focus is in a remote session and the remote session is configured to do synchronized file browsing.


Tools Menu

This topic lists the options available on the Tools menu.

Quick Synchronize...

Opens the Quick Synchronize dialog.

Synchronize...

Opens the Synchronize dialog.

Schedule Task...

Opens the Task Scheduler dialog which is used to create or modify scheduled transfer and synchronize tasks.

Quote Command...

Opens the Quote Command dialog which is used to send a command directly to the remote server . Any messages returned by the server in response to the command are displayed both in the log window and in a separate, pop-up window.

Customize Toolbar / Menu...

Opens the Customize dialog which allows you to modify the SecureFX toolbars and menus.

Substitute User...

Opens the Substitute User Logon dialog which allows you to substitute the current user with a different one.

Note: This command is only available if the remote machine is running VShell for Windows 3.5 or later.

Create Public Key...

Opens the Key Generation wizard which will step you through the process of creating a public key.

Convert Private Key to OpenSSH Format...

Converts a VanDyke generated private key to OpenSSH format so that it can be used for authentication with other SSH2 clients. You will be prompted for the key to convert and where to save the converted key.

Export Public Key from Certificate...

Exports the public key from an X.509 certificate. You will be prompted for the certificate to use and where to save the public key. After the public key has been exported, you will need to complete these instructions in order to use it.

Public-Key Assistant...

Opens the Public-Key Assistant dialog allowing you to manage your public keys on remote servers. This option is only available when you are using the SFTP protocol.

Manage Agent Keys

Opens the Manage Agent Keys dialog which allows you to add keys to and remove keys from the list of accepted agent keys.

Change Configuration Passphrase...

Allows you to change, reset, or remove the passphrase the next time SecureFX starts. This is the only way to add a passphrase if you currently do not have one.

Export Settings...

Opens the Export Settings dialog which allows you to choose the settings to export to the specified file. If a personal data folder is being used for storing sensitive information, nothing in that folder will be exported.

Import Settings...

Opens the Import Settings dialog which allows you to choose the settings to import from the specified file.


Window Menu

This topic lists the options available on the Window menu.

When the Tabs option is not enabled, this menu displays the following:

Cascade

Resizes and displays all open session A session is a set of options that are assigned to a connection to a remote machine in SecureFX. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. windows to be slightly overlapped and descending from the upper-left corner of the main window. (Only displayed when windows are not tabbed.)

Tile Horizontally

Resizes and displays all open session windows to be the width of the main window, equal-sized and vertically spaced to fill the entire main window.

Tile Vertically

Resizes and displays all open session windows to be the height of the main window, equal-sized and horizontally spaced to fill the entire main window.

When the Tabs option is enabled, this menu displays the following:

Single Tab Group

Displays the tabbed sessions in a single group.

Tab Horizontally

Displays the tabbed sessions in two horizontal groups.

Tab Vertically

Displays the tabbed sessions in two vertical groups.

Tabs

Toggles the tabbed interface display setting.

Window Menu List

Lists the title of all open local and remote session windows. The currently selected window is indicated by a checkmark. Click on a window title to bring the window to the top and select it.


Help Menu

This topic lists the options available on the Help menu.

Help Topics

Opens the SecureFX Help system.

SecureFX Web Page...

Opens your web browser to the SecureFX product web page.

Order SecureFX...

Opens your web browser to the SecureFX order web page.

Update Now...

Checks to see if a newer version of SecureFX (and SecureCRT if also installed) is available that is valid with the current license. If a newer version is available and you choose to install it, the installer will be downloaded and run. Note that a beta version will never be installed over an official version.

Check for Updates...

Opens your web browser to a SecureFX web page that will let you know if there are any versions available that are newer than the one you are currently running.

Contact Support...

Opens your default web browser to the VanDyke Software website where you can complete a form requesting technical support.

VanDyke Software Forum...

Opens your web browser to the VanDyke Software web forum where you can read and participate in discussions about SecureFX and other VanDyke products.

Enter License Data...

Opens the License wizard which will step you through entering your license data.

About SecureFX...

Opens the About dialog which contains information about SecureFX.


Global Options Dialog

The Global Options dialog is accessed by opening the Options menu and selecting Global Options... .

Global options apply to all sessions unless they are specifically overridden on a per session A session is a set of options that are assigned to a connection to a remote machine in SecureFX. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. basis.

The available categories and subcategories are as follows:

General

Configuration Paths

Default Session

Terminal Emulation

Appearance

ANSI Color

Advanced

Tabs/Tiling

Printing

Web Browser

TFTP Server

Advanced

File Transfer

Options

Advanced

View

FTP

TLS

Sound

File Types

Filters

Firewall

SSH2

SSH Host Keys


Global Options/General

General

The General category of the Global Options dialog allows you to configure general SecureFX options.

Dialogs group

This group contains options that control the display of optional dialogs. These dialogs are displayed by default.

Show connection closed dialog

Check this option to display a connection A data path or circuit between two computers over a phone line, network cable, or other media. closed message when the connection is closed.

Show confirm disconnect dialog

Check this option to display a message asking for confirmation before disconnecting To close a communication connection between a client and a server..

View group

This group includes options that allow you to show or hide components of the SecureFX application window. To turn off any of these options, clear the associated check box. The available options are as follows:

Show toolbar

Show status bar

Show menu bar

Show connect bar

Session management group

This group includes options that deal with SecureFX sessions. The available options are as follows:

Use dockable Session Manager

Check this option to use the Session Manager for managing sessions. Uncheck this option to use the Connect dialog for managing sessions.

Show Session Manager or Connect dialog on startup

Check this option to display the Session Manager or Connect dialog on startup of SecureFX.

Session list sort order

Select the method by which you want to sort the entries listed in the session tree of the Connect dialog. Sessions can be sorted alphabetically (i.e., A1, A10, A2, B), logically (i.e., A1, A2, A10, B), or manually. This option can also be controlled from the Connect dialog's Arrange Tree context menu option. See also Arranging Entries in the Connect Dialog.

Save expanded folder state in connect dialog

Check this option to have SecureFX remember the state (expanded or collapsed) of folders in the Connect dialog.

When a session is renamed/moved, updated sessions that use it as a firewall

By default when a session is renamed or moved, any sessions that use it as a firewall (dependent session) get updated. This can take a while if there are a lot of sessions or the configuration folder is located on a network drive. This option can be unchecked if there is a significant delay when sessions are renamed or moved. If a session is used as a dependent sessions, the sessions using it will need to be updated manually.

New session uses wizard

Enabling this option causes the New Session toolbar button in the Connect dialog to start the New Session wizard. Disabling this option causes this button to open the Session Options dialog instead. This option is enabled by default.

Recently used session list

This option allows you to configure the number of sessions A session is a set of options that are assigned to a connection to a remote machine in SecureFX. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. listed in the Recently Used Session section of the File menu. The Recently Used Session list displays a list of sessions that have recently been used to connect to a remote machine. The default value is 4.

Note: Entering a value of 0 (zero) in the Recently used session list entry box will disable the list in the File menu and clear the list of all entries.

Related Topics

  1. Global Options/General/Default Session


Global Options/General/Configuration Paths

General / Configuration Paths

The General/Configuration Paths category of the Global Options dialog allows allows you to configure where SecureFX stores your session and personal data.

Configuration folder

This entry box displays and allows you to change the SecureFX configuration folder. This folder is where the SecureFX configuration files are stored. SecureFX will look for the configuration settings in the application directory before using the folder specified in this entry box. Folders specified using the command-line option /F will take precedence over both these locations.

Note: To change your configuration information, you must have write privileges to this folder.

Personal data folder

This option allows you to specify where your personal data is stored.

Store personal data separately

Check this option if you want to store personal data such as usernames, passwords, and automated logon information separately from all other configuration data. You will need to specify the path for the personal data folder. Changing this option will not take effect until the next time SecureFX starts. Note that it may take several minutes to make this change if there are a lot of sessions.

Related Topics

  1. Global Options/General


Global Options/General/Default Session

General / Default Session

The General/Default Session category of the Global Options dialog allows you to configure SecureFX to automatically connect to a session A session is a set of options that are assigned to a connection to a remote machine in SecureFX. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. on startup and it also allows you to configure the SecureFX default session which is used as the template for all new sessions.

Auto session setup group

This group contains configuration options for automatically connecting to sessions on startup.

Do not connect automatically on startup

Check this option to instruct SecureFX not to automatically connect when the application starts.

Remember and connect to sessions from last use

Check this option to instruct SecureFX to remember the sessions used during the last time SecureFX was used and to connect to those sessions the next time the application is used.

Use auto session

Check this option to automatically connect to one or more sessions when SecureFX starts. The window below this option displays the sessions configured to connect on startup. You can add or delete sessions using the Add... and Delete buttons.

Edit default settings group

SecureFX maintains an internal session that is used whenever a new session is being created or when a session has not been specified for a connection A data path or circuit between two computers over a phone line, network cable, or other media. . This internal session is known as the "Default" session. For example, when using Quick Connect or when starting SecureFX from the command line with no session argument, SecureFX uses the settings specified in the Default session to make the connection requested.

Edit Default Settings

Press this button to open the Session Options - Default dialog for the default session. In this dialog, you can customize the settings in any category. When you have finished making your changes, click on the OK button and the Apply default session changes dialog is displayed.

The Apply default session changes dialog allows you to choose between Change the Default session only (this is the same behavior provided by the No option in previous versions) and Change ALL sessions (no undo) (this is the same behavior provided by the Yes option in previous versions). The dialog also includes a WARNING that there is no UNDO for this change.

Related Topics

  1. Global Options/General


Global Options/Terminal

Terminal

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Terminal category of the Global Options dialog allows you to configure SecureCRT terminal A device usually consisting of a keyboard, a display unit such as a cathode ray tube,and a serial port used for entering and sending data to a computer and displaying any data received from the computer. Terminals are usually connected to a computer a serial line or some other type of connection. There are many terminal types including VT100, VT102, VT220, and others. emulation-related options.

Save window state for each session

Check this option to save the window size and position of each session window.

Auto reconnect

Check this option to automatically reconnect to a remote machine when a connection A data path or circuit between two computers over a phone line, network cable, or other media. is terminated. This feature can also be enabled or disabled on a per session basis.

Connect sessions in tabs

Check this option to open new sessions as tabs in the active window.

Exit when last session is disconnected

Check this option to exit SecureCRT when the last session is disconnected.

Prompt on multi-line paste

Check this option to get prompted before multiple lines are pasted into a session.

Quotation character(s)

This option allows you to specify which character or characters to use as the quotation characters for the Paste as Quotation operation.

Insert pasted text between

Check this option to insert the pasted text between the specified Quotation character(s) on a Paste as Quotation operation.

Mouse group

This group contains options that affect mouse behavior.

Copy on select

This option allows you to speed up the process of copying text from the terminal screen to the Clipboard. Check this option to allow text to be copied to the Clipboard as soon as it is selected.

Paste on middle/right button

This option allows you to speed up the process of pasting content from the Clipboard to the terminal screen. Check this option to allow text to be pasted from the Clipboard to the terminal screen as soon as the middle or right mouse button is pressed. If your mouse does not have a middle mouse button, a middle button click can be simulated by pressing both the left and right mouse buttons simultaneously

Hide mouse pointer on keypress

Check this option to hide the mouse pointer when you start typing.

Open URL with CTRL+click

Check this option to allow a URL in the terminal window to be opened by clicking on it using the CTRL+left-click key combination.

Triple-click selection includes newline

Check this option to include the end-of-line character(s) with a triple-click selection.

Related Topics

  1. Global Options/Terminal/Appearance
  2. Global Options/Terminal/Appearance/ANSI Color
  3. Global Options/Terminal/Appearance/Advanced
  4. Global Options/Firewall
  5. Global Options/Terminal/Printing
  6. Global Options/Terminal/Web Browser


Global Options/Terminal/Appearance

Terminal / Appearance

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Terminal/Appearance category of the Global Options dialog allows you to configure the appearance of your SecureCRT application window.

Options group

This group includes options that deal with the SecureCRT application window's appearance. To turn off any of these options, clear the associated check box. The available options are as follows:

Show session tabs

This option enables or disables the session tabs.

Show Command window

Show button bar on

By checking or unchecking this option, you can display or hide the button bar. This option also allows you to display the button bar either at the bottom of the window or at the top.

Show horizontal scroll bar

Show vertical scroll bar

Use ClearType to smooth edges of screen fonts

Check this box to use ClearType which will smooth edges of screen fonts and may improve readability on some displays. Depending on your platform, you may need to enable ClearType font smoothing at the system display level.

Note: This feature applies only to systems using ClearType fonts.

Window left margin

Enter the left margin of the SecureCRT application window in pixels.

Maximum columns

Enter the maximum columns to be displayed in the SecureCRT application window.

Hex view buffer

Enter the number of lines of session data to be displayed in hexadecimal when Hex View is selected from the SecureCRT File menu.

Status bar group

This group includes options that deal with the status bar. To turn off any of these options, clear the associated check box. The available options are as follows:

Show cursor position

Show window size

Show elapsed time

Never show seconds

Accessibility group

This group includes options that deal with accessibility issues.

Use trackable insertion caret

For users with accessibility issues, SecureCRT supports the use of a standard insertion caret. Check this option to enable SecureCRT to work with screen access technology for the blind (e.g., screen reading and screen magnification programs) that track the position of the caret.

Note: Turning on the Use trackable insertion caret option will cause the loss of control over some session cursor options: the cursor color will always be the inversion of the screen color, and the user will not be able to turn off cursor blinking.

Related Topics

  1. Global Options/Terminal
  2. Global Options/Terminal/Appearance/ANSI Color
  3. Global Options/Terminal/Appearance/Advanced


Global Options/Terminal/Appearance/ANSI Color

Terminal / Appearance / ANSI Color

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Terminal/Appearance/ANSI Color category of the Global Options dialog allows you to customize the ANSI colors displayed in your SecureCRT application window.

Remote applications may send ANSI color escape sequences to specify that various portions of that application's display appears in one of 16 colors. Eight of the escape sequences correspond to what are called "normal" colors and the other eight typically correspond to "bold" versions of those colors. It is difficult to classify or label these colors beyond "normal and "bold" because an application may use any of the colors for whatever it wants.

Any application that you connect to with SecureCRT may use any ANSI color escape sequence (and its associated color) for its own purposes. While it is possible to configure SecureCRT globally to display 16 specific colors in response to ANSI color escape sequences, two different applications may specify different escape sequences for similar features. For example, when displaying filenames, one application may use the escape sequence that defaults to blue and another application may use the escape sequence that defaults to cyan.

Note: ANSI color palettes can be specified for color schemes from the Color Schemes dialog.

Palette name group

This group allows ANSI color palettes to be modified or created.

Normal colors group

This area displays the colors that are associated with the eight "normal" ANSI color escape sequences.

Bold colors group

This area displays the colors that are associated with the eight "bold" ANSI color escape sequences.

Customizing ANSI Colors

To customize ANSI color selections, click on the color block that you want to change and select a new color from the Color dialog. Pressing the Reset button returns the color blocks to their original settings.

Related Topics

  1. Global Options/Terminal
  2. Global Options/Terminal/Appearance
  3. Global Options/Terminal/Appearance/Advanced


Global Options/Terminal/Appearance/Advanced

Terminal / Appearance / Advanced

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Terminal/Appearance/Advanced category of the Global Options dialog allows you to control the color scheme for your application window, and to control the transparency/opacity of the window.

Color schemes group

This group allows you to select or create color schemes used in your SecureCRT application window. The Color schemes list allows you to select the default color scheme for your session windows from the existing schemes. By using the Edit... and New buttons, you can also modify existing schemes or create a new ones.

Tip: Using different color schemes for different session windows makes quick identification easier. You can change color schemes for individual sessions in the Terminal/Appearance category of the Session Options dialog.

Window transparency group

This group allows you to control the transparency/opacity of the application window.

Active window

This option determines how transparent or opaque the SecureCRT window is when it is the active window on the desktop. The minimum allowed value for the active window is 15 so that the active window can never be completely transparent.

Inactive window

This option determines how transparent or opaque the SecureCRT window is when it is NOT the active window on the desktop.

Note: The SecureCRT window will become completely transparent (invisible) if this option is set to 0 (all the way to the left).

Title bar

Check this option if you want to change the title displayed in the application title bar. Enter the alternate title in the associated entry box. You can also use the following variables which will be expanded when SecureCRT writes to the title bar.

%H - hostname

%S - session name

%U - username

%I - IP address Every site that is reachable on the Internet must have a valid IP, or Internet Protocol,address. An IP address should be entered as four numbers separated by period (.) characters (for example: 198.105.232.1). (session must be fully authenticated for the IP address to appear in the title bar)

%P - port

Note: It is possible for some remote systems to change the title bar text by sending an escape sequence. If you want these escape sequences to be ignored, set the Ignore window title change requests option found in the Terminal / Emulation / Advanced category.

You can also use the commands listed in the "Send String & Function Commands" topic of the SecureCRT Help system.

Related Topics

  1. Global Options/Terminal
  2. Global Options/Terminal/Appearance
  3. Global Options/Terminal/Appearance/ANSI Color


Global Options/Terminal/Tabs/Tiling

Terminal / Tabs/Tiling

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Terminal/Tabs/Tiling category of the Global Options dialog allows you to configure the look and behavior of tabs and tiled session windows in SecureCRT. Some options only apply to tabs. See below for information about which options apply to both tabs and tiled sessions.

Appearance group

This group allows you to set the appearance of the tabs in SecureCRT.

Connected

Clicking on this tab when the Show status indicators option is set to Background colors or Color rectangles, allows you to choose the color displayed for connected sessions.

Disconnected

Clicking on this tab when the Show status indicators option is set to Background colors or Color rectangles, allows you to choose the color displayed for disconnected sessions.

New Input

Clicking on this tab when the Show status indicators option is set to Background colors or Color rectangles, allows you to choose the color displayed for sessions that have received new input.

Inactivity

Clicking on this tab when the Show status indicators option is set to Background colors or Color rectangles, allows you to choose the color displayed for sessions that have been inactive for longer than the number of seconds specified below in the Show inactivity status after option.

Locked

Clicking on this tab when the Show status indicators option is set to Background colors or Color rectangles, allows you to choose the color displayed for sessions that have been locked.

Show status indicators

This option allows you to select how status indicators are displayed on the tabs: icons, background colors, or colored rectangles. Icons are always shown when sessions are tiled.

Show inactivity status after n seconds

Enter the number of seconds after which the session will be considered inactive. The range is 1 to 999 seconds; the default is 5. This option is also used by tiled sessions. A session is considered inactive if text was being output and then the output stops for the specified number of seconds. This is useful for being able to tell if a command or script has finished.

Show script running status

When this option is set, if a script is running in a session, the tab or tile status indicator will indicate that a script is running.

Tab width

Enter the minimum width of your tabs. Since SecureCRT will try to shrink multiple tabs to fit in one window, this option can be useful to keep your tabs readable. This option can be set from 20 to 999 pixels.

Minimum

When this option is checked, the full tab name is always shown unless the tabs do not fit in the window. When this option is unchecked, tabs are always the specified width.

Note: In this case where tab names are truncated, you can view the full name in a tooltip by hovering your pointer over the tab name.

Options group

This group allows you to set the behavior of tabs in your system.

Double-click action

This option allows you to choose the action taken when you double-click on a tab. The actions include the following:

Close Tab – Disconnects the tab's session and closes the tab.

Clone Tab – Creates a new session that is identical to the tab's session and opens it in a new tab.

Clone Tab in New Window – Creates a new session that is identical to the tab's session and opens it in a new window.

Send Tab to New Window – Removes the tab from the current window and moves it into a new window.

Reconnect Tab – Reconnects the tab's session if it is disconnected.

Note: For tiled sessions, double-clicking maximizes the session.

Tab location

This option allows you to choose the placement of the tabs, either at the top or the bottom of the window.

Confirm when closing multiple tabs

Select this option to have SecureCRT alert you when you are closing more than one tab (for example, if you close a window containing more than one open session). If the option Show confirm disconnect dialog is checked, SecureCRT will always alert you if one or more sessions is open. This option is also used by tiled sessions.

Only show tabs when there are more than one

Select this option to only have tabs displayed when there are multiple tabs.

CTRL+TAB switches to most recently used tab

Instructs SecureCRT to apply this operation to the stated keystrokes. This option is also used by tiled sessions.

ALT+N switches to the Nth tabbed or tiled session

This option allows you to specify whether pressing ALT+N switches to the Nth tabbed or tiled session or the ALT+N should be passed through to the remote system.

Reuse disconnected tabs

When opening a new session, this option instructs SecureCRT to reuse the currently selected tab if it is disconnected. This option is enabled by default. This option is also used by tiled sessions.

Append (n) to session name when connecting to same session

This option allows you to specify whether or not "(n)" should be appended to the tabbed or tiled session name when another connection to a session that is already open is made.


Global Options/Terminal/Printing

Terminal / Printing

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Terminal/Printing category of the Global Options dialog allows you to set up your printer configuration.

Margins group

This group allows you to set the margins on your printed pages. Margins are measured in inches. By default, all print margins are set at 0.5 inches.

Note: These settings may also be configured on a per session A session is a set of options that are assigned to a connection to a remote machine in SecureFX. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. basis. For more information, see the Terminal/Printing category of the Session Options dialog.

Printer fonts group

This group displays the font currently being used for printed pages and also allows you to choose a different font.

Choose...

Press this button to open the Font dialog where you can choose the font you want to use for printed pages.

Note: This setting may also be configured on a per session basis. For more information, see the Terminal/Printing category of the Session Options dialog.

Print Setup...

Press this button to open the Windows Print Setup dialog where you can modify your printer configuration.

Pass-through printing group

Pass-through printing in SecureCRT allows the use of special print control escape sequences that turn on/off a printer control that sends characters directly to the printer. Depending on the sequence received, SecureCRT may bypass the terminal display and send the data directly to the printer.

Disable pass-through printing

Check this option to disable pass-through printing and cause SecureCRT to ignore all printer control escape sequences it receives:

Note: This setting may also be configured on a per session A session is a set of options that are assigned to a connection to a remote machine in SecureFX. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. basis. For more information, see the Terminal/Printing category of the Session Options dialog.

Buffer pass-through printing

Check this option to buffer pass-through printing. This will avert the issue of some applications that frequently toggle pass-through printing mode on and off, resulting in printed pages with only one line or pages that are otherwise incomplete. This option buffers all pass-through printing data and does not send it to the printer until you instruct SecureCRT to print the contents of the pass-through printing buffer.

To print the contents of the pass-through printing buffer:

1. Open the File menu and select Print.

2. In the Print menu, select Eject Page.

Use raw mode

Check this option to allow the use of a network printer when using pass-through printing.

Raw mode pass-through printing allows you to send data to a named printer as defined in Windows. In addition, raw mode instructs Windows to allow the data to be sent to the named printer without being interpreted (i.e. by the printer driver). If your host or application sends embedded printer commands (e.g., change font, etc.), enabling raw mode pass-through printing will allow these commands to be sent directly to the printer. If raw mode pass-through printing is enabled, SecureCRT will not interpret any embedded printer commands.

Note: This setting may also be configured on a per session basis. For more information, see the Terminal/Printing category of the Session Options dialog.

Direct pass-through printing to port n

Check this option to print directly to the COM or LPT port on the local machine to which a printer is attached.

Direct pass-through printing to a port essentially bypasses the Windows operating system, providing SecureCRT with direct communication to the local printer. If direct pass-through printing is enabled, print jobs are not spooled but are sent directly to the printer. The port to which the printer is attached will not be accessible to other applications until the current print job has been completed. For these reasons, it is suggested that you use raw mode pass-through printing rather than direct pass-through printing to port (see Use raw mode above).

Note: This setting may also be configured on a per session basis. For more information, see the Terminal/Printing category of the Session Options dialog.

Settings...

Click on this button to open the Direct Pass-Through Printing Settings dialog, which allows you to configure the serial device settings for pass-through printing.

Other

Force black on white

Check this option to force your printer to print as though your session's foreground color is set to black and your background color is set to white, regardless of your session's actual color settings. This option is off by default.

Enable print screen (PrtScn) key

When this option is unchecked, SecureCRT will ignore the print screen key being pressed. This option is off by default.

Related Topics

  1. Global Options/Terminal


Global Options/Terminal/Web Browser

Terminal / Web Browser

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Terminal/Web Browser category of the Global Options dialog allows you to choose your default web browser and Telnet Telnet is a protocol that provides an interface for communications between clients and servers. application.

Web browser group

With SecureCRT, you can open a URL by right-clicking on the URL text and selecting Open URL from the pop-up menu. This group allows you to specify which web browser SecureCRT should use for this operation.

Use registry setting for web browser

By default, this option is checked and SecureCRT will open a URL using the default web browser for Windows as defined in the Windows registry. To specify a web browser other than the default browser for Windows, clear this option and enter the full path to the web browser that you want to use or use the Browse button to select the browser application.

To open a URL with SecureCRT, right-click on the URL text and select Open URL from the pop-up menu. If you have trouble opening a URL or if you want to open a root folder of a URL follow these steps:

1. In the SecureCRT window, select all or part of the URL.

2. Right-click on the selected text.

3. Click on the Open Selection as URL item in the pop-up menu.

For example, suppose that your SecureCRT window displayed the following URL:

https://www.vandyke.com/products/securecrt/index.html

You could open the URL www.vandyke.com by selecting just that text and using the Open Selection as URL command.

Default URL handler

Make SecureCRT your default Telnet application

Click on this button to make SecureCRT the default Telnet application rather than using the Windows Telnet application when it opens a URL of the form:

telnet://...

Make SecureCRT your default SSH1 application

Click on this button to make SecureCRT the default SSH1 application so that SecureCRT is used when a URL of the form shown below is opened.

ssh1://...

ssh://...

Make SecureCRT your default SSH2 application

Click on this button to make SecureCRT the default SSH2 application so that SecureCRT is used when a URL of the form shown below is opened.

ssh2://...

ssh://...

Note: URL formats are as follows.

Telnet URLs must be in the following format:

telnet://[<user>[:<password>]@]<host address>[:<port>][?<query string>]

SSH URLs must be in the following format:

ssh://[<user>[:<password>]@]<host address>[:<port>][?<query string>]

The title for the connected session can be specified by using the query string "title=name".

Related Topics

  1. Global Options/Terminal


Global Options/Terminal/TFTP Server

Terminal / TFTP Server

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Terminal/TFTP Server category of the Global Options dialog allows you to configure the settings for the built-in TFTP server. Any changes made on this page will take effect the next time the TFTP server starts. The TFTP server supports RFC 1350 and RFC 2348. Files larger than 32MB can be transferred if the client supports packet wrapping.

Server group

This group allows you to control when the TFTP server starts.

Start TFTP server when:

Select this option to start the TFTP server when SecureCRT starts or when any session connects.

Local directories group

Specify the local (SecureCRT machine) directories where TFTP clients will send (Upload to) or receive (Download from) files.

Upload to:

Specify the local directory (on the SecureCRT machine) in which files uploaded by a TFTP client will be saved.

Download from:

Specify the local directory (on the SecureCRT machine) where files exist that you wish to make available for TFTP clients to download.

Security group

This group includes options that deal with TFTP server security.

Only allow connections from IP addresses of open terminal sessions.

Select this option to increase security by controlling which remote computers have access to the TFTP upload and download directories.

Options group

This group includes options that deal with accessibility issues.

Listen Port:

Enter the UDP port on which the TFTP server will listen (default is 69).

Log File:

Enter the location of the log file. If this option is left blank, SecureCRT will not save any log files.

Allow overwrite of existing files

Select this option to allow an upload to overwrite the file, if it exists, instead of returning an error.


Global Options/Terminal/Advanced

Terminal / Advanced

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Terminal/Advanced category of the Global Options dialog allows you to configure SecureCRT advanced terminal emulation-related options.

Options group

This group contains various SecureCRT options.

Enable execute escape sequence

This option allows you to enable and disable the ability to send escape sequences.

Disable resize

Check this option to globally disallow the resizing of session A session is a set of options that are assigned to a connection to a remote machine in SecureFX. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. windows by means of the resize handles. Note that even though you may change the setting of this option globally, it is possible to make exceptions for one or more sessions by setting this option on a per session basis. Resizing the SecureCRT window can affect the number of rows and columns (see the Size group of the Session Options dialog, Terminal/Emulation category, for more information). By default, the Disable resize option is not selected.

Note: Full screen mode is not allowed when the Disable resize feature is set.

Connect to multiple sessions sequentially

When multiple sessions are connecting, check this option to have the sessions connect one after the other instead of all at once.

Disable session zooming with mouse scrollwheel

This option allows you to enable and disable the ability to use the mouse scrollwheel to zoom a session.

Disable session zooming with keyboard shortcuts

This option allows you to enable and disable the ability to use the keyboard shortcuts to zoom a session.

Command window group

This group contains various Command window options.

Swap ENTER and CTRL+ENTER in Command window

When this option is enabled, SecureCRT swaps the Command window behaviors of the ENTER key (send command, by default) and the CTRL+ENTER key combination (queue command, by default).

Send characters immediately

Setting this option makes Send characters immediately the Command window default.

Command window history

Enter the number of recently used Command window commands that you want SecureCRT to remember. In your Command window, you can cycle through these commands using your UP and DOWN arrow keys. The history for a session is cleared when its tabbed or tiled window is closed.

Note: To disable the Command window history, enter a zero (0) in this entry box.

TFTP Server group

This group contains various SecureCRT options.

Listen port

Enter the UDP port on which the TFTP server will listen (default is 69).

Log file

Enter the location of the log file. If this option is left blank, SecureCRT will not save any log files.

Custom menu and toolbar file

This entry box displays and allows you to change the SecureCRT menu and toolbar configuration file. This file defines the appearance of the SecureCRT main window menus and toolbar.

Related Topics

  1. Global Options/Terminal


Global Options/File Transfer

File Transfer

The File Transfer category of the Global Options dialog allows you to control attributes of transfers and FTP connections.

Transfer options group

This group contains options that define your file transfer parameters.

Default transfer type

Choose the default file transfer type for undefined file types.

ASCII - Select this mode to transfer text files.

Binary - Select this mode to transfer program files, or other non-text files such as ZIP files.

Prompt for type - Select this option if you want to be prompted for the transfer type each time a file of the selected type is transferred.

Use this type for all files

Select this option to make the chosen transfer type the default for all file transfers regardless of registered file type settings.

Action for existing files

Choose the default overwrite action when files in a target directory already exist. The choices are:

Confirm overwrite - Presents a dialog confirming whether or not to overwrite files. The confirmation dialog allows you to confirm overwrites individually, or to choose the action for all files in the transfer with "Yes to All" or "No to All".

Always overwrite - Always overwrites existing files in the destination directory.

Never overwrite - Never overwrites existing files in the destination directory.

Overwrite if older - Overwrite existing files whose timestamp is older than the source file.

Preferences group

This group contains options that define your general preferences.

Prompt to resume interrupted transfers

Select whether or not to be prompted to resume interrupted transfers when starting a session . If this option is not selected, SecureFX will not attempt to resume interrupted transfers at startup. This option is enabled by default.

Close window on disconnect

Choose whether or not to close session windows when a session is disconnected. This option is disabled by default.

Restore last session directory

Choose if you want to restore the last remote directory that was visited when starting a session. This option is disabled by default.

Action for pressing ENTER or double-clicking a file

Choose the default action for a file. The choices are:

Transfer - uploads the local file or downloads the remote file if it is double-clicked or it is selected and ENTER is pressed.

Open - opens the file in the appropriate application if it is double-clicked or it is selected and ENTER is pressed.

Connection retry options group

This group contains options that allow you to create a retry strategy.

Maximum number of attempts

Choose the maximum number of logon retry attempts that will be performed after a failed logon attempt.

Delay between attempts

Choose the number of seconds to delay between retry attempts.

Remote edit options group

This group contains options that allow you to define actions to be taken after editing a remote file.

When the editor exits

Choose the action to be taken when the editor exits after a file has been modified.

Prompt - asks the user to enter an action.

Always upload - always uploads the edited file in the destination directory.

Never upload - never uploads a file whether or not it has been modified.

Upload when the file is saved in the editor

Check this box to execute the action selected above when a file has been modified and saved. SecureFX determines when to take action by checking the timestamp on the file being edited to see if the file has been modified before the editor exits. If the file has been modified, SecureFX implements the action defined by the above option.

Note: If you are using an editor, such as MS Word, that locks files while they are open, SecureFX cannot upload the updated file while the editor is running. You will need to close the file or exit the editor before the file can be uploaded.

Related Topics

  1. Global Options/File Transfer/File Types
  2. Global Options/File Transfer/FTP
  3. Global Options/File Transfer/Options
  4. Global Options/File Transfer/Options/Advanced
  5. Global Options/File Transfer/Sound
  6. Global Options/File Transfer/View


Global Options/File Transfer/Options

File Transfer / Options

The File Transfer/Options category of the Global Options dialog allows you to control attributes of transfers and of SFTP, FTP, HTTPS, and HTTP connections.

Local directories group

Local window

Enter the path of a local directory that a local window should display on startup. Click on the browse button to select the directory.

Download directory

Enter the path of a local directory that is to be used as the destination folder when the Download command is used and the Download directory field in the Session Options/File Transfer dialog is left blank. Click on the browse button to select the directory.

Cache directory

Choose the directory where SecureFX will place its temporary files. Click on the browse button to select the directory.

Anonymous login group

Password

Enter the anonymous password (usually an email address) that you want to use as the default when you are creating anonymous login sessions. Note that if you do not fill in this field, SecureFX will attempt to fill in anonymous password fields with a password of the form: username@.

Note: Anonymous login is only applicable to FTP sessions.

Directory tree options group

Disable directory tree detection

This option is unchecked by default. It sets the default behavior for the identical Session Options/File Transfer option. Checking this option (in Session Options / File Transfer category) will disable the directory tree for the current session.

Transfer options group

Verify file status on retrieve

This option is checked by default. It causes a LIST command to be sent prior to retrieving a file from the server in order to obtain the most current statistics (i.e., size and date) for the file.

Maximum number of parallel transfers

This option allows you to set the maximum number of transfer operations that can be performed simultaneously, giving you control over your bandwidth usage. This value applies to all transfer operations, including the transfer queue, the synchronize view, and SFXCL. Note that specifying a large number could cause CPU and/or network bandwidth issues.

Bandwidth limit

This option allows you to control the maximum amount of data that can be sent during an individual transfer operation thus controlling your bandwidth usage. Specifying 0 for this field means that there is no limit (i.e., SecureFX will use as much bandwidth as is available).

Directory listing options group

Resolve symbolic links

Checking this box causes SecureFX to include the "L" flag when listing files and directories.

Related Topics

  1. Global Options/File Transfer
  2. Global Options/File Transfer/Options/Advanced


Global Options/File Transfer/Options/Advanced

File Transfer / Options / Advanced

The File Transfer/Options/Advanced category of the Global Options dialog allows you to access advanced features in SecureFX.

Options group

Move deleted local files to the Recycle Bin

This option is enabled by default. Disabling this option causes deleted local files to be deleted from the file system.

Keep connections alive

This option is off by default. Enabling this option causes SecureFX to send SFTP/FTP NO-OP commands to the SFTP/FTP server whenever 1 minute or more has passed without sending a normal file operation command. This will usually keep the SFTP/FTP server from detecting that the connection A data path or circuit between two computers over a phone line, network cable, or other media. is idle and, consequently, disconnecting the session.

It is not recommended that you leave this feature enabled.

Never use cached file for remote editing

Enabling this option instructs SecureFX never to use the locally cached copy of a file to perform remote editing.

Log group

Enable log output to file

Enabling this option causes the SecureFX output to be logged to the specified file.

Log filename

This is the log file's full path. The following substitution variables can be used in the filename:

%Y - four-digit year

%y - two-digit year

%M - two-digit month

%D - two-digit day of the month

%h - two-digit hour

%m - two-digit minute

%s - two-digit seconds

%t - three-digit milliseconds

%% - percent (%)

% envvar% - environment variable

Note: The environment variable substitution occurs first. Substitution variables cannot be used in folder names.

Permissions group

This group contains options that allow you to specify file and directory permissions. The permissions should be specified in the appropriate octal representation. For FTP connections, these options only work with UNIX systems.

File permissions

This option allows you to specify the read/write/execute permissions on uploaded files. For example, entering 660 in the entry box gives read and write access permissions to the file owner and the group. If this option is left blank/empty, no attempt will be made to set the permissions and the permissions used on the files will be set according to the user's UMASK settings on the remote system.

This option only affects new files that are uploaded (i.e., it will not change the permissions on files that already exist). The exception to this rule is that when the Always overwrite option is chosen for existing files, the permissions will be overwritten even for existing files.

Directory permissions

This option allows you to specify the read/write/execute permissions on created directories. For example, entering 775 in the entry box gives read and write access permissions to the directory owner and the group, and read access to the world. If this option is left blank/empty, no attempt will be made to set the permissions and the permissions used on the directories will be set according to the user's UMASK settings on the remote system.

Transfer queue group

Suspend transfer of queued items

Check this option to postpone the transfer of queued files and folders. You can start the transfer of one or all items in the transfer queue by right-clicking in the transfer queue window and selecting the desired option.

Related Topics

  1. Global Options/File Transfer
  2. Global Options/File Transfer/Options


Global Options/File Transfer/View

File Transfer / View

The File Transfer/View category of the Global Options dialog allows you to control the attributes of local windows or of session windows.

General group

This group contains general view options.

Show file attributes in details view

Select this option to include an Attributes column in windows that use the Details icon view. In local windows this column will display Windows file attributes. In remote session windows this column displays UNIX-style permissions, owner and group ownership of files. This information is usually only available on UNIX-based FTP servers.

Display the folder tree

Select this option to display the folder tree view. This default behavior can be temporarily superseded with the use of the Folder Tree command on the View menu or with the Folder Tree toolbar button.

Sort folders at top

Select this option to force the folders always to be sorted at the top of the local and remote windows regardless of which column is used for sorting and whether the order is ascending or descending.

Number style

This option sets the manner in which numbers are displayed in the tree view. The default selection is Plain. The available options are:

Plain - Selecting this option will cause numbers to be displayed without punctuation or abbreviations.

Abbreviated - Selecting this option will cause numbers to be displayed using an appropriate abbreviated size quantity (i.e., KB, MB, GB). Numbers less than 1 kilobyte are not abbreviated.

Punctuated - Selecting this option will cause numbers to be punctuated using the Regional parameters defined in the system settings (e.g., numbers would be displayed with commas after every three digits on U.S. systems).

KB - Selecting this option will cause numbers to be displayed as kilobytes.

Local window group

This group contains options that control local windows.

Display filenames using Explorer attributes

Enabling this option forces SecureFX to display filenames with the same alphabetic case as the Windows Explorer. For example, an uppercase filename stored on disk as AUTOEXEC.BAT will normally display in Windows Explorer as Autoexec.bat. By default, this option is disabled, which causes filenames to be displayed using the same alphabetic case in which the name is actually stored on disk.

Note: When a file is uploaded to a remote site, the real filename case is used regardless of this setting.

Do not show hidden or system files

This option affects local windows only and is disabled by default.

Position on bottom/right when tabbed horizontally/vertically

This option controls the location of the local tab and the remote tabs. When this option is enabled, the local tab appears at the right or bottom of the window. This option is off by default.

Remote window group

This group contains options that control the remote window.

Do not show dot files

Enabling this option prevents filenames beginning with a dot (.) in remote directories from displaying. By default, it is enabled. This option may be temporarily superseded using the Dot Files command on the View menu. However, the Do not show dot files option will take precedence over the All entries option in the Connection/FTP category of the Session Options dialog.

Display file times in local time zone

Enabling this option causes the remote directory file times to be displayed in the time zone being used by the local machine rather than the time zone defined for the session. This option may be helpful when visually comparing the file times displayed on the remote machine to the file times displayed in local windows. By default, this option is disabled.

Display the log view

Select this option to display the session window's log view. This default behavior can be temporarily superseded with the use of the Log View toolbar button.

Save session window position

Checking this option instructs SecureFX to store your session window positions when you close the windows and reopen them in the same place.

Log window buffer size (lines)

This option sets the maximum number of lines that each log window can display. The default value is 500.

Transfer window group

This group contains options that affect the transfer window.

Number style

This option sets the manner in which numbers are displayed in the transfer window. The default selection is Abbreviated. The available options are:

Plain - Selecting this option will cause numbers to be displayed without punctuation or abbreviations.

Abbreviated - Selecting this option will cause numbers to be displayed using an appropriate abbreviated size quantity (i.e., KB, MB, GB). Numbers less than 1 kilobyte are not abbreviated.

Punctuated - Selecting this option will cause numbers to be punctuated using the Regional parameters defined in the system settings (e.g., numbers would be displayed with commas after every three digits on U.S. systems).

KB - Selecting this option will cause numbers to be displayed as kilobytes.

Related Topics

  1. Global Options/File Transfer


Global Options/File Transfer/FTP

File Transfer / FTP

The File Transfer/FTP category of the Global Options dialog allows you to control attributes of FTP transfers.

Receive buffer group

Use system default size

By default the system default buffer size is used. It is highly recommended that you use the system default buffer size.

Size

If you decide not to use the system default buffer size, enter the buffer size here.

Send buffer group

Use system default size

By default the system default buffer size is used. It is highly recommended that you use the system default buffer size.

Size

If you decide not to use the system default buffer size, enter the buffer size here.

Data connection A data path or circuit between two computers over a phone line, network cable, or other media. options group

Use outgoing data connections (PASV/EPSV)

Checking this box forces all data connections to be originated by SecureFX (using the FTP PASV or EPSV command). This setting is often needed where a firewall will not allow incoming connections from external FTP servers. If the PASV or EPSV connection fails, SecureFX automatically tries to reconnect using the original host/IP address. When this check box is unchecked, SecureFX will have the FTP server create an incoming data connection instead (using the FTP PORT or EPRT command).

This option is on by default. This is used as the default setting for the identical Session Options option.

Disable direct server-to-server transfers

This option is unchecked by default. Checking this option will force all server-to-server transfers to be handled by establishing indirect data connections through the local host. This option is sometimes needed where a server behaves poorly after receiving a request to establish a server-to-server connection.

Limit local ports used for PORT connections

This option, when enabled, allows you to specify a range of ports for SecureFX to use when making an FTP or FTP/TLS data connection.

Related Topics

  1. Global Options/File Transfer


Global Options/File Transfer/TLS

File Transfer / TLS

The File Transfer/TLS category of the Global Options dialog allows you to choose or create authentication certificates for TLS transfers (FTPS and HTTPS).

Certificate group

SecureFX supports generating and using self-signed certificates, which allows mutual authentication.

Path

Enter the path of the certificate you want SecureFX to use when authenticating.

Create...

Press this button to configure and generate a new certificate.

Allowed TLS versions group

This list displays the TLS versions that SecureFX can use when establishing a connection. If a TLS version is checked and it's enabled on both the local and remote systems, it can be used to secure the connection. If unchecked, that version cannot be used to secure the connection.

Related Topics

  1. Global Options/File Transfer


Global Options/File Transfer/Sound

File Transfer / Sound

The File Transfer/Sound category of the Global Options dialog allows you to choose the sounds used by SecureFX for specified events. SecureFX supports . wav sound files.

You can assign sounds for the following events:

Connect

Unexpected disconnect

Transfer complete

Error

Use the Browse button to locate and select a sound file, and the Play button to test the selected file.

Related Topics

  1. Global Options/File Transfer


Global Options/File Transfer/File Types

File Transfer / File Types

The File Transfer/File Types category of the Global Options dialog allows you to configure the registered file types and their associated actions for remote sessions.

File types can be registered with SecureFX so that specific actions are taken when files are opened in a remote session . For example, you can configure SecureFX to automatically download, then open remote text documents with Notepad when you double-click on them in a remote session. The initial file types used by SecureFX are imported from the settings used by Explorer when SecureFX is installed. You may add, edit, or remove any of the registered file types.

Note: The actions and applications for the registered file types described here apply only to files opened in remote session windows. Each file type also includes information that applies only when opening a remote file, such as transfer type and save-to-disk options. The file types used when opening files in the SecureFX local window are the same file types used by Windows Explorer. (Refer to "File Types" in Windows Explorer Help for more information.)

Registered file types

This window displays the file associations that SecureFX currently uses.

New

Opens a blank Edit File Type dialog where you can add and configure a new file type.

Delete

Deletes the currently selected file type.

Edit

Opens the Edit File Type dialog for the selected file type.

Search

You can search for a file type that is associated with a file extension by entering the file extension in the Ext. edit box. Pressing return in this edit box or clicking the Search button will cause the file type that is associated with the entered file extension to be displayed and highlighted in the file types list.

Reset All

Click this button to cause all of the file types known by Windows Explorer to be reloaded into SecureFX.

Details

This window displays the detail for the file type selected in the Registered file types window..

Related Topics

  1. Global Options/File Transfer


Global Options/File Transfer/Filters

File Transfer / Filters

The File Transfer/Filters category of the Global Options dialog allows you to configure filters to be used in file transfer operations.

Synchronize filters

This group displays the filters that SecureFX can use in synchronize operations.

To create a new filter, click on the Add... button to open a blank Filter Properties dialog. To modify an existing filter, select that filter and click on the Edit... button to open that filter's Filter Properties dialog. To remove an existing filter, select that filter and click on the Delete button.

Related Topics

  1. Global Options/File Transfer


Global Options/Firewall

Firewall

The Firewall category of the Global Options dialog allows you to configure one or more named firewalls. SecureFX supports connections through generic proxy firewalls as well as SOCKS versions 4 and 5 firewall types.

Firewalls

This window lists the firewalls that you have configured. These firewalls can be applied to specific SFTP, FTP, FTPS, HTTP, HTTPS, and SCP sessions using the applicable protocol category of the Session Options dialog.

Name

Displays the unique identifying name for the firewall. This name will be used in the Session Options dialog to specify a specific firewall for a given session A session is a set of options that are assigned to a connection to a remote machine in SecureFX. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. .

Type

Displays the type of firewall to be used.

Hostname

Displays the hostname or IP address used by the firewall.

Port

Displays the port used by the firewall.

To create a new firewall, click on the Add... button to open a blank Firewall Properties dialog. To modify an existing firewall, select that firewall and click on the Edit... button to open that firewall's Firewall Properties dialog. To remove an existing firewall, select that firewall and click on the Delete button.

Related Topics

  1. Global Options Dialog


Global Options/SSH2

SSH2

The SSH2 category of the Global Options dialog allows you to configure your SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features (including SFTP) than the SSH1 protocol provides. public-key and agent settings.

See Set Up Public-Key Authentication for details on setting up public-key authentication on both the local machine and the SSH2 server.

Public key group

Use identity or certificate file

Selecting this option instructs SecureFX to use the identity file, OpenSSH certificate, or PKCS #12 file A PKCS #12 file is a file that contains your X.509 certificate and its associated private key. stored on the local system as your method of authentication. To use an existing file, enter the full path to the file or click on the browse button to open a file browser to locate the file. For more information on configuring your system to use identity files, see Set Up Public-Key Authentication.

Use a certificate from your personal CAPI store or a PKCS #11 provider DLL

Selecting this option instructs SecureFX to use X.509 certificates from your Microsoft CAPI personal store or PKCS #11 provider DLL as your method of authentication. If you select PKCS #11 in the dropdown list, you will need to specify the path to the PKCS #11 provider DLL. For both CAPI and PKCS #11, SecureFX will try all certificates by default. Click on the browse button in order to select a specific certificate to be used for authentications.

For more information on X.509 certificates, see Using X.509 Certificates.

Use certificate as raw SSH2 key (server does not support X.509)

Check this box in order to send the certificate as a raw key. This option is on by default. When this option is set, the certificate will be treated like a key pair, which is necessary in order to use a certificate to authenticate to a server that does not support X.509 certificates.

Get username from certificate

Check this option to use the Common Name or Principle Name from the certificate as the username when authenticating.

Fingerprint

This entry box will be filled in automatically when an identity file is entered above.

Create Identity File...

Click this button to activate the Key Generation wizard. Follow the instructions in the wizard to create an identity file that contains the public and private keys.

Note: SecureFX supports RSA, Ed25519, EDSA, and DSA key types.

Change Passphrase...

Click this button to activate the Change Passphrase dialog. This dialog allows you to change the passphrase associated with the selected identity file.

Note: Passphrases for specific session identity files can be changed using that session's Public Key Properties dialog which is opened by pressing the Properties button on the Connection/SSH2 category of the Session Options dialog.

Advanced group

Add keys to agent

Check this option to enable the SSH2 agent. Agents are programs that work in the background gathering information or performing small processing tasks. In SecureFX, the implemented agent temporarily holds private keys for use with public-key authentication to multiple remote hosts.

Enable OpenSSH agent forwarding

Check this option to use the agent to connect to a remote machine through another remote machine. If you are running integrated with SecureCRT, this option can be overridden on a per-session basis from the Session Options/Connection/SSH2/Advanced category.

Enable deprecated GSSAPI

Check this option to have SecureFX first attempt to connect using GSSAPI with MIC and then, if that is not successful, try regular GSSAPI. If this box is not checked, SecureFX will only try to connect using GSSAPI with MIC.

Note: When using Kerberos host and user authentication via GSSAPI, the connection A data path or circuit between two computers over a phone line, network cable, or other media. could be vulnerable to a man-in-the-middle attack. Using GSSAPI with MIC eliminates this risk. Although the GSSAPI method has been deprecated, GSSAPI with MIC is not yet widely supported. SecureFX allows you to attempt to connect using GSSAPI with MIC if it is available on the server.

Cache session password

When this option is set, passwords will be cached while SecureFX, SecureCRT®, or the Activator is running so that when re-connecting to that session or connecting in one of the other applications, the password does not have to be re-entered.

Related Topics

  1. Global Options/SSH Host Keys
  2. Use X.509 Certificates


Global Options/SSH Host Keys

SSH Host Keys

The SSH Host Key category of the Global Options dialog allows you to manage your host keys. SecureFX provides support for viewing, importing, exporting and deleting host keys.

Accepted host keys

This list displays your host keys by Host (hostname and IP address Every site that is reachable on the Internet must have a valid IP, or Internet Protocol,address. An IP address should be entered as four numbers separated by period (.) characters (for example: 198.105.232.1). ) and Port. You can also select one of the existing host keys from the list and view, export, or delete it by pressing the appropriate button.

View Key...

Press this button to view the selected host key in textual format.

Import Key...

Press this button to import a new host key file.

Export Key...

Press this button to create a text file of the selected host key that is suitable for sending to server A computer program that provides services to other computer programs (called clients).Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. administrators and others.

Delete

Press this button to remove the selected host key from the list and delete the host key file from your system.

Host key database location

This entry box displays and allows you to change the location of the host key database.

SecureFX supports automatic acceptance of X.509 host keys. This means that if the following conditions are met, the host key will be accepted without prompting the user.

Before accepting a certificate, SecureFX checks to ensure the following conditions:

1. The hostname to which you are connecting matches the common name part of the subject name of the certificate.

2. The current date is between the start and end validity dates of the certificate.

3. The certificate chains to a trusted root certificate (anchor) installed in the Microsoft CAPI store.

4. If the Check certificate revocation lists option below has been checked, SecureFX checks to ensure that the certificate (and any in its chain) have not been listed as revoked in a certificate revocation list (CRL) installed in the Microsoft CAPI store.

Digital certificates group

Check certificate revocation lists

Check this option to have SecureFX check the certificate revocation lists before accepting a host key.

Related Topics

  1. Global Options/SSH2


Session Options Dialog

The Session Options dialog is accessed from the main SecureFX window by opening the Options menu and selecting Session Options.... This dialog can also be reached from the Connect dialog by clicking on either the New Session button or Properties button.

IMPORTANT: If you edit a session to which you are currently connected, the settings will revert back to your old settings when you close the session. To permanently change session options, close the session, make the edits, and then reopen the session.

The Session Options dialog allows you to create a new session A session is a set of options that are assigned to a connection to a remote machine in SecureFX. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. or to modify an existing session. The available categories and subcategories are as follows:

Connection

Logon Actions

SSH1 (when SSH1 The first version of the SSH protocol which provides a way to encrypt network traffic between a client and a server. is the selected protocol)

Advanced

SSH2 (when SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features (including SFTP) than the SSH1 protocol provides. or SFTP SFTP is an abbreviation for the Secure Shell File Transfer Protocol; a secure version of the FTP protocol which is used to transfer files between computers on a network. is the selected protocol)

SFTP Session

Advanced

Telnet (when Telnet Telnet is a protocol that provides an interface for communications between clients and servers. is the selected protocol)

Telnet/TLS (when Telnet Telnet is a protocol that provides an interface for communications between clients and servers. is the selected protocol)

RLogin (when RLogin is the selected protocol)

FTP (when FTP is the selected protocol)

TLS Options (when FTP/TLS is the selected protocol)

HTTP (when HTTP or HTTPS is the selected protocol)

TLS Options (when HTTPS is the selected protocol)

Serial (when serial is the selected protocol)

Local Shell (when Local Shell is the selected protocol)

TAPI (when TAPI Telephony API. A standard developed by Intel and Microsoft that manages access to phone lines on a Windows PC. This terminal emulation application uses TAPI to provide phone dialer options. TAPI compliant programs can be running at the same time, using the modem to dial out or receive calls on an "as needed" basis. is the selected protocol)

Advanced

Raw (when Raw is the selected protocol)

Port Forwarding (when SSH1 or SSH2 is the selected protocol)

Remote/X11 (when SSH2 is the selected protocol)

Terminal

Emulation

Modes

Emacs

Mapped Keys

Advanced

Appearance

Window

Keyword Highlighting

Advanced

Log File

Printing

Xmodem/Zmodem

File Transfer

FTP/SFTP (when FTP or SFTP is the selected transfer protocol)

Advanced


Session Options/Connection

Connection

The Connections category of the Session Options dialog allows you to configure a session connection A data path or circuit between two computers over a phone line, network cable, or other media..

The options of the Connection category of the Session Options dialog are based on the choice of Protocol In other words, if Telnet is selected as the protocol, the options displayed on the dialog will be different than if RLogin is selected. Below is a list of the protocols and options available in SecureFX.

The following options are displayed for all protocols.

Name

Enter a uniquely identifying name for this session.

Protocol (This option appears if only SecureFX is installed)

Select the protocol that you want to use for this session. SecureFX supports the following protocols: SFTP, FTP FTP is an abbreviation for the File Transfer Protocol; a protocol used to transfer files between computers on a TCP/IP network., FTP/TLS (implicit and explicit), HTTP, HTTPS, and SCP.

Protocol group (This group appears if SecureFX and SecureCRT® are both installed)

Select the protocol that you want to use for the stated type of session.

Note: If the FIPS mode is enabled, the following protocols cannot be used: SSH1, Telnet/TLS, FTPS, and HTTPS.

Terminal

Select the terminal emulation protocol that you want to use for this session. SecureCRT supports the following protocols: SSH1 The first version of the SSH protocol which provides a way to encrypt network traffic between a client and a server., SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features (including SFTP) than the SSH1 protocol provides., Telnet Telnet is a protocol that provides an interface for communications between clients and servers., Telnet/TLS, RLogin, TAPI, Local Shell, and serial (COM).

File transfer

Select the file transfer protocol that you want to use for this session. SecureFX supports the following protocols: SFTP, FTP, FTPS, HTTP, HTTPS, and SCP.

Local shell command group

Pre-connect

Enter a command to be executed in a separate process on the local machine prior to establishing the connection for the session.

Description group

Enter a session description to be displayed in the Connect window.

Related Topics

  1. Session Options/Connection/TAPI/Advanced
  2. Session Options/Connection/TAPI
  3. Session Options/Connection/FTP
  4. SO_Connection_Login_Actions
  5. Session Options/Connection/Port Forwarding
  6. Session Options/Connection/Port Forwarding/Remote/X11
  7. Session Options/Connection/Raw
  8. Session Options/Connection/RLogin
  9. Session Options/Connection/Serial
  10. Session Options/Connection/SSH1
  11. Session Options/Connection/SSH2
  12. Session Options/Connection/SSH2/Advanced
  13. Session Options/Connection/Telnet


Session Options/Connection/SSH1

Connection / SSH1

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The SSH1 category of the Session Options dialog allows you to configure your SSH1 The first version of the SSH protocol which provides a way to encrypt network traffic between a client and a server. connection. The SSH1 category only appears when you have selected SSH1 as your Protocol.

SSH1 Overview

SSH1 provides secure communication over a nonsecure channel by encrypting the data channel using the cipher An algorithm used to encrypt data at varying levels of security. Examples include 3DES, AES, Blowfish, RC4, and Twofish. algorithm selected for the session by the user.

WARNING: Setting cipher to None causes the data channel to be left unencrypted and offers no security.

The cipher selected must also be supported by the destination SSH1 server . An error will be reported during a connection attempt if the chosen cipher is not supported by the server.

Port forwarding The concept of connecting a logical port on a local machine to a port on a remote machine over a secure (encrypted) channel. All requests for services sent to the local port are then forwarded across the secure channel to the corresponding port on the remote machine. is another feature based on SSH security. See "Port Forwarding with SSH" in the SecureCRT Help system to learn more about encrypting connections for other applications (such as IMAP) that are not secure by default.

SSH1 connection settings include hostname, port, username, cipher, and authentication .

Hostname

The hostname or IP address Every site that is reachable on the Internet must have a valid IP, or Internet Protocol,address. An IP address should be entered as four numbers separated by period (.) characters (for example: 198.105.232.1). of the remote machine that provides the SSH1 service.

Port

The port number of the SSH1 service on the remote machine. For SSH1, the default port is 22.

Firewall

If your connection involves a firewall, select your firewall from the list of firewalls that have been configured in the Global Options/Firewall dialog.

Note: You can also select an SSH2 session to be used as a firewall. When a session is specified as a firewall, the firewall session will be connected first.

Username

The username used to log on to the remote machine. The substitution parameter %USERNAME% can be used.

Authentication

SecureCRT supports three types of authentication for connecting to SSH1 servers: password, RSA, and TIS.

Password authentication transmits the user's password to the server to authenticate the connection. The transmitted password is protected from network eavesdropping, due to the cipher encryption of the data channel. For this reason, some SSH1 servers reject the use of password authentication if the cipher is set to None.

RSA authentication uses a public/private key pair to authenticate the connection. The general mechanism behind RSA authentication is that the SSH1 server "challenges" the client to decrypt a message encoded using the user's public key stored on the server. Upon connecting, the SSH1 server generates a random value, encrypts the value using the user's public key and sends the encrypted challenge to the client. The client authenticates the connection by successfully decrypting the challenge using the user's private key. The security of the mechanism requires that no one but the owner have access to the private key. The private key is stored locally in an identity file . The first time you connect to an SSH1 server using RSA authentication, SecureCRT will prompt you for the location of this file. Also, prior to using RSA authentication, the public key must be made available to the SSH1 server.

TIS firewall authentication uses the TIS firewall server to provide a challenge phrase / response combination. SSH1 servers must be configured to offer TIS authentication.

Key exchange group

Key exchange is part of establishing trust between a client and a Secure Shell server. SecureCRT supports the rsa-ssh1 key exchange method for SSH1 sessions.

Related Topics

  1. Session Options/Connection


Session Options/Connection/SSH1/Advanced

Connection / SSH1 / Advanced

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The SSH1/Advanced category of the Session Options dialog allows you to configure your SSH1 The first version of the SSH protocol which provides a way to encrypt network traffic between a client and a server. connection. The SSH1/Advanced category only appears when you have selected SSH1 as your Protocol.

Cipher

The encryption The process of converting a data transmission into a secret format that cannot easily be read by unauthorized individuals. See also: decryption. algorithm to use for data privacy. The default cipher is 3DES. DES, RC4, and Blowfish ciphers are also available for use with the SSH1 protocol. You may also set the cipher to None, which will effectively render your connection nonsecure. No encryption will occur if the cipher is set to None, and all data will be transmitted in plain text.

WARNING: Setting cipher to None causes the data channel to be left unencrypted and offers no security.

Cipher Speed Information -- The DES and 3DES ciphers are very CPU intensive (slow). The RC4 and Blowfish ciphers are considerably less CPU intensive (faster).

MAC (Message Authentication Code) (SSH2 Only)

The SSH2 protocol provides increased security over SSH1 by means of a MAC (Message Authentication Codes) which ensures data integrity. Although specifying a MAC is optional, it is highly recommended that a MAC be specified in order to ensure data integrity.

WARNING: Data integrity cannot be ensured if MAC is set to None.

SecureCRT will attempt to connect using the first selected MAC in the MAC list and then, if not successful, work down the list trying each selected MAC. To reorder the list, select the MAC that you want to reposition and use the buttons to the right of the list to move the MAC up or down.

Options group

Compression

Enable this option to have SecureCRT use compression when transferring data.

Level

This option controls the level of compression. The compression level ranges from 0 (minimal compression) to 9 (maximum compression). A higher level means better compression but slower performance. The default value is 5.

Enable OpenSSH agent forwarding

Check this option to use the agent to connect to a remote machine through another remote machine.

Force session channel to close on disconnect

When this option is checked and a session is disconnected by the user, SecureCRT will force the connection to close immediately without waiting for a response from the remote system.

Related Topics

  1. Session Options/Connection/SSH1


Session Options/Connection/SSH2

Connection / SSH2

The SSH2 category of the Session Options dialog allows you to configure your SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features (including SFTP) than the SSH1 protocol provides. connection. The SSH2 category only appears when you have selected SSH2, SFTPSFTP is an abbreviation for the Secure Shell File Transfer Protocol; a secure version of the FTP protocol which is used to transfer files between computers on a network. , or SCP as your Protocol.

SSH2 Overview

SSH2 provides secure communication over an nonsecure channel by encrypting the data channel using the cipher algorithm selected for the session by the user. The cipher selected must also be supported by the destination SSH2 server (an error will be reported during a connection attempt if the chosen cipher is not supported by the server). A cipher is used to encrypt network traffic between the local machine and the SSH2 server, thus providing data privacy .

If you have installed SecureCRT® 5.0 or newer on the same machine as SecureFX 3.0 or newer, you can also set up port forwarding The concept of connecting a logical port on a local machine to a port on a remote machine over a secure (encrypted) channel. All requests for services sent to the local port are then forwarded across the secure channel to the corresponding port on the remote machine. . Port forwarding is another feature based on SSH security. See "Port Forwarding with SSH" in the SecureCRT Help system to learn more about encrypting connections for other applications (such as IMAP) that are not secure by default.

SSH2 connection settings include hostname, port, username, and authentication .

Hostname

The hostname or IP address Every site that is reachable on the Internet must have a valid IP, or Internet Protocol,address. An IP address should be entered as four numbers separated by period (.) characters (for example: 198.105.232.1). of the remote machine that provides the SSH2 service.

Port

The port number of the SSH2 service on the remote machine. For SSH2, the default port is 22.

Firewall

If your connection involves a firewall, select your firewall from the list of firewalls that have been configured in the Global Options/Firewall dialog.

Note: You can also select an SSH2 session to be used as a firewall. When a session is specified as a firewall, the firewall session will be connected first.

Username

The username used to log on to the remote machine. The substitution parameter %USERNAME% can be used.

Authentication group

SecureFX supports several authentication methods for connecting to SSH2 servers, and will attempt to connect using them in the order that you specify.

Password authentication transmits the user's password to the server to authenticate the connection. The transmitted password is protected from network eavesdropping, due to the cipher encryption The process of converting a data transmission into a secret format that cannot easily be read by unauthorized individuals. See also: decryption. of the data channel.

Note: If the remote machine supports both the SSH2 protocol and changing passwords at the protocol level, the password for an SSH2 session can be changed from the Password Properties dialog, which is accessed by selecting Password in the Authentication group and clicking on the Properties button.

PublicKey authentication uses a public/private key pair to authenticate the connection. During the authentication process, the client and the server negotiate a public key to use for the connection. Once a public key has been determined, the client uses the corresponding private key to perform a signature operation over a unique connection identifier. This signature is then sent to the server for verification. If verification is successful, the client is given permission to connect to the server. The security of the mechanism requires that no one but the owner have access to the private key. The private key is stored locally in an identity file . Also, prior to using public-key authentication, the public key must be made available to the SSH2 server.

Keyboard Interactive authentication allows you to use the keyboard to respond to challenges put forth by the server.

GSSAPI (Generic Security Services Application Program Interface) is a generic API for performing client/server authentication. GSSAPI allows SecureFX to authenticate with a server without knowing anything about the specific authentication mechanism in use. For more information about using GSSAPI, see the GSSAPI Properties dialog.

SecureCRT also supports the use of X.509 certificates.

Key exchange group

Key exchange is part of establishing trust between a client and a Secure Shell server. SecureCRT supports several algorithms for doing key exchange and will attempt to use them in the order that you specify.

Diffie-Hellman key exchange algorithms are common cryptographic protocols which are supported by Secure Shell servers.

GSSAPI key exchange algorithms can be used to connect to SSH2 servers that support GSSAPI. When a GSSAPI key exchange algorithm is specified and the server supports it, further authentication is not needed if you already have GSSAPI credentials (e.g., by logging onto a Windows machine that is part of an Active Directory domain).

If a GSSAPI key exchange algorithm is specified and is not supported by the server, there could be a delay during connection because the server is waiting to time out. To prevent this delay, uncheck the GSSAPI key exchange algorithms.

Minimum group exchange prime size

Allows the minimum size prime number that can be used for group exchange to be specified.

Related Topics

  1. Session Options/Connection
  2. Session Options/Connection/SSH2/Advanced


Session Options/Connection/SSH2/SFTP Session

Connection / SSH2 / SFTP Session

The SSH2/SFTP Session category of the Session Options dialog allows you to specify the directories you want to connect to upon starting the session.

Initial directories group

Local directory

Enter the path of the local directory that you want the local windows to display on startup of the session. This is the default folder from which you want to transfer files to the remote machine. Click on the browser button to use a directory browser to select the directory.

Remote directory

Enter the full path of the directory on the remote host that you want to be the current directory upon connecting to the remote host. If the this is not specified, the default or home directory for the username on the remote system will be used.

Related Topics

  1. Session Options/Connection
  2. Session Options/Connection/SSH2


Session Options/Connection/SSH2/Advanced

Connection / SSH2 / Advanced

The SSH2/Advanced category of the Session Options dialog allows you to further configure your SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features (including SFTP) than the SSH1 protocol provides. connection. The SSH2 category only appears when you have selected SSH2, SFTPSFTP is an abbreviation for the Secure Shell File Transfer Protocol; a secure version of the FTP protocol which is used to transfer files between computers on a network. , or SCP as your Protocol.

Cipher

The encryption The process of converting a data transmission into a secret format that cannot easily be read by unauthorized individuals. See also: decryption. algorithm to use for data privacy. The ciphers provided for use with the SSH2 protocol in SecureFX are AES, ChaCha20-Poly1305, Twofish, Blowfish, 3DES, and RC4. You may also set the cipher to None, which will effectively render your connection insecure. No encryption will occur if the cipher is set to None, and all data will be transmitted in plain text.

WARNING: Setting cipher to None causes the data channel to be left unencrypted and offers no security.

SecureFX will attempt to connect using the first selected cipher in the Cipher list and then, if not successful, work down the list trying each selected cipher. To reorder the list, select the cipher that you want to reposition and use the buttons to the right of the list to move the cipher up or down.

MAC (Message Authentication Code)

The SSH2 protocol provides increased security over SSH1 The first version of the SSH protocol which provides a way to encrypt network traffic between a client and a server. by means of a MAC (Message Authentication Codes) which ensures data integrity . Although specifying a MAC is optional, it is highly recommended that a MAC be specified in order to ensure data integrity. The MACs provided for use with the SSH2 protocol in SecureCRT are SHA1, SHA2, MD5, and UMAC.

WARNING: Data integrity cannot be ensured if MAC is set to None.

SecureFX will attempt to connect using the first selected MAC in the MAC list and then, if not successful, work down the list trying each selected MAC. To reorder the list, select the MAC that you want to reposition and use the buttons to the right of the list to move the MAC up or down.

Options group

Compression

Select the type of compression that you want for this SSH2 session.

Level

This option controls the level of compression. The compression level ranges from 0 (minimal compression) to 9 (maximum compression). A higher level means better compression but slower performance. The default value is 5.

Enable OpenSSH agent forwarding

Check this option to use the agent to connect to a remote machine through another remote machine. This is a tri-state option; If this option is set to the tri-state value (square), the setting from the Global Options/SSH2 category will be used.

Force session channel to close on disconnect

When this option is checked and a session is disconnected by the user, SecureCRT will force the connection to close immediately without waiting for a response from the remote system.

Related Topics

  1. Session Options/Connection
  2. Session Options/Connection/SSH2


Session Options/Connection/Telnet

Connection / Telnet

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Telnet category of the Session Options dialog allows you to further configure your Telnet Telnet is a protocol that provides an interface for communications between clients and servers. connection A data path or circuit between two computers over a phone line, network cable, or other media. . The Telnet category only appears when you have selected Telnet as your Protocol.

Hostname

The hostname or IP address Every site that is reachable on the Internet must have a valid IP, or Internet Protocol,address. An IP address should be entered as four numbers separated by period (.) characters (for example: 198.105.232.1). of the remote host.

Port

The port number of a service on a remote machine. For Telnet, the default port is 23.

Firewall

If your connection involves a firewall, select your firewall from the list of firewalls that have been configured in the Global Options/Firewall dialog.

Note: You can also select an SSH2 session to be used as a firewall. When a session is specified as a firewall, the firewall session will be connected first.

Advanced group

Will LFLOW

Select this option to enable local flow control when connecting to Telnet sites that support LFLOW. This option is selected by default.

Enable NAWS

Select this option to enable the Negotiate About Window Size (NAWS) feature. NAWS allows a Telnet client A computer or application that uses services provided by a server. and a Telnet server to negotiate resizing the terminal A device usually consisting of a keyboard, a display unit such as a cathode ray tube,and a serial port used for entering and sending data to a computer and displaying any data received from the computer. Terminals are usually connected to a computer a serial line or some other type of connection. There are many terminal types including VT100, VT102, VT220, and others. window.

Note: NAWS may not be applicable to all systems.

Force character at a time mode

Select this option to force SecureCRT to be in "character at a time" Telnet mode. This option may be required in rare cases where Telnet negotiation between the client and server does not occur correctly.

WARNING: For most users, this option should not be selected.

Send SGA (port 23 only)

Select this option to initiate Telnet negotiation by sending the Telnet SGA command. Most Telnet servers expect this from the Telnet client.

WARNING: For most users, this option should be selected.

Send SGA

Select this option to send the DO SGA command immediately after connecting.

Enable NTLM authentication

Select this option to enable NT LAN Manager (NTLM) authentication. This option is enabled by default.

Server requires bare CR

Select this option to instruct SecureCRT how to encode carriage returns when sending them to the remote host.

Related Topics

  1. Session Options/Connection


Session Options/Connection/Telnet/TLS

Connection / Telnet/TLS

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Telnet/TLS category of the Session Options dialog allows you to further configure your Telnet Telnet is a protocol that provides an interface for communications between clients and servers. connection A data path or circuit between two computers over a phone line, network cable, or other media. over the cryptographic communications protocol TLS. The Telnet/TLS category only appears when you have selected Telnet/TLS as your Protocol.

Hostname

The hostname or IP address Every site that is reachable on the Internet must have a valid IP, or Internet Protocol,address. An IP address should be entered as four numbers separated by period (.) characters (for example: 198.105.232.1). of the remote host.

Port

The port number of a service on a remote machine. For Telnet/TLS, the default port is 992.

Firewall

If your connection involves a firewall, select your firewall from the list of firewalls that have been configured in the Global Options/Firewall dialog.

Note: You can also select an SSH2 session to be used as a firewall. When a session is specified as a firewall, the firewall session will be connected first.

Advanced group

Will LFLOW

Select this option to enable local flow control when connecting to Telnet sites that support LFLOW. This option is selected by default.

Enable NAWS

Select this option to enable the Negotiate About Window Size (NAWS) feature. NAWS allows a Telnet client A computer or application that uses services provided by a server. and a Telnet server to negotiate resizing the terminal A device usually consisting of a keyboard, a display unit such as a cathode ray tube,and a serial port used for entering and sending data to a computer and displaying any data received from the computer. Terminals are usually connected to a computer a serial line or some other type of connection. There are many terminal types including VT100, VT102, VT220, and others. window.

Note: NAWS may not be applicable to all systems.

Force character at a time mode

Select this option to force SecureCRT to be in "character at a time" Telnet mode. This option may be required in rare cases where Telnet negotiation between the client and server does not occur correctly.

WARNING: For most users, this option should not be selected.

Send SGA (port 992 only)

Select this option to initiate Telnet negotiation by sending the Telnet SGA command. Most Telnet servers expect this from the Telnet client.

WARNING: For most users, this option should be selected.

Send SGA

Select this option to send the DO SGA command immediately after connecting.

Enable NTLM authentication

Select this option to enable NT LAN Manager (NTLM) authentication. This option is enabled by default.

TLS group

Disable certificate validation

Select this options to discontinue checking the validity of X.509 certificates.

WARNING: While selecting this option may speed up your connection time, it may leave you vulnerable to invalid certificates.

Related Topics

  1. Session Options/Connection


Session Options/Connection/RLogin

Connection / RLogin

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The RLogin category of the Session Options dialog allows you to further configure your RLogin connection A data path or circuit between two computers over a phone line, network cable, or other media. . The RLogin category only appears when you have selected RLogin as your Protocol.

RLogin connection settings include hostname or IP address Every site that is reachable on the Internet must have a valid IP, or Internet Protocol,address. An IP address should be entered as four numbers separated by period (.) characters (for example: 198.105.232.1). , and username.

Hostname

Enter the hostname or IP address of the remote host.

Username

Enter the username used to log onto the remote machine. The substitution parameter %USERNAME% can be used.

Related Topics

  1. Session Options/Connection


Session Options/Connection/Serial

Connection / Serial

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Serial category of the Session Options dialog allows you to further configure your serial connection. The Serial category only appears when you have selected Serial as your Protocol.

The serial protocol is used to connect to another computer with your computer's COM port or with a modem attached to your computer's COM port.

Port

Enter the Serial port (COM1, COM2, etc.) used by the session .

Baud rate

Select the Baud rate for the device. The default value is 38400.

Data bits

Select the number of communication data bits. The default value is 8.

Parity

Choose the parity setting supported by the connected device. The default setting is None.

Stop bits

Choose number of stop bits sent after each character. The default value is 1.

Flow control group

DTR/DSR

Select this option to use the DTR/DSR (data-terminal-ready/data-set-ready) signals with the connected device. By default, this is not selected. For more information about flow control, please see Advanced Serial Configuration Settings.

RTS/CTS

Select this option to use RTS/CTS (request-to-send/clear-to-send) hardware flow control. By default, this option is not selected. For more information about flow control, please see Advanced Serial Configuration Settings.

XON/XOFF

Select this option to use XON/XOFF software flow control. By default, this option is not selected.

Name of pipe

If Named Pipe is specified as the Port, the identifier for a named pipe can be entered in this field.

Serial break length

Select the length of breaks in serial data traffic. For more information about breaks, please see Sending a Serial Break.

Related Topics

  1. Sending a Serial Break
  2. Session Options/Connection


Session Options/Connection/TAPI

Connection / TAPI

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The TAPI category of the Session Options dialog allows you to configure your TAPI Telephony API. A standard developed by Intel and Microsoft that manages access to phone lines on a Windows PC. This terminal emulation application uses TAPI to provide phone dialer options. TAPI compliant programs can be running at the same time, using the modem to dial out or receive calls on an "as needed" basis. connections and redial strategy for busy numbers. The TAPI category only appears when you have selected TAPI as your Protocol.

You can use the TAPI protocol to "share" your computer’s modem with other applications. For example, if you have a fax application that is TAPI compliant, you will be able to have both SecureCRT and your fax software open at the same time. Although both programs cannot use the modem at exactly the same time, TAPI compliant programs can be running at the same time, using the modem to dial out or receive calls on an "as needed" basis.

When using TAPI, the following information must be entered:

Dial using

Select the modem you would like to use from the Dial using list of modems. If you have a modem installed, you can also configure it while in the Session Options dialog by selecting the modem and clicking on the Configure button.

Country code

Enter the country code associated with the number you are dialing.

Area code

Enter the area code for the number you are dialing.

Phone number

Enter the phone number that you are dialing. SecureCRT also allows you to specify any alternate phone numbers you wish to dial using the same session .

Auto redial group

Number of redial attempts

Select the number of redial attempts that SecureCRT will make before giving up on the connection .

Delay between attempts

Select the number of seconds that SecureCRT will wait between redial attempts.

Related Topics

  1. Session Options/Connection
  2. Session Options/Connection/TAPI/Advanced


Session Options/Connection/Local Shell

Connection / Local Shell

The Local Shell category of the Session Options dialog allows you to further configure your local shell session. The Local Shell category only appears when you have selected Local Shell as your Protocol.

Shell path

The shell that will be used for the session. The Windows shell CMD and PowerShell are available in the drop-down list, but any console application can be used.

Local shell sessions look best with the following terminal settings: Xterm as the Terminal and ANSI with 256 as the Color Mode (both found in the Session Options/Terminal/Emulation dialog), and UTF-8 as the Character encoding (Session Options/Terminal/Appearance dialog).


Session Options/Connection/TAPI/Advanced

Connection / TAPI / Advanced

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The TAPI/Advanced category of the Session Options dialog allows you to enter alternate phone numbers if the remote machine or BBS you are attempting to dial provides you with alternate numbers.

The TAPI/Advanced category only appears when you have selected TAPITelephony API. A standard developed by Intel and Microsoft that manages access to phone lines on a Windows PC. This terminal emulation application uses TAPI to provide phone dialer options. TAPI compliant programs can be running at the same time, using the modem to dial out or receive calls on an "as needed" basis. as your Protocol.

New phone number

Enter the alternate phone number. Click on the Add button to add the number to the Phone numbers list below, or click on the Replace button to replace a number selected in the list.

Phone numbers

This list displays the configured phone numbers in the order in which they will be tried. You can change this order by selecting a number and using the Up or Down buttons to move it in the list.

Move successful number to top of list on connection A data path or circuit between two computers over a phone line, network cable, or other media.

Check this option to move a number that has made a successful connection to the top of the list.

Related Topics

  1. Session Options/Connection
  2. Session Options/Connection/TAPI


Session Options/Connection/Raw

Connection / Raw

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Raw category of the Session Options dialog allows you to further configure your Raw connection. The Raw category only appears when you have selected Raw as your Protocol.

Hostname

The hostname or IP address of the remote host.

Port

The port number of a service on a remote machine.

Firewall

If your connection involves a firewall, select your firewall from the list of firewalls that have been configured in the Global Options/Firewall dialog.

Note: You can also select an SSH2 session to be used as a firewall. When a session is specified as a firewall, the firewall session will be connected first.

Related Topics

  1. Session Options/Connection


Session Options/Connection/FTP

Connection / FTP

The FTP category of the Session Options dialog allows you to control attributes of FTP FTP is an abbreviation for the File Transfer Protocol; a protocol used to transfer files between computers on a TCP/IP network. connections . The FTP category only appears when you have selected FTP or FTP/TLS as your Protocol.

FTP logon group

Hostname

The hostname or IP address Every site that is reachable on the Internet must have a valid IP, or Internet Protocol,address. An IP address should be entered as four numbers separated by period (.) characters (for example: 198.105.232.1). of the remote machine that provides the FTP service.

Port

The port number of the FTP service on the remote machine. For FTP and FTP/TLS (explicit), the default port is 21. For FTP/TLS (implicit), the default port is 990.

Firewall

If your connection involves a firewall, select your firewall from the list of firewalls that have been configured in the Global Options/Firewall dialog.

Note: You can also select an SFTP or SCP session to be used as a firewall. If SecureFX is integrated with SecureCRT, an SSH2 session can also be used as a firewall. When a session is specified as a firewall, the firewall session will be connected first.

Anonymous login

When this option is selected, SecureFX automatically selects anonymous as the username and fills in the password field using the password you supplied in the Global Options/File Transfer/Options dialog. Unselecting this option makes the Username and Password fields available.

Username

The username used to log on to the remote machine. The substitution parameter %USERNAME% can be used.

Password

The password used to log on to the remote machine.

Account

The account name to be used on the remote machine.

Data connection options group

Use outgoing data connection (PASV/EPSV)

Checking this box forces all data connections to be originated by SecureFX (using the FTP PASV or EPSV command). This setting is often needed where a firewall will not allow incoming connections from external FTP servers. If the PASV or EPSV connection fails, SecureFX automatically tries to reconnect using the original host/IP address. When this check box is unchecked, SecureFX will have the FTP server create an incoming data connection instead (using the FTP PORT or EPRT command).

This check box can also be set to a third, indeterminate state. When the check box is in this state, it appears grayed out and will cause SecureFX to use the Use outgoing data connection setting in the Global Options/File Transfer/FTP dialog.

Always use EPSV or EPRT

Checking this box forces EPSV and EPRT to be used instead of PORT and PASV for IPv4 addresses. EPSV and EPRT are always used for IPv6 addresses.

Directory listing options group

Resolve symbolic links

Checking this box causes SecureFX to include the "L" flag when listing files and directories.

Long format

Checking this box causes SecureFX to include the "-l" flag when listing files and directories. This requests that the FTP server include all available columns of informational output when performing directory listings. This option is usually only useful when the server is a UNIX system. This option is off by default.

All entries

Checking this box causes SecureFX to include the "-a" flag when listing files and directories. This requests that the FTP server include hidden files (including dot files Files having filenames that begin with a dot (.) ) when performing directory listings. This option is usually only useful when the server is a UNIX system. This option is off by default.

Note: The Do not show dot files option from the Global Options/File Transfer/View dialog will take precedence over the All entries option.

Related Topics

  1. Session Options/Connection
  2. Session Options/Connection/FTP/TLS Options


Session Options/Connection/FTP/TLS Options

Connection / FTP / TLS Options

The FTP / TLS Options category of the Session Options dialog allows you to control attributes of TLS connections . The TLS Options category only appears when you have selected FTP/TLS as your Protocol.

Certificate group

SecureFX supports generating and using self-signed certificates, which allows mutual authentication.

Use global certificate

Checking this option instructs SecureFX to use the certificate specified in the Global Options / File Transfer / TLS dialog for this session.

Path

If you choose not to use the global certificate for this session, enter the path of the certificate you want SecureFX to use when authenticating.

Create...

Press this button to configure and generate a new certificate.

Advanced group

Disable certificate validation

Select this option to discontinue checking the validity of X.509 certificates.

WARNING: While selecting this option may speed up your connection time, it may leave you vulnerable to invalid certificates.

Use CCC (Clear Command Channel) after authentication

This option tells SecureFX to transmit data over the control channel in an unencrypted form (i.e., clear text) after authentication. It may be necessary to enable this option when the local client machine is behind a firewall.

Use unencrypted data channel

This option tells SecureFX to transmit data over the data channel in an unencrypted form (i.e., clear text). The control channel, however, will remain encrypted even when this option has been turned on.

WARNING: The above options should only be used when absolutely necessary because selecting either of the above options will result in data being transmitted as clear text.

Related Topics

  1. Session Options/Connection
  2. Session Options/Connection/FTP


Session Options/Connection/HTTP

Connection / HTTP

The HTTP category of the Session Options dialog allows you to control attributes of HTTP connections. The HTTP category only appears when you have selected HTTP or HTTPS as your Protocol.

HTTP logon group

Hostname

The hostname or IP address of the remote machine that provides the HTTP/S service.

Port

The port number of the HTTP service on the remote machine. For HTTP, the default port is 80. For HTTPS, the default port is 443.

Firewall

If your connection involves a firewall, select your firewall from the list of firewalls that have been configured in the Global Options/Firewall dialog.

Note: You can also select an SFTP or SCP session to be used as a firewall. If SecureFX is integrated with SecureCRT, an SSH2 session can also be used as a firewall. When a session is specified as a firewall, the firewall session will be connected first.

Username

The username used to log on to the remote machine. The substitution parameter %USERNAME% can be used.

Password

The password used to log on to the remote machine.

Related Topics

  1. Session Options/Connection
  2. Session Options/Connection/FTP/TLS Options


Session Options/Connection/HTTP/TLS Options

Connection / HTTP / TLS Options

The HTTP / TLS Options category of the Session Options dialog allows you to control attributes of HTTPS connections . The HTTP/TLS Options category only appears when you have selected HTTPS as your Protocol.

Certificate group

SecureFX supports generating and using self-signed certificates, which allows mutual authentication.

Use global certificate

Checking this option instructs SecureFX to use the certificate specified in the Global Options / File Transfer / TLS dialog for this session.

Path

If you choose not to use the global certificate for this session, enter the path of the certificate you want SecureFX to use when authenticating.

Create...

Press this button to configure and generate a new certificate.

Advanced group

Disable certificate validation

Select this option to discontinue checking the validity of X.509 certificates.

WARNING: While selecting this option may speed up your connection time, it may leave you vulnerable to invalid certificates.

Related Topics

  1. Session Options/Connection
  2. Session Options/Connection/FTP


Session Options/Connection/Port Forwarding

Connection / Port Forwarding

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Port Forwarding category of the Session Options dialog allows you to configure secure connections to an SSH1 or SSH2 server .

Overview of Port Forwarding

Port forwarding The concept of connecting a logical port on a local machine to a port on a remote machine over a secure (encrypted) channel. All requests for services sent to the local port are then forwarded across the secure channel to the corresponding port on the remote machine. is a powerful tool that allows you to secure TCP/IP traffic using SecureCRT's SSH1 and SSH2 protocol support. This means that you can encrypt application data using protocols such as IMAP, POP3 and SMTP. For example, if you receive your email from an Internet Service Provider (ISP), you could encrypt the communication between your workstation running the email client and the ISP's SSH server.

In general, with any port forwarded by SecureCRT for an application, the application needs to be reconfigured to use the localhost or loopback address 127.0.0.1 as its application server address.

Locally forwarded connections

Name

Displays the unique identifying name for the connection A data path or circuit between two computers over a phone line, network cable, or other media. .

Local Address

Displays the local port number for the connection.

Remote Host

Displays the remote machines hostname or IP address Every site that is reachable on the Internet must have a valid IP, or Internet Protocol,address. An IP address should be entered as four numbers separated by period (.) characters (for example: 198.105.232.1). and the remote port.

Application

Displays the application to be run over this connection.

To create a new port-forwarded connection, click on the Add... button to open a blank Local Port Forwarding Properties dialog. To modify an existing connection, select that connection and click on the Edit... button to open that connection's Local Port Forwarding Properties dialog. To remove an existing connection, select that connection and click on the Delete button.

Do not request a shell

Select this option to have SecureCRT not request a command shell when attempting to port forward. This ensures that port forwards will work even if shell access is denied.

Related Topics

  1. Session Options/Connection
  2. Session Options/Connection/Port Forwarding/Remote/X11


Session Options/Connection/Port Forwarding/Remote/X11

Connection / Port Forwarding / Remote/X11

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Port Forwarding/Remote/X11 category of the Session Options dialog allows you to configure secure connections through an SSH server to an application that resides on the SSH client -side, and to enable the forwarding of X11 packets.

Remotely forwarded connections

Name

Displays the unique identifying name for the connection A data path or circuit between two computers over a phone line, network cable, or other media. .

Remote Address

Displays the port number on the remote machine that is used for this connection.

Local Host

Displays the hostname or IP address Every site that is reachable on the Internet must have a valid IP, or Internet Protocol,address. An IP address should be entered as four numbers separated by period (.) characters (for example: 198.105.232.1). of the local machine and the local port number.

To create a new port-forwarded connection, click on the Add... button to open a blank Remote Port Forwarding Properties dialog. To modify an existing connection, select that connection and click on the Edit... button to open that connection's Remote Port Forwarding Properties dialog. To remove an existing connection, select that connection and click on the Delete button.

X11 forwarding

Forward X11 packets

Check this option to allow the forwarding of X Windows packets through the SSH session, which makes possible the encryption The process of converting a data transmission into a secret format that cannot easily be read by unauthorized individuals. See also: decryption. of the data between the client and server.

Note: SecureCRT is not an X Server. The Forward X11 Packets option allows SecureCRT to accept X11 data from the remote machine and forwards it to the X server running on the local machine. The local X Server must be running before any X11 sessions can be displayed. If you are using Xhost authority access on the local X11 server, you will need to add the localhost or loopback address 127.0.0.1 to your server's Xhost list.

Enforce X11 authentication

Check this box to instruct SecureCRT to enforce X11 authentication.

Note: It may be helpful to disable this option when switching to a different user before launching an X application. If this option is enabled and the secondary user's .Xauthority file does not match the initial user's file, access to the X server will be denied.

Display

Enter the remote display setting. The Display setting is a two-part string in the following format:

<localhost>:<display>.<screen>

The first part of the string is the address of the display server machine. It can be a resolvable DNS name (including "localhost") or a specific IPv4 or IPv6 address. If this part of the string is an IPv6 address, it must be inside square brackets (e.g., [2001:0db8:0a0b:12f0:0000:0000:0000:0001]). The second part of the string is the X server display number and screen number to be used.

Related Topics

  1. Session Options/Connection
  2. Session Options/Connection/Port Forwarding


Session Options/Terminal

Terminal

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Terminal category of the Session Options dialog allows you to configure general session options for the selected session.

Audio bell

Check this option to have SecureCRT emit an audible sound when a bell character is received. This option is on by default.

Visual bell

Check this option to have SecureCRT flash the session window when a bell character is received. This option is off by default.

Close on disconnect To close a communication connection between a client and a server.

Check this option to have SecureCRT automatically close the session window after disconnecting To close a communication connection between a client and a server. from the remote machine. For tabbed and tiled sessions, the session will be closed but the application window will remain open unless the global option Exit when last session is disconnected is set.

Clear on disconnect

Check this option to have SecureCRT automatically clear the session window after disconnecting from the remote machine.

Auto reconnect

Check this option to automatically reconnect to a remote machine when a connection is terminated.

Jump scroll

When this option is off, each line is scrolled off the screen one at a time. When Jump Scroll is on, up to a full screen can be scrolled off the screen at once. When viewing a large volume of data from the remote host, turning on Jump Scroll can significantly enhance performance.

Minimize drawing (faster)

Checking this option speeds the scrolling process by not refreshing the screen as often.

Scroll to clear screen

Many applications send an escape sequence to clear the screen. When this option is turned on, the current screen's data is scrolled into the scrollback buffer prior to clearing the screen.

Scroll to bottom on output

Check this option to have SecureCRT automatically scroll to the bottom of the incoming data when new data is received, as long as the session is scrolled back less than a screen length.

Scroll to bottom on keypress

Check this option to have SecureCRT automatically scroll to the bottom of the incoming data when a key is pressed.

Mouse group

This group contains options that affect mouse behavior.

Shift forces local mouse operations

This option causes mouse operations to be local rather than remote when the SHIFT key is pressed. This option is on, by default.

Send scroll wheel events to remote

This option allows SecureCRT to scroll remote applications. This only works when you run a remote application that starts an alternate screen buffer. This applies to most applications such as Emacs, Vim, and Midnight Commander.

Position cursor on (left/ALT+left) click

This option allows you to enable or disable cursor positioning using either left-click or ALT+left-click mouse button action.

Anti-idle group

This group contains controls designed to prevent your connection from being closed due to a lack of network traffic between SecureCRT and the remote machine.

Send string n every n seconds

Check this box to send a string to the remote machine on a regular basis.

· Enter the string that you want to send in the Send string entry box. Strings can contain commands or other information. For a listing of special octal and escape codes that can be included as part of the sent string, see the table of "ASCII Control Codes" and the table of "Send String and Function Key Commands" in the SecureCRT Help system.

· Enter how often you want the string sent in the associated every n seconds entry box. The default value for this option is 300 seconds.

Send protocol NO-OP every n seconds

Check this box to send a NO-OP instruction to the remote machine on a regular basis.

· Enter how often you want the NO-OP sent in the associated every n seconds entry box. The default value for this option is 60 seconds.

Note: Sending NO-OP instructions is only available for SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features (including SFTP) than the SSH1 protocol provides. and Telnet sessions.

Selection group

Set word delimiter characters

By default, SecureCRT uses all non-alphanumeric characters (except underscore) as word delimiters when selecting an entire "word" with a double-click action as described in "Selecting Text in the Terminal Window" in the SecureCRT Help system. You can modify the word delimiter characters by entering your personal word delimiter characters in this entry box. Do not separate the entries with spaces or any other character.

Related Topics

  1. Session Options/Terminal/Appearance
  2. Session Options/Terminal/Appearance/Window
  3. Session Options/Terminal/Emulation
  4. Session Options/Terminal/Emulation/Advanced
  5. Session Options/Terminal/Emulation/Emacs
  6. Session Options/Terminal/Emulation/Mapped Keys
  7. Session Options/Terminal/Emulation/Modes
  8. Session Options/Terminal/Log File
  9. Session Options/Terminal/Printing


Session Options/Terminal/Emulation

Terminal / Emulation

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Emulation category of the Session Options dialog allows you to customize your terminal emulation for a session . Terminal keyboard emulation settings are defined by a keymap file. SecureCRT includes several built-in keymap files: VT100, VT220, Linux, SCO ANSI, Custom, and Default. The Default keymap file defines an emulation most similar to the PC keyboard, but also provides mappings for the keys F1-F4. SecureCRT will automatically choose a keyboard emulation based on the Terminal emulation that you select but you can change this selection using the Select an alternate keyboard emulation option described below.

Emulation group

This group contains general emulation controls.

Terminal

Select the terminal type that you want to emulate. SecureCRT supports ANSI, Linux, SCO ANSI, TN3270, VShell, TVI910, TVI925, VT100, VT102, VT220, VT320, WYSE50, WYSE60, Xterm, and Dumb terminal emulation.

Color Mode

For most emulations, this can be set to ANSI or None. When ANSI is selected, the session will use the ANSI color palette defined by the current color scheme in the Terminal/Appearance category.

For Xterm, the color mode can be set to ANSI with 256color, which sends "xterm-256color" instead of "xterm" as the terminal type to the remote system when the session connects. Or it can be set to True Color, which enables 24-bit color for remote applications. If you do not use remote applications that need True Color, you should not enable it because it requires more memory.

Use color scheme

When ANSI, ANSI with 256color, or True Color is selected as the color mode, check this option to honor the ANSI color palette used by the session’s color scheme. Otherwise, the default ANSI foreground and background colors will be used.

Select an alternate keyboard emulation

SecureCRT automatically chooses a keyboard emulation (or "keymap") to use based on the Terminal emulation described above. To select a different keymap, check this option and select from the list of keymaps, or use the Browse button to display the Open dialog and select the keymap you want.

For more information on customizing the keyboard for your needs, see Overview of Keymaps" in the SecureCRT Help system.

Size group

The number of rows and columns that are defined in the parameters of a connection between the client A computer or application that uses services provided by a server. and the remote machine are known as the number of logical rows and columns. This group lets you specify an explicit number of logical rows and columns that appear in your session window. Any changes in the number of logical rows and columns will be reflected in the size of the session window.

Logical rows

Enter the integer value for the number of rows in the session window.

Logical columns

Enter the integer value for the number of columns in the session window.

Note: SecureCRT allows you to set a maximum for the number of columns in the SecureCRT window (the upper limit allowed is 32000 columns). The Maximum columns setting in the Terminal/Appearance category of the Global Options dialog controls the maximum number of columns that can be specified under Session Options.

On resize group

This group contains controls that allow you to specify how a session window behaves when manually resized.

Synchronize view to size

Check this option to allow the number of rows and columns to match the size of the session window. If this option is not checked, the number of rows and columns will be maintained when resizing the window.

Scale the font

Check this option to increase or decrease the font size displayed in the session window as the window is resized.

Retain size and font

Check this option to maintain the font size displayed in the session window as the window is resized.

Scrollback group

Scrollback buffer

Enter the number of lines to be saved in the scrollback buffer. This must be an integer value between 0 and 32000.

To clear the scrollback buffer:

1. Open the Edit menu.

2. Select the Clear Scrollback menu item.

Related Topics

  1. Session Options/Terminal
  2. Session Options/Terminal/Emulation/Advanced
  3. Session Options/Terminal/Emulation/Emacs
  4. Session Options/Terminal/Emulation/Mapped Keys
  5. Session Options/Terminal/Emulation/Modes


Session Options/Terminal/Emulation/Modes

Terminal / Emulation / Modes

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Emulation/Modes category of the Session Options dialog allows you to customize the terminal emulation mode settings for a session , thereby configuring how the terminal operates.

You can configure SecureCRT to start with a customized selection of these modes on a per session basis. This is done by making mode selections within the Initial modes group. In addition, if a session is open, you can modify the current terminal modes by making mode selections within the Current modes group.

Cursor key mode

Check this option to enable the cursor keys to send ANSI cursor control sequences to the remote host. If this option is not selected, the cursor keys send application control sequences for the remote host. By default, the Cursor key mode option is not selected.

Line wrap

Check this option to have any characters received when the cursor is at the right margin be displayed on the next line. The right margin is defined by the number of logical columns. If Line wrap is not selected, any characters received when the cursor is at the right margin will be displayed just to left of the right margin, replacing the current character displayed there. By default, Line wrap mode is selected.

New line mode

Check this option to have the ENTER key generate both CR and LF characters. In addition, any LF, FF, or VT character will cause the text cursor to be moved to the first column of the next line. When New line mode is not selected, the ENTER key generates only the CR character. By default, New line mode is not selected.

Numeric keypad

Select this option to have the keypad send ASCII character codes that correspond to the numeric characters shown on the keys.

Application keypad

Select this option to have the keypad send escape sequences to the application on the remote host.

Note: The Application keypad mode and Numeric keypad mode are mutually exclusive.

Mode switching group

Some applications send special escape code sequences that toggle the cursor key, line wrap, new line, and numeric/application keypad modes. By default, these mode switching sequences are interpreted and mode switching is allowed. You can configure SecureCRT to ignore some or all of these mode switching sequences by checking or clearing the following options:

Enable 80/132 column switching

Enable cursor key mode switching

Enable keypad mode switching

Enable line wrap mode switching

Enable alternate screen switching

Related Topics

  1. Session Options/Terminal/Emulation
  2. Session Options/Terminal/Emulation/Advanced
  3. Session Options/Terminal/Emulation/Emacs
  4. Session Options/Terminal/Emulation/Mapped Keys


Session Options/Terminal/Emulation/Emacs

Terminal / Emulation / Emacs

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Emulation/Emacs category of the Session Options dialog allows you to configure your session to use the ALT key as the meta key. This may be helpful if you commonly use Emacs.

Use ALT as meta key

Check this option to enable Emacs compatibility and use the ALT key as the meta key.

WARNING: The Use ALT as meta key option will affect your ability to use ALT key combinations to access application menus. You will still be able to access the application menus by pressing and releasing the ALT key and then pressing the menu hot key. For example, to access the File menu when Use ALT as meta key is enabled, press and release the ALT key and then press the F key. However, holding down the ALT key and pressing F will be interpreted by Emacs and will not bring up the File menu. The pattern shown in this example applies to all ALT key combinations.

Preserve ALTGR international key

Many international keyboards have an ALTGR key that uses the same keyboard code as CTRL+ALT to create an alternate shift state for accessing additional characters on certain keys. To enable the use of this key and prevent Emacs from interpreting it as a CTRL+ALT sequence, select the Preserve ALTGR international key option. With this option enabled, Emacs mode is ignored for all ALTGR combinations.

Use 8th bit for meta key (requires termcap support)

Select this option to use the eighth bit for meta key combinations instead of sending the ESC key character. This option requires termcap support. By default, the ESC character is sent for meta key combinations when Emacs compatibility is enabled.

Send escape for meta key

Select this option to have SecureCRT send an ESC character for meta key combinations. By default, the ESC character is sent for meta key combinations when Emacs compatibility is enabled.

Related Topics

  1. Session Options/Terminal/Emulation
  2. Session Options/Terminal/Emulation/Advanced
  3. Session Options/Terminal/Emulation/Mapped Keys
  4. Session Options/Terminal/Emulation/Modes


Session Options/Terminal/Emulation/Mapped Keys

Terminal / Emulation / Mapped Keys

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Emulation/Mapped Keys category of the Session Options dialog allows you to create or edit keymaps for a session .

Note: Mapped keys apply only to the current session and will not carry over to other sessions. If you want to make a key assignment that works in multiple sessions, you may want to use the Keymap Editor.

Mapped keys group

This group lists the Key Combination, Function, and Argument for keys mapped in this session.

Map a key...

This button allows you to map a key from the keyboard. When the Map Key dialog appears, press the key combination you want to map. In the Map Selected Key dialog, specify the action you want the key to perform, and any applicable arguments.

Edit...

This button allows you to edit the mapping for the key selected in the window above.

Delete

This button deletes the mapping for the key selected in the window above.

Other mappings group

You may find it necessary to change the behavior of the BACKSPACE key by sending the DELETE sequence and vice versa. This group contains options controlling the BACKSPACE and DELETE key behaviors.

Backspace sends delete

Check this option to have the BACKSPACE key send the DELETE character. The DELETE character is generally ASCII 127 (decimal).

Delete sends backspace

Check this option to have the DELETE key send the BACKSPACE character. The BACKSPACE character is generally CRTL+H or ASCII 8 (decimal), 0x8 (hexadecimal), or 10 (octal).

CUA settings group

Use Windows copy and paste hotkeys

Check this option to enable the CTRL+C, CTRL+V, CTRL+A, and CTRL+F accelerator keys for copy, paste, select all, and find, respectively.

WARNING: Turning on Use Windows copy and paste hotkeys will disable your ability to send CTRL+C, CTRL+V, CTRL+A, and CTRL+F to the remote host. Most UNIX users should leave this option off.

Related Topics

  1. Session Options/Terminal/Emulation
  2. Session Options/Terminal/Emulation/Advanced
  3. Session Options/Terminal/Emulation/Emacs
  4. Session Options/Terminal/Emulation/Modes


Session Options/Terminal/Emulation/Advanced

Terminal / Emulation / Advanced

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Emulation/Advanced category of the Session Options dialog allows you to modify standard terminal emulation settings for the selected session in order to communicate with special remote machines. Most users will not need to modify any of these settings.

Advanced terminal options group

This group contains advanced emulation controls.

Answerback

By default, SecureCRT does not respond to the ENQ character with an answerback message. To enable the answerback feature for this session, check this option and enter the message to be sent.

With the Answerback option selected, SecureCRT will respond to the ENQ character with the specified answerback message. You can include substitution variables to be sent to the remote server when the server sends the ENQ (control byte 5) command.

Terminal type

By default, SecureCRT sends the terminal type to the remote machine as designated by the terminal emulation type. To send a string other than the terminal type emulated by SecureCRT to the remote machine, check this option and enter the terminal type string.

Display tab as

Some applications produce data in a tab-separated columnar format. SecureCRT allows you to change how the tab character is displayed by substituting a specific character or string in place of the tab character. For example, substituting a comma in place of the tab character would produce comma-separated data which could be imported into a spreadsheet or other application that uses comma-separated data.

To change the text displayed when a tab character is received by SecureCRT , check this option and enter the tab replacement string or character.

Other group

This group contains miscellaneous emulation controls.

Local echo

Most systems that accept remote terminal connections receive characters from the terminal keyboard and echo them to the terminal screen. However, there are some legacy systems that do not echo characters received from the terminal keyboard to the terminal screen. On such machines, you will not be able to see what you have typed unless you enable local echo. By default, local echo of user input is disabled.

To enable local echo of user input, check this option.

Strip 8th bit

ASCII uses seven bits to represent characters. Some seven-bit systems do not clear the eighth bit, causing some characters to be displayed incorrectly. If some characters are not being displayed correctly, try enabling the Strip 8th bit option.

To cause SecureCRT to strip (ignore) the high-order bit of each byte received from the remote host, check this option.

Ignore window title change requests

This option causes SecureCRT to ignore escape sequences that would change the title bar.

Copy to clipboard as RTF and plain text

This option allows SecureCRT to copy ANSI color and font data to the clipboard in RTF format so that it can be pasted into document editors (e.g., Microsoft Word).

Translate incoming CR to CR/LF

This option causes SecureCRT to translate an incoming carriage return character (CR) to a carriage return/line feed character (CR/LF).

Send delay options group

This group contains line and character send delay controls.

Line send delay

This option allows you to set the number of milliseconds that SecureCRT pauses after sending a carriage return. This only applies in the following circumstances:

When text is pasted into the SecureCRT window

When text is sent by selecting the Send ASCII command from the Transfer menu

When data is sent from an ActiveX script using SecureCRT Send() function

Character send delay

This option allows you to set the number of milliseconds that SecureCRT pauses after sending each individual character. This only applies in the following circumstances:

When text is pasted into the SecureCRT window

When text is sent by selecting the Send ASCII command from the Transfer menu

When data is sent from an ActiveX script using SecureCRT Send() function

Prompt

This option allows you to specify a string to wait for. This only applies in the following circumstances:

When text is pasted into the SecureCRT window

When text is sent by selecting the Send ASCII command from the Transfer menu

When data is sent from an ActiveX script using SecureCRT Send() function

Max wait

This option is used in conjunction with the Prompt option to specify the maximum number of milliseconds to wait. A value of 0 indicates that SecureCRT will pause until the prompt is received.

Related Topics

  1. Session Options/Terminal/Emulation
  2. Session Options/Terminal/Emulation/Emacs
  3. Session Options/Terminal/Emulation/Mapped Keys
  4. Session Options/Terminal/Emulation/Modes


Session Options/Terminal/Appearance

Terminal / Appearance

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Appearance category of the Session Options dialog allows you to configure the appearance of the screen for the selected session .

Current color scheme group

This list box displays the current color scheme for this session's window and allows you to select the color scheme for your session windows from the existing schemes. By using the Edit... and New buttons, you can also modify existing schemes or create new ones.

Note: If the settings for this option differ from the color scheme settings in the Global Options/Terminal/Appearance/Color Scheme dialog, these settings will override the global settings.

For more information on color schemes, see "Overview of Color Schemes"and "Creating or Modifying a Color Scheme" in the SecureCRT Help system.

Fonts group

This group allows you to select the font displayed in your session window.

Normal font

This box displays the current font used in this session's window. By using the Font... button, you can select a different font to display.

Narrow font

Check this option to display the narrow font currently being used and to enable the Font... button. By using the Font... button, you can select a different font to display.

Character encoding

Different computer systems can use different character encodings for the same language. For example, UNIX variants often use a character encoding called Extended UNIX Coding (EUC) to represent Japanese characters. Microsoft Windows uses an encoding called Shift JIS. SecureCRT also supports UTF-8 character encoding for those systems that require it. This option allows you to select the encoding method you need to display your language. Select the type of encoding used by the remote system. If the remote system uses the same character encoding as used by Microsoft Windows systems, select Default. This option uses facilities built into the Microsoft operating system to decode and display the data. If the remote system uses a different encoding, select from the available encoding methods. If the encoding method for your language is not available, try setting this option to Default (be sure that your font and script settings are correct). If you still cannot display your language, please let us know.

Use Unicode graphics characters

Check this box to use Unicode graphics characters including line-drawing characters.

Cursor group

This group allows you to configure the cursor used in this session's window.

Cursor style

This option allows you to configure the style of cursor displayed.

Use color

This option allows you to configure the color of the cursor displayed. By using the Color... button, you can select a different color for display.

Blinking

This option turns on and off the blinking of the cursor for this session's window. To stop the blinking, clear the check box.

Related Topics

  1. Session Options/Terminal
  2. Session Options/Terminal/Appearance/Window


Session Options/Terminal/Appearance/Window

Terminal / Appearance / Window

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Appearance/Window category of the Session Options dialog allows you to configure the appearance of the window for selected session. To turn off any of these options, clear the associated check box.

Note: The check boxes for the features in this category can be set to one of three states.

· No check mark -- Do not show the feature for this session.

· Check mark -- Show the feature for this session.

· Solid square -- Accept the global setting for this feature.

Show Command window

Check this option if you want to show the Command window.

The SecureCRT Command window provides an interface to the remote command line that is unaffected by concurrent output to the terminal screen. The Command window is useful for issuing subsequent commands. While waiting for the output of a previous command to complete, you can prepare the next command by typing it into the Command window. The contents of the Command window are sent to the command line as soon as the ENTER key is pressed in the Command window.

You can prepare multiple lines in the Command window with CTRL+ENTER.

SecureCRT will remember the number of recently used Command window commands that are specified in the Command window history option of the Global Options/Terminal/Appearance dialog. You can cycle through these commands using your UP and DOWN arrow keys. Entering a 0 for the Command window history will turn off this feature.

To select the sessions that commands will be sent to, right-click in the Command window and choose one of the following from the Send Commands to pull-right menu:

· Active Session - Send commands only to the active session. This is the default.

· All Sessions - Send commands to all your open sessions at once.

· Selected Tab Group(s) - Send commands to one or more tab groups. This setting is automatically selected when you right-click on a tab and enable Send Commands to This Group. When commands are being sent to selected tab groups, the tabs of the sessions that commands will be sent to contain an asterisk in front of the session name.

· Visible Sessions - Send commands to all visible tabbed sessions. When there are multiple tab groups, commands will be sent to the currently active session in each tab group.

If you want to send control characters to a session or edit files using an editor like vi, right-click in the Command windows and select the Send Characters Immediately option. Characters will be sent as soon as they are typed as long as this option is enabled. This option can be used in conjunction with the Send Commands to All Sessions option.

Show horizontal scroll bar

Check this option if you want to show the horizontal scroll bar.

Show vertical scroll bar

Check this option if you want to show the vertical scroll bar.

Show button bar

Check this option if you want to show the button bar in the current session. You can also select which button bar you want to display from the drop-down list.

Disable resize

Check this option if you want to disable manual resizing of the session window.

Session window always on top

Check this option to keep the session window in front or "on top" of other windows on your screen.

Label

Check this option if you want to change the tabbed or tiled session label. Enter the alternate label in the associated entry box. You can also use the following substitution variables. This label will also be used in the application title bar if the global Title bar option is not set. Note that this is the same as selecting Rename from the context menu opened by right-clicking on the name on the session tab or tile.

%H - hostname

%S - session name

%U - username

%I - IP address Every site that is reachable on the Internet must have a valid IP, or Internet Protocol,address. An IP address should be entered as four numbers separated by period (.) characters (for example: 198.105.232.1). (session must be fully authenticated for the IP address to appear in the title bar)

%P - port

Note: It is possible for some remote systems to change the title bar text by sending an escape sequence. If you want these escape sequences to be ignored, set the Ignore window title change requests option found in the Terminal / Emulation / Advanced category.

You can also use the commands listed in the "Send String & Function Commands" topic of the SecureCRT Help system.

Initial position

If you want this session window to always open in the same screen position, enter that position's x,y pixel location coordinates.

Note: If negative values are used for x or y, the initial position will be the offset from the right or bottom, respectively. In a dual monitor configuration, negative initial position values will be honored.

You can also change the window's initial position by following these steps:

1. In the Session Options dialog, open the Terminal/Appearance/Window category.

2. Be sure that the Initial position option is not selected.

3. Click on the OK button at the bottom of the Session Options dialog.

4. Move the session window to the preferred default position.

5. Open the Options menu and select Session Options...

6. In the Session Options dialog, click on the Terminal/Appearance/Window category.

7. Check the Initial position option check box.

8. Click on the OK button at the bottom of the Session Options dialog.

After completing these steps, the SecureCRT window will now be placed in the location specified each time you connect with the session.

Related Topics

  1. Session Options/Terminal
  2. Session Options/Terminal/Appearance


Session Options/Terminal/Keyword Highlighting

Terminal / Keyword Highlighting

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Keyword Highlighting category of the Session Options dialog allows you to configure the keyword list used by the session.

Note: Using this option reduces output display performance. If the host's shell supports highlighting, that is the recommended way to highlight keywords.

List name

This option allows you to select (or create) a list of keywords that you want to be highlighted in the terminal window (the entire keyword will be highlighted). To create a new list of keywords, click the New... button. You will be prompted to enter a name for the new list. Click the Delete button to delete the currently selected list. The list will be deleted even if it is being used by other sessions.

Match style

This field displays the type of matching used by the keyword list.

Keywords group

This group allows you to add, modify, and remove keywords from the keyword list.

New keyword

Enter a word or regular expression and press the Enter key or Add (plus) button to add it to the list. If the match style is Whole words, keywords (including regular expressions) cannot contain spaces.

Regular expression

Check this box to indicate that the keyword is a regular expression. The following are examples of regular expressions:

• IPv4 address: \d*\.\d*\.\d*\.\d*

• IPv6 address: ([A-Fa-f0-9]{1,4}::?){1,7}[A-Fa-f0-9]{1,4}

• Match everything after a keyword and an equal sign (e.g., “error=12345”): error=.*

Note: The regular expressions should use ECMAScript syntax.

Keyword list

This is an ordered list of keywords. Keywords are matched using the order in the list. As soon as a match is found, the keyword is highlighted. To reorder the list, select the keyword that you want to reposition and use the buttons to the right of the list to move the keyword up or down. Multiple keywords can be moved when the selection is contiguous.

When the match type is Whole words, the word delimiters for keyword highlighting are the following:

` ~!#$%^&*()+=:;<>,.?/\[]{}|'

Note: Word delimiters can be used in a regular expression.

Edit

Press this button to make changes to the selected keyword.

Remove

Press this button to remove the selected keyword(s).

Match case

Check this box to indicate that the case of all the keywords in the list should be matched.

Set Color…

Select one or more keywords in the list and press this button to set their color. The Color highlight style must be checked in the Session Options/Terminal/Keyword Highlighting/Advanced category in order to set the color for selected keywords.


Session Options/Terminal/Keyword Highlighting/Advanced

Terminal / Keyword Highlighting/Advanced

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Keyword Highlighting/Advanced category of the Session Options dialog allows you to configure the keyword highlight style for the session and the match style of the keyword list specified for the session.

List name

This field displays the name of the keyword list specified for the session.

Highlight style group

This group allows the keyword highlight style for the session to be specified. The highlight style applies only to the session and not to the keyword list. When the Color style is checked, colors can be specified for individual keywords in the list.

Match style group

This group allows you to specify the match style for the keyword list. Regular expressions can be used with either style of matching.

Whole words

Select this option to match whole words for the entire list. With this match style, keywords and regular expressions cannot contain spaces.

Phrases and substrings

Select this option to match phrases and substrings for the entire list. With this match style, keywords and regular expressions can contain spaces and substrings will also be matched.


Session Options/Terminal/Log File

Terminal / Log File

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Log File category of the Session Options dialog allows you to customize the logging options for the selected session .

Log file name group

This section lets you specify a default filename for your log file. You can enter a path or filename, or you can use the Browse button to open the Save As dialog and select the path or filename. You can also include any of the variables listed in the Substitutions section below. These variables will be expanded when SecureCRT writes to the log file.

Options group

This section lets you specify log file behaviors.

Prompt for filename

Check this option to prompt the user for the session log filename when the log is started.

Start log upon connect

Check this option to start writing to the session log file whenever a connection is made. By default, this option is not selected.

Overwrite file

If this option is selected and the session log file already exists, the current log file will be overwritten by the new session log file.

Append to file

If this option is selected and the session log file already exists, the new session log will be appended to the existing log file. If the log file does not already exist, a new file is created.

Raw log

Check this option to write every character received by SecureCRT, including terminal escape sequences, to the session log file. By default, this option is off.

Start new log file at midnight

Check this option to have SecureCRT start a new log file each night at midnight. Using this feature can aide in automatic log rotation.

Custom log data group

This section lets you specify custom messages to be written to the log file. You can include any of the variables listed in the Substitutions section below. These variables will be expanded when SecureCRT writes to the log file.

Upon connect

Entries in this box will be written to the log file when the session connects.

Upon disconnect

Entries in this box will be written to the log file when the session disconnects.

On each line

Entries in this box will be written to each line of the log file.

Log only custom data

If this option is selected, SecureCRT will log only the custom data from the three fields above. All normal log messages will be suppressed.

Substitutions group

In the dialog, this section lists some of the variables that SecureCRT can expand when writing to the log file. A complete list is shown below.

%H - hostname (not valid with protocols that do not specify a host, such as Serial)

%S - session name

%P - port (not valid with protocols that do not specify a port, such as RLogin)

%Y - four-digit year

%y - two-digit year

%M - two-digit month

%D - two-digit day of the month

%h - two-digit hour

%m - two-digit minute

%s - two-digit seconds

%t - three-digit milliseconds

%F - directory path starting below the "Sessions" folder

%% - percent (%)

% envvar% - environment variable

Note: The environment variable substitution occurs first.

Related Topics

  1. File Menu
  2. Session Options/Terminal


Session Options/Terminal/Printing

Terminal / Printing

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Printing category of the Session Options dialog allows you to set up your printer configuration for the selected session.

Use global print settings

Check this option to use the global options instead of configuring session-specific options. By default, all print settings for SecureCRT sessions are derived from global print settings.

Note: If this option is not checked, the settings specified here will override the setting in the Terminal/Printing category of the Global Options dialog for the selected session.

Margins group

This group allows you to set the margins on your printed pages. Margins are measured in inches. By default, all print margins are set at 0.5 inches.

Printer fonts group

This group displays the font currently being used for printed pages and also allows you to choose a different font.

Choose...

Press this button to open the Font dialog where you can choose the font you want to use for printed pages.

Print Setup...

Press this button to open the Windows Print Setup dialog where you can modify your printer configuration.

Pass-through printing group

Pass-through printing in SecureCRT allows the use of special print control escape sequences that turn on/off a printer control that sends characters directly to the printer. Depending on the sequence received, SecureCRT may bypass the terminal display and send the data directly to the printer.

Disable pass-through printing

Check this option to disable pass-through printing and cause SecureCRT to ignore all printer control escape sequences it receives:

Buffer pass-through printing

Check this option to buffer pass-through printing. This will avert the issue of some applications that frequently toggle pass-through printing mode on and off, resulting in printed pages with only one line or pages that are otherwise incomplete. This option buffers all pass-through printing data and does not send it to the printer until you instruct SecureCRT to print the contents of the pass-through printing buffer.

To print the contents of the pass-through printing buffer:

1. Open the File menu and select Print.

2. In the Print menu, select Eject Page.

Use raw mode

Check this option to allow the use of a network printer when using pass-through printing.

Raw mode pass-through printing allows you to send data to a named printer as defined in Windows. In addition, raw mode instructs Windows to allow the data to be sent to the named printer without being interpreted (i.e. by the printer driver). If your host or application sends embedded printer commands (e.g., change font, etc.), enabling raw mode pass-through printing will allow these commands to be sent directly to the printer. If raw mode pass-through printing is enabled, SecureCRT will not interpret any embedded printer commands.

Direct pass-through printing to port n

Check this option to print directly to the COM or LPT port on the local machine to which a printer is attached.

Direct pass-through printing to a port essentially bypasses the Windows operating system, providing SecureCRT with direct communication to the local printer. If direct pass-through printing is enabled, print jobs are not spooled but are sent directly to the printer. The port to which the printer is attached will not be accessible to other applications until the current print job has been completed. For these reasons, it is suggested that you use raw mode pass-through printing rather than direct pass-through printing to port (see Use raw mode above).

Settings...

Click on this button to open the Direct Pass-Through Printing Settings dialog, which allows you to configure the serial device settings for pass-through printing.

Other

Force black on white

Check this option to force your printer to print as though your session's foreground color is set to black and your background color is set to white, regardless of your session's actual color settings. This option is off by default.

Related Topics

  1. File Menu
  2. Session Options/Terminal


Session Options/Terminal/X/Y/Zmodem

Terminal / X/Y/Zmodem

This category only appears if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

The Terminal/X/Y/Zmodem category of the Session Options dialog allows you to configure your Xmodem, Ymodem, and Zmodem settings.

Directories group

Upload

Enter the path of a local directory that is to be used as the source folder when the Upload command is used. Click on the browser button to select the directory.

Download

Enter the path of a local directory that is to be used as the destination folder when the Download command is used. Click on the browser button to select the directory.

X/Ymodem send packet size group

This group allows you to select the size of the Xmodem and Ymodem packets you send. Your options are as follows:

128 bytes

1024 bytes (Xmodem-1k/Ymodem-1k)

Zmodem

Disable Zmodem

Check this option to turn off the ability to make Zmodem transfers.

TFTP server group

Start TFTP server when session connects

Check this option to launch a TFTP server when the session connects. The TFTP server will use the upload and download directories specified in the Directories group in this category. Note that the upload and download directories are used opposite of how they are normally used in SecureCRT because the TFTP server is a server instead of a client.

Related Topics

  1. Session Options/Terminal


Session Options/File Transfer

File Transfer

The File Transfer category of the Session Options dialog allows you to control attributes of the directory locations for a given session .

Local directories group

Local window

Enter the path of the local directory that you want a local window to display on startup of the session. This is the default folder from which you want to transfer files to the remote machine. Click on the browse button to use a directory browser to select the directory.

Download directory

Enter the path of the local directory to be use as the destination folder when the Download command is used. This is the default folder in which you want to receive files from a remote machine. Click on the browse button to use a directory browser to select the directory.

Remote directories group

Initial directory

Enter the full path of the directory on the remote host that you want to be the current directory upon connecting to the remote host. If the initial directory is not specified, the default or home directory for the username on the remote system will be the initial directory

Pair with local window

Checking this option causes the remote session window to be paired with a local window. When a local and remote window are paired, activating either window will cause the paired window to be brought to the foreground.

Synchronize file browsing

Checking this option causes the local and remote folders to change in lockstep when they have the same hierarchy. When this option is checked, a local window directory and remote initial directory must be specified. The option can be toggled from the toolbar or Options menu. Synchronized file browsing is indicated in the local and remote windows by an asterisk (*).

Directory tree options group

Disable directory tree detection

This option is unchecked by default leaving the directory tree enabled. Checking this option will disable the directory tree for the current session.

This check box can also be set to a third, indeterminate state. When the check box is in this state, it appears grayed out and will cause SecureFX to use the Disable directory tree detection setting in the Global Options/File Transfer/Options dialog.

Transfer options group

Verify file status on retrieve

This option is checked by default. It causes a LIST command to be sent prior to retrieving a file from the FTP FTP is an abbreviation for the File Transfer Protocol; a protocol used to transfer files between computers on a TCP/IP network. server A computer program that provides services to other computer programs (called clients).Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. in order to obtain the most current statistics (i.e., size and date) for the file.

This check box can also be set to a third, indeterminate state. When the check box is in this state, it appears grayed out and will cause SecureFX to use the Verify file status on retrieve setting in the Global Options/File Transfer/Options dialog.

Directory listing options group

Resolve symbolic links

Checking this box causes SecureFX to include the "L" flag when listing files and directories.

Display filenames using UTF-8 encoding

Checking this box causes filenames to always be displayed in UTF-8.

Related Topics

  1. Session Options/File Transfer/FTP/SFTP
  2. Session Options/Terminal/X/Y/Zmodem


Session Options/File Transfer/FTP/SFTP

File Transfer / FTP/SFTP

The File Transfer/FTP/SFTP category of the Session Options dialog allows you to control server A computer program that provides services to other computer programs (called clients).Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. and upload attributes for a given session A session is a set of options that are assigned to a connection to a remote machine in SecureFX. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. .

Server parameters group

Operating system

Select the operating system used on the server. By default, this option is set to automatically detect the operating system on the server when connecting. This option allows you to override the automatic detection and specify a supported type.

Time zone

Select the time zone of the server. This information is used when translating file times from the server so that a more accurate comparison can be performed when comparing local file time and remote file times.

By default, this option is set to automatically detect the time zone of the server, if possible, using the server's connection A data path or circuit between two computers over a phone line, network cable, or other media. reply. Many FTP servers put time and date information in the initial reply text sent from the server, and SecureFX will attempt to determine time zone of the server from this text. If it fails to detect an appropriate time zone, the local time zone (i.e., the time zone in use on the client machine) is used by default.

Note: The SFTP protocol does not provide a mechanism for a server to communicate time zone information to the client. If this option is set to Automatic detect, timestamps will always be displayed using the local time zone when the SFTP protocol is used.

Upload options group

Filename conversion

Choose the filename conversion rule that will be applied to uploaded files. The choices for this option are as follows:

Preserve case causes SecureFX to create the file on the remote machine using the filename exactly as it is stored on the local machine.

Uppercase causes the alphabetic characters in a filename to be converted to all uppercase.

Lowercase causes the alphabetic characters in a filename to be converted to all lowercase.

File creation mask (not available when using SFTP)

Enter a file creation mask (also called the UMASK) that will be used when a new file is uploaded to the FTP server. By default, this option is blank, which means that the UMASK command will not be sent to the FTP server, and the server will use the default UMASK setting for current logon.

The file creation mask is a value that is used to determine the default permissions settings for new files. This feature is usually only available on UNIX systems.

The value specified for the file creation mask is given in octal and is XORed on the remote system with the permissions of 666 for files and 777 for directories. For example, the value 002 would give complete access to the group and only read (and directory search) access to others. The value 022 would give only read (and directory search) access to the group and others.

Related Topics

  1. Session Options/File Transfer
  2. Session Options/Terminal/X/Y/Zmodem


Session Options/File Transfer/Advanced

File Transfer / Advanced

The File Transfer/Advanced category of the Session Options dialog allows you to configure PGP options for a session.

PGP options group

Use PGP for all transfers

Select this option to execute a command when transferring files, which could be a PGP-like encryption or decryption command.

Pre-upload command

Enter the local command to execute on the file prior to upload (e.g., PGP encryption).

Post-download command

Enter the remote command to execute on the file after download (e.g., PGP decryption).

Notes:

A third-party library such as GnuPG is required in order to do PGP-like encryption and decryption.

If "%INPUT_PATH" appears within a PGP command, it is replaced with the input file path (i.e., the file being decrypted/encrypted/signed/verified).

"%OUTPUT_PATH" is a variable that SecureFX uses that is replaced with the file resulting from the PGP operation.

A file named "file.txt" will be named "file.txt.pgp" on the remote machine following PGP processing prior to the upload operation.

A file named "file.txt.pgp" will be named "file.txt" on the local machine following PGP processing after the download operation.

When uploading files that already have a ".pgp" or a ".gpg" extension, PGP processing will be skipped.

Example of pre-upload command:

gpg.exe --recipient "Name of Recipient's Certificate" --output "%OUTPUT_PATH" --encrypt "%INPUT_PATH"

Example of post-download command:

gpg.exe --decrypt-files "%INPUT_PATH"

SFTP/SCP group

Use a separate transport for every connection

Check this option in order to establish a new SSH2 transport for every parallel SFTP transfer.

Disable initial SFTP extensions

Check this option in order to disable the fs-multiple-roots-supported request, which may be needed for compatibility with some servers.

Related Topics

  1. Session Options/File Transfer
  2. Session Options/Terminal/X/Y/Zmodem


Change Directory Dialog

The Change Directory dialog is accessed by selecting the Change Directory... option from the File menu. This dialog allows you to display the contents of a different folder in the local or remote window.

The dialog displays the name of the currently selected folder and provides a entry box for the Directory name of the folder that you want to display. When you have entered the name and clicked on the OK button, the contents of that folder will be displayed in the window.


Connect Dialog

The Connect dialog allows you to connect to a defined session or to create and connect to a new session.

Note: The Connect dialog is used for managing sessions when the global option Use dockable Session Manager is unchecked.

The session database is organized into folders and sessions that are displayed in the tree view in the center of the dialog. Folders are used to group sessions into logical categories. Sessions contain the data needed to connect to a remote site.

From the Connect dialog, you can connect to multiple sessions and folders. You can also select and edit multiple sessions from the Connect dialog; only the changed fields will be applied to the selected sessions, allowing specific settings to be changed for a group of sessions. When editing multiple sessions, SecureFX will display the first session that was selected.

The toolbar on the Connect dialog provides quick access to the following actions:

Button | Description
 | Connect: Causes SecureFX to connect to the remote server named in the selected session.
 | Quick Connect: Causes SecureFX to open the Quick Connect dialog.
 | New Session: This command brings up the New Session wizard or the Session Options dialog where all of the information needed to create a new session can be entered. The new session is created under the currently selected folder.
 | Cut: Copies the selected session or folder to the clipboard. When it is pasted, the session or folder is moved to the new location. This command can also be accessed using the CTRL+X keyboard accelerator.
 | Copy: Copies the selected session or folder to the clipboard. The session name is also placed on the clipboard for pasting outside of the Session Manager or Connect dialog. This command can also be accessed using the CTRL+C keyboard accelerator.
 | Paste: Pastes a session or folder that was previously cut or copied into the specified folder. This command can also be accessed using the CTRL+V keyboard accelerator.
 | Delete: Deletes the selected sessions and/or folders. A confirmation dialog is displayed before the deletion is performed. This command can also be accessed using the DELETE key.
 | Properties: This command brings up the Session Options dialog where the information for the selected session can be edited.
 | Find: Searches the contents of the session tree for a given string. The accelerator for this command is CTRL+F, and pressing the F3 key will result in a "find next" operation.
 | New Folder: This command causes a new folder to be added under the currently selected folder. The folder is named "New Folder" and can be edited in place.
 | Create Desktop Shortcut: This command is used to create a desktop shortcut for the selected session. See the Create Desktop Shortcut topic for details on creating a shortcut.
 | Help: Opens the SecureFX Help system.

Below the toolbar is a filter box. As text is typed into the filter box, the session list is updated to include only the items that match the text. To include folders in the filtered sessions, type "/" after text in the filter box. Partial matches are supported. For example, if "Rout/" is typed in the filter box, a folder named "MyRouters" and all of its contents would be included in the filtered session list.

Show dialog on startup

When this option is checked, the Connect dialog is displayed when you start SecureFX. Unchecking the check box turns off this feature. This feature is enabled by default.

You can also edit the name of a folder or session in place by right-clicking on it and selecting Rename from the resulting menu. Renaming can also be done by doing a slow double-click on the name.

Keyboard Accelerators

The following keyboard accelerators can be used to access the Connect dialog commands

Command | Accelerator
Connect | ALT+C
Quick Connect | ALT+Q
New Session | ALT+N
Properties | ALT+ENTER
Find | CTRL+F
Cut | CTRL+X
Copy | CTRL+C
Paste | CTRL+V
Delete | DEL
New Folder | ALT+F
Shortcut | ALT+S
Rename | ALT+M or F2

You can also access the Rename command by right-clicking on a folder or session. This command allows the selected folder or session name to be edited in place. Renaming can also be done by doing a slow double-click on the name.

Session Database Tree View

The follow are some tips for working with the folder tree.

If a folder contains sub folders or sessions, a (+) shows to the left of the folder icon. Clicking the plus sign (+) or double-clicking the folder will expand to show the subfolders.

Click the Minus Sign (-) next to an expanded folder, or double-click the folder icon to collapse the expanded subfolders.

Double-clicking on a session name will cause SecureFX to connect to that session.

Folders and sessions can be copied or moved in the tree view using standard drag-and-drop operations. The one exception to this is the root folder "Sessions" which cannot be moved or deleted.

Folders and sessions can be cut, copied, and pasted using the standard CTRL+X, CTRL+C, and CTRL+V keyboard accelerators, respectively.

Folders can be automatically arranged in alphabetical order or manually arranged as desired.

If you are sharing your SecureCRT and SecureFX configuration settings, you can control whether or not you see both the file transfer and terminal emulation sessions in your SecureFX Connect dialog by right-clicking in the session list and toggling the Show Transfer Sessions option.

Related Topics

  1. Connection Overview


Create Directory Dialog

The Create Directory dialog is accessed by selecting the New>Folder... option from the File menu. This dialog allows you to create a new folder.

The dialog displays the name of the folder that is currently selected and provides an entry box for the name of the New directory you want to create. When you have entered the name and clicked on the OK button, the new folder will be created as a sub-folder of the currently selected folder.


Customize Dialog

The Customize dialog allows you to customize the user interface menu bar and toolbars to suit your needs and preferences. You can show or hide toolbars, rearrange menu commands and toolbar buttons, add or remove commands and buttons, and create new menus and toolbars.

Note: You can also customize your toolbars by using the ALT+drag method. To do this, place the mouse pointer over a menu title or toolbar button, hold down the ALT key, and drag the menu or button to a new location, or totally off the bar if you want to remove it.

The Customize Toolbar dialog can be accessed in several ways:

Right-click on any of the bars and select Customize... from the context menu.

Right-click on the Toolbar Options button on the main toolbar and select Customize... from the context menu.

Selecting Customize Toolbar / Menu... from the Tools menu.

Commands tab

Categories window

Displays the categories of commands available for use in menus and buttons. Selecting a category displays the associated commands in the Commands window.

Commands window

Displays the commands associated with the selected category. These commands can be added to menus and used as toolbar buttons.

You add commands or buttons to menus and toolbars by clicking on that command and dragging it to the desired menu or toolbar. If a command that you want to add as a toolbar button does not have a button icon, SecureFX will create a button on the toolbar displaying the command's name.

Toolbars tab

Toolbars window

Displays the Menu bar, Main toolbar, and any other toolbars that have been created. To hide a toolbar in the interface, uncheck the box to the left of that toolbar's name. The Menu bar cannot be hidden.

When the Customize dialog is open, SecureFX allows you to add commands to and remove commands from menus using drag and drop. To add a command to a menu, drag that command from the Commands tab to the menu where you want it. To remove a command from a menu, open that menu and drag the command off of that menu.

Clicking on the Reset button on this tab will reset the selected toolbar to its default values. Clicking on the Reset All button resets all the toolbars.

Menu tab

Application Frame Menus group

Show Menus for

Select the menu bar to use.

Reset

Resets selected menu bar to default values.

Menu animations

Select your preferred method of animating the opening and closing of SecureFX menus.

Menu shadows

Select this option to have an open menu display a shadow.

Options tab

Toolbar group

Show ScreenTips on toolbars

Check this option to have SecureFX display ScreenTips when you hover your pointer over a toolbar button.

Show shortcut keys in ScreenTips

Check this option to have SecureFX display alternative keyboard shortcut options with ScreenTips when you hover your pointer over a toolbar button.


Edit File Type Dialog

The Edit File Type dialog allows you to register a new file type or modify an existing association. The dialog is accessed by selecting the New... or Edit... button on the Global Options/File Transfer/File Types dialog.

Default icon group

This group displays the default icon used by SecureFX for a registered file type and allows you to change that icon, if desired.

Change Icon

Click on this button to open the Change Icon dialog which allows you to specify a icon file to be used with the file type being registered.

Description

Enter a short text description of the file type. This field is required.

Transfer type

Select the default file transfer type for undefined file types.

ASCII - Select this mode to transfer text files.

Binary - Select this mode to transfer program files, or other non-text files such as ZIP files.

Use global transfer type - Select this mode to use the transfer type selected in the Global Options / File Transfer dialog.

Prompt for type - Select this option if you want to be prompted for the transfer type each time a file of the selected type is downloaded.

Open with

Choose the application to open this file type or use the Browse button to select the application. Completing this field is recommended.

Remote open

Choose the action to be taken when files of the registered type are opened on a remote host. The available actions are as follows:

Open - Automatically open the file (after downloading) using the associated program when remote files of this type are opened.

Save to disk - Automatically open a dialog that prompts for the filename and the location to save the remote file when it is opened.

Prompt for open action - Opens a dialog that lets you choose whether to automatically open the file (after downloading) with an associated application or save it to disk each time a remote file of this type is opened.

Associated extensions group

Use the Add and Remove buttons to choose filename extensions for the file type. Use the Load Defaults button to load the SecureFX default values.


Enter SSH Username Dialog

The Enter SSH Username dialog appears when SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features (including SFTP) than the SSH1 protocol provides. authentication is attempted and no username was entered on the Session Options/Connection/SSH2 dialog.

Username

Enter your username.

Save username

Check this box if you want SecureFX to save your username. By saving it, you will not be prompted the next time you connect to this session .


Firewall Properties Dialog

Name

Enter unique name for this firewall. This name will be used in the Session Options dialog to specify the firewall for a given session A session is a set of options that are assigned to a connection to a remote machine in SecureFX. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. .

Type group

Select the firewall type from the drop-down list. The supported firewalls are listed below.

Generic/Telnet - Choose this option if you connect through a proxy server that uses a simple send/expect interface. Selecting this type will enable the Proxy prompt and Proxy command options described below.

SOCKS Version 4

SOCKS Version 5 (no authentication The process of verifying that an individual truly is who he or she claims to be. Supplying a password is a very common method of authentication. )

SOCKS Version 5 (username/password) - If your firewall server is running either SOCKS version 4 or SOCKS version 5, select one of these types for the Type field. Enter the hostname or IP address Every site that is reachable on the Internet must have a valid IP, or Internet Protocol,address. An IP address should be entered as four numbers separated by period (.) characters (for example: 198.105.232.1). of your SOCKS firewall server in the "Hostname or IP" field, and enter the SOCKS firewall port number in the "Port" field. The conventional port number for SOCKS is 1080.
The "username/password" version of the SOCKS firewall choices allows for firewall user authentication. The only method of authentication currently supported is the "Username/Password Authentication" protocol, which requires the username and password to be sent as clear text. Therefore, this method is not recommended for nonsecure environments

HTTP (no authentication) - This type allows your server to connect through an HTTP proxy server.

HTTP (Basic username/password) - This type allows your server to connect through an HTTP proxy server that supports "Basic" authentication (this is an HTTP standard). "Basic" authentication sends usernames and passwords in the clear, therefore, this method is not recommended for nonsecure environments.

OPEN host - Select this type if your firewall server requires the OPEN command. This type may be selected for the CSM proxy server. Also, enter the hostname and port of the firewall server in the appropriate fields.

USER user@host:port - Select this type if your server is running the WinGate proxy server. Enter the hostname or IP address and port of the firewall server in the appropriate fields. This type may also be selected for use with the CSM proxy server.
This type should also be used for the WinProxy proxy server. For this particular proxy server you may also need to have the Use outgoing data connections (PASV) option unchecked in the Connection/FTP category of the Session Options dialog.

USER user@host port

USER user@host port (with login) - Select these types if your server is running the TIS Internet Firewall Toolkit. Choose the first form if the firewall server does not require authentication. If your firewall server requires authentication, choose the second form. Also, enter the hostname or IP address and port of the firewall server in the appropriate fields.

USER user@host login - This type will send the remote username and the server address followed by the firewall user ID. It then expects to send the password for the remote user and the password for the firewall user. This type should be used if your server is running the Raptor Firewall.
For this firewall type you will need to enter the username and password that is required by the firewall server to authenticate your connection A data path or circuit between two computers over a phone line, network cable, or other media. . Also, enter the hostname or IP address and port of the firewall server in the appropriate fields.

Prompt command - Choose this option if you need to issue a local proxy command in order to connect to the SSH server.

Parameters group

This group allows you to configure the parameters for the firewall Type that you selected above. The options in this group vary based on the Type selection.

Hostname or IP

Enter the hostname or IP address of the machine to which you want to connect.

Port

Enter the port to which you want to connect. For a SOCKS firewall, this is usually 1080.

Username

Enter the username for this connection.

Password

Enter the password for this connection.

Proxy prompt

This option applies only if you have selected Generic/Telnet proxy as your firewall Type.

Enter the prompt that SecureFX can expect to receive from the generic proxy. For example, to use the TIS Firewall toolkit, the prompt would be:

tn-gw>

For WinGate, the prompt would be:

WinGate>

Proxy command

This option applies if you have selected Generic/Telnet proxy or Proxy command as your firewall Type. The following tokens are supported:

%% A literal "%"
%h Hostname
%p Port

For the generic/Telnet proxy, enter the connect or open command that SecureFX needs to send. For example, to use the TISFirewall toolkit, the command would be:

c %h %p\r

For WinGate, the command would be:

%h %p\r\n

For the Proxy command firewall type, enter the local proxy command. Here's an example Duo command:

duoconnect -host=%h:%p -relay=https://engineering-ssh.example.com

Related Topics

  1. Global Options/Firewall


GSSAPI Properties Dialog

The GSSAPI Properties dialog can be accessed by clicking on the Properties button in the Authentication group of the Connection/SSH2 category of the Session Options dialog when GSSAPI is the specified authentication method.

GSSAPI (Generic Security Services Application Program Interface) is a generic API for performing client A computer or application that uses services provided by a server. /server authentication. GSSAPI allows SecureFX to authenticate with a server without knowing anything about the specific authentication mechanism in use.

Method

SecureFX supports the following types of GSSAPI provider:

MS Kerberos - In order to use this provider, SecureFX must be running on Windows 2000 or newer. The Windows 2000 computer must have been configured as part of an Active Directory domain or been configured to participate in a Kerberos realm.

GSSAPI - In order to use this provider, you must have a Gssapi32.dll file provided by a third party (e.g., the MIT Kerberos distribution). This third-party application must be configured correctly for your environment.

Auto Detect - This setting instructs SecureFX to attempt to automatically determines which of the above two methods will work with the server that you are connecting to. This is the recommended setting.

Delegation

When SecureFX authenticates with GSSAPI, it can control whether or not the server is allowed to access other secured resources (such as network file servers) without further prompting for credentials. SecureFX supports the following delegation settings:

Full - If this delegation is selected and the GSSAPI mechanism both supports delegation and is configured to allow delegation, the server may be able to access other secured resources without prompting for credentials.

None - If this delegation is selected, the server may have to prompt for further authentication in order to access secured resources such as network files, printers, or to log on to a different server.

Limited - This delegation is the same as Full delegation for the MS Kerberos method. If the GSSAPI method is in use, it's meaning is determined by the Gssapi32.dll in use.

Advanced >>

Pressing this button expands (or contracts) the GSSAPI Properties dialog to display (or hide) the following options.

SPN (Server Principal Name) group

When authenticating with GSSAPI, SecureFX must determine the canonical name of a server. The server has exactly one canonical name, which no other server can share. The server may have other names, for example, the server 192.168.20.1 may be known as mail.mydomain.com, mydomain.com and mail, but it has only one canonical name, mail.mydomain.com.

SecureFX uses this canonical name to form a Server Principal Name (SPN) which the GSSAPI provider uses to identify the server with which it should authenticate.

SecureFX usually uses the host variable (HOST) to determine the server SPN. This however, depends on hostname lookups working correctly. If this does not work correctly, this behavior can be overridden by manually specifying the SPN.

Manually specify the SPN (default is host@$(HOST))

Checking this box will enable the SPN text box below and allow you to manually specify the SPN.

SPN

Enter the SPN string. The string is almost always of the form host@<server canonical name>. An example of a valid string is "host@mail.mydomain.com". SecureFX will make the following variable substitutions in the specified SPN name:

$(HOST) - the hostname as specified in the Session Options/Connection/SSH2 category.

$(PORT) - the port as specified in the Session Options/Connection/SSH2 category

If the server is in a different Kerberos realm, the realm name may need to be appended (e.g., host@mail.mydomain.com@KRBS.MYDOMAIN.COM).


Manage Bookmarks Dialog

The Manage Bookmarks dialog can be accessed by right-clicking in the local or remote session window and selecting the Manage Bookmarks... option from the resulting context menu, or it can be accessed from the File menu. The Manage Bookmarks dialog allows you to select and open, organize, or delete an existing session bookmark.

Bookmarks list

Displays the bookmarks currently configured for the session.

Up and Down arrows

Use the Up and Down arrows to reposition the bookmarks in the list.

Edit...

Opens the Edit Bookmark dialog for the selected bookmark.

Copy From...

Opens the Copy Bookmark From dialog allowing you to copy bookmarks from another session to the current session.

Add...

Opens the New Bookmark dialog allowing you to add bookmarks to the session.

Delete

Allows you to delete the selected bookmark from the list.

Open Bookmark

Opens the bookmark selected in the active session.


Manual Download Dialog

Manual Download Directory

The Manual Download dialog is accessed by selecting Manual Download... from the File menu. This dialog allows you to download a specified file or folder.

From

Enter the remote source path of the file being transferred.

To

Enter the local destination path of the file being transferred.

Transfer type

Select the method of transfer from the supported options.

Clicking on the OK button will initiate a transfer from the remote server to a local directory. The default local directory is set to the Download directory specified in the Session Options/File Transfer or Global Options/File Transfer/Options dialogs. The path of the file or folder to download is entered manually so that you can download a file that is intentionally hidden by the server but can still be retrieved if you know the exact name and location of the file.


Manual Upload Dialog

The Manual Upload dialog is accessed by selecting Manual Upload... from the File menu. This dialog allows you to upload a specified file or folder.

From

Enter the local source path of the file being transferred.

To

Enter the remote destination path of the file being transferred.

Transfer type

Select the method of transfer from the supported options.

Clicking on the OK button will initiate a transfer from the local machine to the remote server. By default, the local path is set to the path of the currently selected item in the active pane of the currently selected local window, if any. The remote path is set to the currently selected directory of the active remote window.


New Host Key Dialog

The New Host Key dialog appears when SecureFX attempts to connect to an SSH server whose host key is not contained in the host key database The repository for host keys sent to SecureFX by SSH servers that it has connected to. These keys are used to authenticate the server. . This can happen when SecureFX first encounters an SSH server or when the host name given is an alias that resolves to several different IP addresses.

Note: SecureFX will warn you about aliases where possible. However, if you are connecting through a firewall, this will not be possible because the firewall prevents SecureFX from discovering the possibility of the existence of an alias.

For SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features (including SFTP) than the SSH1 protocol provides. connections, the New Host Key dialog displays the server's public key in a fingerprint format for easier verification. You should check this fingerprint against the actual server fingerprint to verify that the server to which you have connected is legitimate.

Choose one of the options below to proceed with the connection A data path or circuit between two computers over a phone line, network cable, or other media. .

Accept once: Choosing this option causes the host key from the SSH server to be accepted, but the host key is not saved in the database.

Accept & save: Choosing this option causes the host key from the SSH server to be accepted and it is saved in the database.

Cancel: Choosing this option causes the host key not to be accepted. The connection process is then terminated.

Host Key Database

SecureFX keeps the host keys that you accept in the host key database. The location of the host key database folder can be found in the SSH Host Keys category in the Global Options dialog.

Related Topics

  1. Global Options/SSH2


Open URL Dialog

The Open URL dialog is accessed by selecting Open URL... from the File menu. This dialog allows you to connect to a remote host using its Uniform Resource Locator (URL). This dialog can be used to connect to an SFTP, FTPS, HTTP, HTTPS, SCP, or FTP server and list the directory or download a file that is specified by a URL obtained from a web browser or an email message.

URL

Enter the URL (e.g., ftp://ftp.vandyke.com/pub/SecureFX).


Properties Dialog

The Properties dialog is accessed by selecting a file or folder in the remote server A computer program that provides services to other computer programs (called clients).Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. window and clicking on the Properties command in the File menu or right-click menu.

The Properties dialog displays information such as the name, type, location, size, creation/modification date and owner for the selected file or folder. Additionally, the attributes section of the dialog also allows you to view and change the UNIX-style permissions on files and folders.

Note: Viewing and changing the attributes of remote files and folders is not supported by all servers. This feature is currently only available on UNIX-based servers.

Tip

This toolbar button invokes the Properties command.


Public-Key Assistant Dialog

The Public-Key Assistant command opens the Public-Key Assistant dialog which allows you to view and manage the public keys that are installed for the current user on the remote server that is configured for the session . The Public-Key Assistant dialog can also be opened from the Public-Key Assistant toolbar button.

User

Displays the username of the current user.

Status

Displays the status of the connection to the server.

The list window in this dialog displays the public keys that are installed for the current user on the remote server. For each public key, the list also displays the Type of algorithm used to generate the key (RSA, Ed25519, EDSA, or DSA), the key's Comment, and the key's Fingerprint.

Upload...

Click this button to choose another public key to upload to the remote server using the public-key assistant..

Create...

Click this button to open the Key Generation wizard where you can create and upload a new public key file.

Delete

Click this button to delete the selected public key from the server.


Public Key Properties Dialog

The Public Key Properties dialog is accessed by selecting the Connection/SSH2 category on the Session Options dialog, selecting Public Key as one of the Authentication methods, and clicking on the associated Properties button. This dialog is not available when the session is connected.

The following options control SSH2 public-key locations and generation.

See Set Up Public-Key Authentication for details on setting up public-key authentication on both the local machine and the SSH2 server

Use global public key setting

Selecting this option instructs SecureFX to use the global identity file Identity files are two files containing the public-private key pair used to connect to an SSH server using RSA or DSA authentication. The Identity.pub file contains only the public key and is uploaded to the SSH server. The corresponding Identity file contains both public and private keys. Though "identity" is usually the name given to identity files other file names can be used. as your method of authentication for this session A session is a set of options that are assigned to a connection to a remote machine in SecureFX. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. .

Use session public key setting

Selecting this option instructs SecureFX to use the session-specific identity file as your method of authentication for this session.

Global/Session settings group

Depending on your choice of public key settings above, this group contains options for using either your global or session-specific identity file.

Use identity or certificate file

Selecting this option instructs SecureFX to use the specified identity file, OpenSSH certificate, or PKCS #12 file A PKCS #12 file is a file that contains your X.509 certificate and its associated private key. as your method of authentication. To use an existing file, enter the full path to the file or click on the browse button to open a file browser to locate the file. For more information on configuring your system to use identity files, see Set Up Public-Key Authentication.

To use an Amazon EC2 "key pair" with SecureFX, specify the private key file of the key pair generated by Amazon as the identity or certificate file. This file typically has a .pem extension.

Use certificate from your personal CAPI store or a PKCS #11 provider DLL

Selecting this option instructs SecureFX to use X.509 certificates from your Microsoft CAPI personal store or PKCS #11 provider DLL as your method of authentication. If you select PKCS #11 in the dropdown list, you will need to specify the path to the PKCS #11 provider DLL. For both CAPI and PKCS #11, SecureFX will try all certificates by default. Click on the browse button in order to select a specific certificate to be used for authentications.

For more information on X.509 certificates, see Using X.509 Certificates.

Use certificate as raw SSH2 key (server does not support X.509)

Check this box in order to send the certificate as a raw key. This option is on by default. When this option is set, the certificate will be treated like a key pair, which is necessary in order to use a certificate to authenticate to a server that does not support X.509 certificates.

Get username from certificate

Check this option to use the Common Name or Principle Name from the certificate as the username when authenticating.

Fingerprint

This entry box will be filled in automatically when an identity file is entered above.

Create Identity File

Press this button to start the Key Generation wizard and create identity files which contain your public/private key pair.

Note: SecureFX supports RSA, Ed25519, EDSA, and DSA key types.

Upload

Press this button to open the Upload Public Key dialog and upload the specified identity file to the server configured for this session.

Public keys are uploaded using the "public-key assistant". Uploads are only available on servers that support the public-key assistant (such as VanDyke Software's VShell® server 2.1 or newer).

Change Passphrase

Press this button to change the passphrase A password used to protect a private key from unauthorized use. It is recommended that a passphrase be assigned to all private keys to prevent unauthorized use, especially in environments where multiple individuals have access to the machine on which the private key files are stored. for your identity file.


Quick Connect Dialog

The Quick Connect dialog allows you to connect to a remote host that is not present in the session database.

Protocol

Select the protocol you want to use. SecureFX supports the following protocols:

SFTP

FTP

FTP/TLS

HTTP

HTTPS

SCP

Your choice of protocol will determine appearance of the FTP, SFTP/SCP , or HTTP/HTTPS group.

FTP group

The FTP group allows you to configure your FTP or FTP/TLS connection. This group only appears when FTP or FTP/TLS is selected as the Protocol.

Hostname or IP

Enter the hostname or IP address of the FTP server to which you want to connect. This is the only required field. After filling it in, you can click OK to make the connection.

Port

Enter the port number for the FTP server. The default FTP port is 21. The default FTP/TLS port is 990.

Firewall

If your connection involves a firewall, select your firewall from the list of firewalls that have been configured in the Global Options/Firewall dialog.

Note: You can also select an SSH2 session to be used as a firewall. When a session is specified as a firewall, the firewall session will be connected first.

Tip: This option may be useful for mobile customers that want to configure two different sessions to connect to the same server (one with and one without the firewall). One session can be used when at work (behind a firewall) and the other when traveling (connected directly to the Internet).

Anonymous login

When the Anonymous login option is selected, SecureFX automatically selects anonymous as the username and fills in the password field using the password you supplied in the Global Options/File Transfer/Options dialog. Unselecting this option makes the username and password fields available.

Username

Enter your username on the remote host.

Password

Enter your password.

SecureFX supports standard one-time password challenges and can generate responses using MD4 and MD5. It currently does not support S/Key and OPIE challenge formats. If the server issues a one-time password challenge, SecureFX will automatically calculate the required response using your password, prompting for it if necessary.

Note: If either the Username or Password entry box is left blank, then you will be prompted for that information when the connection is made.

Account

The account name to be used on the remote machine.

SFTP/SCP group

The SFTP/SCP group allows you to configure your SSH2 connection. This group only appears when SFTP or SCP is selected as the Protocol.

Hostname or IP

Enter the hostname or IP address of the remote SSH2 server. This is the only required field. After filling it in, you can click OK to make the connection.

Port

Enter the port number of the SSH2 server. The default port is 22.

Firewall

If your connection involves a firewall, select your firewall from the list of firewalls that have been configured in the Global Options/Firewall dialog.

Note: You can also select an SSH2 session to be used as a firewall. When a session is specified as a firewall, the firewall session will be connected first.

Tip: This option may be useful for mobile customers that want to configure two different sessions to connect to the same server (one with and one without the firewall). One session can be used when at work (behind a firewall) and the other when traveling (connected directly to the Internet).

Username

Enter your username on the SSH2 server.

Note: If the Username entry box is left blank, you will be prompted for that information when the connection is made.

HTTP group

The HTTP group allows you to configure your HTTP or HTTPS connection. This group only appears when HTTP or HTTPS is selected as the Protocol.

Hostname or IP

Enter the hostname or IP address of the HTTP or HTTPS server to which you want to connect. This is the only required field. After filling it in, you can click OK to make the connection.

Port

Enter the port number for the HTTP or HTTPS server. The default HTTP port is 80. The default HTTPS port is 443.

Firewall

If your connection involves a firewall, select your firewall from the list of firewalls that have been configured in the Global Options/Firewall dialog.

Note: You can also select an SSH2 session to be used as a firewall. When a session is specified as a firewall, the firewall session will be connected first.

Tip: This option may be useful for mobile customers that want to configure two different sessions to connect to the same server (one with and one without the firewall). One session can be used when at work (behind a firewall) and the other when traveling (connected directly to the Internet).

Username

Enter your username on the remote host.

Password

Enter your password.

Authentication group

SecureFX supports several authentication methods for connecting to SSH2 servers, and will attempt to connect using them in the order that you specify.

Password authentication transmits the user's password to the server to authenticate the connection. The transmitted password is protected from network eavesdropping, due to the cipher encryption The process of converting a data transmission into a secret format that cannot easily be read by unauthorized individuals. See also: decryption. of the data channel.

PublicKey authentication uses a public/private key pair to authenticate the connection. During the authentication process, the client and the server negotiate a public key to use for the connection. Once a public key has been determined, the client uses the corresponding private key to perform a signature operation over a unique connection identifier. This signature is then sent to the server for verification. If verification is successful, the client is given permission to connect to the server. The security of the mechanism requires that no one but the owner have access to the private key. The private key is stored locally in an identity file. Also, prior to using public-key authentication, the public key must be made available to the SSH2 server.

Keyboard Interactive authentication allows you to use the keyboard to respond to challenges put forth by the server.

GSSAPI (Generic Security Services Application Program Interface) is a generic API for performing client/server authentication. GSSAPI allows SecureFX to authenticate with a server without knowing anything about the specific authentication mechanism in use. For more information about using GSSAPI, see GSSAPI Properties Dialog.

SecureFX also supports the use of X.509 certificates.

Properties

This button allows you to access the Properties dialog of the chosen authentication method.

Show quick connect on startup

Check this options to instruct SecureFX to display the Quick Connect dialog on startup.

Save session

Checking the Save Session check box will save the settings to the session database. The name used will be the hostname or IP address supplied for the session.

Click on the Connect button to complete your connection.

Tip

This toolbar button invokes the Quick Connect dialog.


Quick Synchronize Dialog

The Quick Synchronize dialog enables you to initiate a comparison operation between a local directory and a directory on a remote server. The results of the comparison are displayed in the Synchronize window. The Quick Synchronize dialog can be accessed from the toolbar or from the Tools menu.

Synchronize session options group

Use previous settings

Select this option to use the same settings that were used in the previous synchronize operation.

Save session to synchronize database

Select this option to save the current session to a synchronize database.

Name

Enter the name of the synchronize session. This option is only available when the Save session to synchronize database option has been selected.

Options group

Mode

Choose the direction in which the synchronization is to take place. The choices are:

Mirror source - If you choose this option, the quick synchronize operation will modify the target directory to look exactly like the source directory. If the same file exists in both directories, the target file will be overwritten even if it is newer. Target files that do not exist in the source directory will be deleted if the Delete items option below is selected. The source directory will not be changed.

Mirror target - If you choose this option, the quick synchronize operation will modify the source directory to look exactly like the target directory. If the same file exists in both directories, the source file will be overwritten even if it is newer. Source files that do not exist in the target directory will be deleted if the Delete items option below is selected. The target directory will not be changed.

Two-way copy - If you choose this option, the quick synchronize operation will transfer files in both directions. This restores files that have been removed and copies files that have been updated and have a different timestamp.

Delete items

Check this box to delete items that do not exist in the directory being mirrored. This option is not available when Two-way copy is the selected synchronization Mode.

Source group

Choose whether your source will be a local or remote directory.

Session

If you have chosen a remote server as your source, enter the path of the session A session is a set of options that are assigned to a connection to a remote machine in SecureFX. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. for that server. You may use the browse button to the right of this field to activate a dialog that will help you find and select the desired session.

Path

Enter the path of the source file or directory. The browse button to the right of this field can be used to help you find an existing local file or directory. You may also use wildcard characters (i.e., * and ?) when specifying filenames. For example, you can use "*.txt" to specify that you only want to compare and synchronize the local files in the chosen directory that have the ".txt" extension.

Target group

Choose whether your target will be a local or remote directory.

Session

Enter the path of the session A session is a set of options that are assigned to a connection to a remote machine in SecureFX. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. for the target server. You may use the browse button to the right of this field to activate a dialog that will help you find and select the desired session.

Path

Enter the path of the directory on the target server.

Advanced group

Filter

Choose an existing filter or create a new filter to apply to this synchronize operation.

Edit...

Click on this button to edit the selected filter. SecureFX filters support wildcard characters and allow files and folders to be included in or excluded from the operation.

Include subdirectories

Choose whether or not the comparison operation should include subdirectories.

Automatically transfer files

Check this option to have the quick synchronize function monitor the specified directory and automatically synchronize files if changes occur.

Click on the OK button bring up the comparison dialog and start the comparison operation.

Tip

This toolbar button invokes the Quick Synchronize dialog.


Quote Command Dialog

The Quote Command dialog allow you to send a command directly to the server. Any messages returned by the server in response to the command are displayed both in the log window and in a separate, pop-up window. The Quote Command dialog can be accessed from the Tools menu.

Note: Quote command is only applicable to FTP sessions.


Synchronize Dialog

The Synchronize dialog lets you create and manage session synchronizations, and initiate a comparison operation between a local directory and a directory on a remote server. The results of the comparison are displayed in the Synchronize window. The Synchronize dialog can be accessed from the Tools menu.

Sessions group

This window lists the session synchronizations that you have configured.

To create a new session synchronization, click on the Add... button to open a blank Synchronize Session Properties dialog. To modify an existing session synchronization, select that session and click on the Edit... button to open that session's Synchronize Session Properties dialog. To remove an existing session synchronization, select that session and click on the Delete button.

Synchronize...

Initiates a synchronize operation on the selected session and opens the Synchronize window which displays the results of that operation.

Related Topics

  1. Synchronize Session Properties Dialog


Synchronize Session Properties Dialog

The Synchronize Session Properties dialog enables you to initiate a comparison operation between a local directory and a directory on a remote server. The results of the comparison are displayed in the Synchronize window. The Synchronize Session Properties dialog can be accessed from the Synchronize dialog.

Synchronize session options group

Use previous settings

Select this option to use the same settings that were used in the previous synchronize operation.

Name

Enter the name of the synchronize session.

Name group

Name

Enter the unique name that this session synchronization will be saved under.

Options group

Mode

Choose the direction in which the synchronization is to take place. The choices are:

Mirror source - If you choose this option, the synchronize operation will modify the target directory to look exactly like the source directory. If the same file exists in both directories, the target file will be overwritten even if it is newer. Target files that do not exist in the source directory will be deleted if the Delete items option below is selected. The source directory will not be changed.

Mirror target - If you choose this option, the synchronize operation will modify the source directory to look exactly like the target directory. If the same file exists in both directories, the source file will be overwritten even if it is newer. Source files that do not exist in the target directory will be deleted if the Delete items option below is selected. The target directory will not be changed.

Two-way copy - If you choose this option, the synchronize operation will transfer files in both directions. This restores files that have been removed and copies files that have been updated and have a different timestamp.

Delete items

Check this box to delete items that do not exist in the directory being mirrored. This option is not available when Two-way copy is the selected synchronization Mode.

Source group

Choose whether your source will be a local or remote directory.

Session

If you have chosen a remote server as your source, enter the path of the session A session is a set of options that are assigned to a connection to a remote machine in SecureFX. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. for that server. You may use the browse button to the right of this field to activate a dialog that will help you find and select the desired session.

Path

Enter the path of the source file or directory. The browse button to the right of this field can be used to help you find an existing local file or directory. You may also use wildcard characters (i.e., * and ?) when specifying filenames. For example, you can use "*.txt" to specify that you only want to compare and synchronize the local files in the chosen directory that have the ".txt" extension.

Target group

Choose whether your target will be a local or remote directory.

Session

Enter the path of the session A session is a set of options that are assigned to a connection to a remote machine in SecureFX. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. for the target server. You may use the browse button to the right of this field to activate a dialog that will help you find and select the desired session.

Path

Enter the path of the directory on the target server.

Advanced group

Filter

Choose an existing filter or create a new filter to apply to this synchronize operation.

Edit...

Click on this button to edit the selected filter. SecureFX filters support wildcard characters and allow files and folders to be included in or excluded from the operation.

Include subdirectories

Choose whether or not the comparison operation should include subdirectories.

Automatically transfer files

Check this option to have the synchronize function monitor the specified directory and automatically synchronize files if changes occur.

Click on the OK button bring up the comparison dialog and start the comparison operation.

Related Topics

  1. Synchronize Dialog


Task Properties Dialog

The Task Properties dialog is accessed from the Task Scheduler dialog. This dialog allows you to create or modify a task to be scheduled.

Use synchronize session

When this option is unselected, you can configure a new scheduled transfer task or modify an existing one using the fields shown on this dialog. The fields include the local path, the remote system path and session, and the files and directories to be transferred. You can also configure how often this task occurs and in what time frame.

When the Use synchronize session option is selected, you can select a previously configured synchronize session and the parameters for that session will be displayed. The local and remote system parameters are determined by the synchronization session, but you can modify the remaining parameters as required and the task will be executed at the time and date shown on the dialog.


Task Scheduler Dialog

The Task Scheduler dialog is accessed by selecting Schedule Task... from the Tools menu. This dialog allows you to create or modify scheduled transfer and synchronize tasks.

Tasks

This window displays currently configured transfer and synchronization tasks. To create a new task, click on the Add... button to open a blank Task Properties dialog. To modify an existing task, select that task and click on the Edit... button to open that task's Task Properties dialog. To remove an existing task, select that task and click on the Delete button.

Scheduled tasks use sfxcl.exe and the Windows Task Scheduler. You must have permissions to run sfxcl.exe and it must be in your default path. This is normally configured properly during the installation of SecureFX.

You must not be using a configuration passphrase. Scheduled tasks will fail if a configuration passphrase is used.

The remote session specified for a task must be configured to connect without requiring user interaction (e.g., for password authentication, the password must be saved in the session).

You must be logged in to Windows at the time the scheduled task is configured to run, but SecureFX does not need to be running.


Upload Public Key Dialog

The Upload Public Key dialog can be accessed by clicking on the Upload button on the Public Key Properties dialog or from the Key Generation wizard after you have created a public key file. This dialog allows you to view the status of public-key file uploads to a server .

Using password authentication , SecureFX attempts to connect to the server that is configured for the session . SecureFX then uploads the public key file by way of the public-key assistant. Uploads are only possible on servers that support the public-key assistant (such as VanDyke Software's VShell® 2.1 or newer server).

Once a public key for a session has been uploaded to a server, further session connections to that server can be made using public-key authentication.


The Toolbar

The SecureFX toolbar is user-manageable in that the user can toggle its display on or off. When enabled, the toolbar appears below the SecureFX menu bar. Move the mouse cursor over a toolbar button to view its associated action. The toolbar is enabled by default. The toolbar can be customized to suit the preferences and needs of the user.

The table below depicts the toolbar buttons and their associated tasks.

Default Toolbar Icons

Icon

Action

Session Manager: Displays the Session Manager if it is not already visible or moves focus to the Session Manager if it is visible. By default, this button is only shown when the Use dockable Session Manager option is enabled.

Connect: Displays the Connect dialog. This button is only shown when the Use dockable Session Manager option is disabled.

Quick Connect: Displays the Quick Connect dialog.

Reconnect: Reestablishes the connection to the server for the current session and logon using the username and password for that session.

The connection to a server may be dropped as the result of a timeout after a period of inactivity, or because the user has executed the Disconnect command. Invoking the Refresh command, opening a directory or transferring a file within a session that is disconnected will cause the session to automatically reconnect. You may, however, manually reconnect to the server using this menu item.

Disconnect: Disconnects the selected session window. A disconnected session window remains open. The connection to the server can be reestablished with the Reconnect menu item. Actions like Refresh, opening a directory, or transferring a file will also cause a disconnected session to reconnect.

Connect Bar: Allows you to enter and open a session in a new tab or window.

Cut: This command causes the selected folder or session to be placed on the Clipboard and marked to be moved. The item is not moved until a paste is performed. This command can also be accessed using the CTRL+X keyboard accelerator.

Copy: Copies the selected item(s) to the Windows Clipboard.

Paste: Pastes the selected item(s).

Refresh: Refreshes the current view.

Stop: Stops the current operation.

Delete: Deletes the selected item(s).

Properties: Opens the Properties dialog for the selected item.

Folder Tree: Shows/hides the folder tree.

Synchronize File Browsing: Toggles the synchronize file browsing option. This option can only be toggled when focus is in a remote session and the remote session is configured to do synchronized file browsing.

Up One Level: Moves the view up one level from the current folder.

Large Icons: Displays files and folders as large icons.

Small Icons: Displays files and folders as small icons.

List: Displays files and folders as a list.

Details: Displays files and folders in detail.

Quick Synchronize: Opens the Quick Synchronize dialog.

Public Key Assistant: Opens the Public-Key Assistant dialog.

Use PGP: Executes a command when transferring files which could be a PGP-like encryption or decryption command.

SecureCRT: Starts VanDyke Software's SecureCRT® (if the program is installed and integrated). If a terminal protocol is specified for the active session, SecureCRT will launch that session.

Help: Displays the SecureFX Help.

Additional Toolbar Icons

Icon | Action
 | New Folder: Creates a new folder in the current folder.
 | Open URL: Opens the Open URL dialog where you can specify the address of an SFTP, FTPS, SCP, or FTP resource.
 | Download: Downloads the selected files and directories from the remote server to the local directory specified in the default Download Directory field of the Session Options dialog. If the download directory for the session is blank, then the default Download Directory setting under the Global Options dialog will be used. If both download directory settings are blank, you will be prompted for the local directory.
 | Manual Download: Opens the Manual Download dialog from which you can download a specific file or folder.
 | Resume: Resumes an interrupted file download for the current session.
 | Copy URL: Copies the URL of the selected file or folder to the Windows Clipboard.
 | Copy Path: Copies the path of the selected file or folder to the Windows Clipboard.
 | Select All: Selects all files and folders in the current directory.
 | Invert Selection: Inverts the selection in the current directory.
 | Dot Files Files having filenames that begin with a dot (.) : Shows or hides filenames beginning with a dot (.) in remote directories. This command lets you temporarily override the default behavior set in the Do not show dot files option in the Global Options dialog. If no dot files appear with this option turned on, you can also view all the files in a folder by checking the All entries option in the Connection/FTP category of the Session Options dialog.
 | Global Options: Displays the Global Options dialog.
 | Quote Command: Displays the Quote Command dialog.
 | Log: Shows or hides the log view. This option corresponds to the Display the log view option in the Global Options/File Transfer/View dialog.
 | Cascade Windows: Cascades windows.
 | Single Tab Group: Displays the tabbed sessions in a single group.
 | Tile or Tab Horizontally: Tiles windows horizontally or displays the tabbed sessions in two horizontal groups.
 | Tile or Tab Vertically: Tiles windows vertically or displays the tabbed sessions in two vertical group.


Connect Bar

The Connect Bar

The SecureFX connect bar provides a command-based method that allows you to enter and connect to a session or sessions. Additionally, if part of a session name is typed into the connect bar, a filtered list of matching sessions is displayed to make connecting to saved sessions from the connect bar easier.

The connect bar is accessed via the toolbar or by typing the ALT+R key combination. The connect bar can be displayed or hidden by selecting or deselecting the Connect Bar option on the View menu.

Syntax Examples

The following is an example of how to open a new connection. The host can be an IP address or a named host. If only the host is specified, the default protocol and port will be used.

[<protocol>://][<user>[:<password>]@]<host>[:<port>]

The following is an example of how to open a specific session.

/S <session name>

The following is an example of how to open a connection to <host> using <firewall>.

/FIREWALL=<firewall> ssh2://[<user>]@<host>

Using SecureCRT's dependent session option on the command line or in the connect bar (as in the following example), it's possible to link a session to an SSH2 session that it depends on, which allows connection to a jump host before connecting to other sessions.

Both the command line and the connect bar use the normal /Firewall specifier and the firewall will be Session:<session name> with the following syntax.

/FIREWALL=Session:<Session Name> ssh2://[<user>]@<host>

Session: is case insensitive.


The Status Bar

SecureFX has status bars that (when enabled) appear at the bottom of the local and remote session A session is a set of options that are assigned to a connection to a remote machine in SecureFX. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. windows. The status bar displays informational text such as connection A data path or circuit between two computers over a phone line, network cable, or other media. status or the number of folder entries.

The status bar is controlled from the View menu and is enabled by default.


Local and Remote Windows

When SecureFX is started, by default, it opens to a local window, which displays the directory specified in the Local window option of the Global Options/File Transfer/Options or Session Options/File Transfer category. This window allows you to access files and folders on your local machine. From local windows, you can transfer files to and from session A session is a set of options that are assigned to a connection to a remote machine in SecureFX. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. windows, Internet Explorer, and the shell. The address bar on local windows displays the current folder and can be edited. The drop-down list associated with the address bar contains a history for the current window. The filter bar on local windows allows the contents of local windows to be filtered using a string that can contain wildcards. The drop-down list associated with the filter bar contains a history for the current window. Local windows are filtered until the filter bar is cleared.

If you do not want to view a local window, it can be closed by clicking on the X button at the upper right-hand corner of the tab or tile. To open a new local window, select Open Local Window from the File menu.

When a connection is made, SecureFX opens a remote window that displays the directory to which you are connecting. From the remote window, you can transfer files to and from the currently selected local window, remote windows, and Internet Explorer (see the Drag-and-Drop topic for more information). The address bar on the remote window displays the current folder and can be edited. The drop-down list associated with the address bar contains a history for the current window. The filter bar on the remote window allows the contents of the remote window to be filtered using a string that can contain wildcards. The drop-down list associated with the filter bar contains a history for the current window. The remote window is filtered until the filter bar is cleared.


The Transfer Queue

When connected to a host, you can queue up files to be transferred. If the Maximum number of parallel transfers option is set to one, transfers are done serially, preventing errors if the remote server does not allow multiple connections.

Files awaiting transfer are displayed in the transfer queue window which appears at the bottom of the SecureFX main window when the Transfer Queue option on the View menu is selected.

Columns in the transfer queue window can be shown/hidden by right-clicking on the column and selecting or unselecting the column name. Columns can also be resized using the splitter cursor and can be rearranged by clicking on them and dragging. These changes are automatically saved.

You can postpone the transfer of queued files and folders by selecting the Suspend transfer of queued items option on the Global Options/File Transfer/Options/Advanced dialog. To start the transfer of one or all items in the transfer queue, right-click in the transfer queue window and select the desired option from the resulting context menu.


Log Window

Each session window displays a log of the commands sent by SecureFX to the server. You can adjust the number of visible lines for the log window by dragging the horizontal splitter bar of the session window upward or downward.

Adjusting the log window buffer size

By default, the log window holds 500 lines. You can adjust the size of the log window buffer in the Global Options/File Transfer/View dialog.

Copying the log window text to the Clipboard

You can copy the log window contents to the Clipboard by right-clicking in the log window and select Copy from the context menu.

Clearing the log window

You can clear the log window contents by right-clicking in the log window and select Clear from the context menu.

Displaying the log view

The Log command on the SecureFX View menu allows you to show or hide the session's log view.


Synchronize Windows

The Synchronize window displays the results of a quick synchronize or synchronize operation. It also displays the status of the files and directories as they are being transferred.

Display Area

Items in the display area of the Synchronize window are color-coded to better distinguish their differences. The following color schemes are used:

Identical

Normal text colors (usually black text on a white background) are used to indicate items that exist on both the source and destination machines, and are identical in both timestamp and size.

Different

Red text on a gray background is used to indicate an item that exists on both the source and destination machines, but are different in either timestamp or size.

Source Only

Blue text on a gray background is used to indicate that the item exists only on the source machine.

Target Only

Green text on a gray background is used to indicate that the item exists only on the destination machine.

Synchronize Toolbar

Items displayed in the Synchronize window may be individually selected for action or they may be acted on as a whole. The following is a list of the actions available by way of the toolbar on the Synchronize window.

Synchronize All: This action causes all items that are different in any way to be synchronized (regardless of which items are currently selected). The transfer action (i.e., upload or download) for each item is determined by the current status. For example, if an item's timestamp is more recent for the file on the source machine, then the file will be automatically uploaded. This option is available on the window's context menu and on the toolbar.

Upload: This action pertains only to selected items and forces the selected items to be uploaded regardless of the comparison result. This option is available on each item's context menu and on the toolbar.

Download: This action pertains only to selected items and forces the selected items to be downloaded regardless of the comparison result. This option is available on each item's context menu and on the toolbar.

Refresh: This toolbar button allows files to be refreshed so that they can be re-synchronized after the initial synchronization operation.

Stop: This toolbar button causes the operation in progress to halt, and brings the Synchronize window to an idle state.

Properties: Choosing this option displays a separate window where the individual properties (such as time, date, and size) of the source and destination files pertaining to the selected item may be compared side by side.

Synchronize Context Menu

If you right-click in the Synchronize window, SecureFX will open a context menu that contains the following options:

Synchronize Source Only Items

This action causes all items to be uploaded for which the file or directory resides only on the source machine.

Synchronize Source Newer Items

This action causes all items to be uploaded for which the file on the source machine has a more recent timestamp.

Synchronize Target Only Items

This action causes all items to be downloaded for which the file or directory resides only on the destination machine.

Synchronize Target Newer Items

This action causes all items to be downloaded for which the file on the destination machine has a more recent timestamp.

Synchronize Different Items

This action causes all items to be transferred for which the file resides on both the source and destination machines but has a different timestamp or size.


Passphrase Protecting Sensitive Configuration Data

SecureCRT Icon Passphrase Protecting Sensitive Configuration Data

If you have not previously set a configuration passphrase, SecureFX will ask you to create a passphrase at startup. There are two options. The first option is to create a passphrase. This passphrase will be used to encrypt all sensitive data stored in your configuration, such as passwords and automated logon (send/expect) scripts. The second option is to continue without creating a passphrase. Although the sensitive data will be encrypted in the configuration, this option is not as secure as specifying a passphrase. This option is only recommended if you do not save sensitive data in the configuration.

The next time SecureCRT starts, if you have created a passphrase, you will be prompted for it so that it can be used to encrypt and decrypt sensitive configuration data. If you chose not to create a passphrase, you will not be prompted for the passphrase. If you choose to continue without entering the passphrase, you will still be able to establish connections, but the previously saved sensitive data will not be used, so you will have to enter passwords and other sensitive data that was saved. Also, passwords and other sensitive data will not be able to be saved. However, the data will be left intact in the configuration so that it can be used the next time the passphrase is entered at startup.

Changing, Removing, or Resetting the Passphrase

You can change, remove, or reset the passphrase by pressing the Change Passphrase… button from the Enter Passphrase dialog at startup. If you choose to change the passphrase, you will need to enter the old passphrase and the new passphrase twice. If you choose to remove the passphrase, you will need to enter the old passphrase. Removing the passphrase will not remove any sensitive data from the configuration, but the way the data is encrypted is not as secure as choosing your own passphrase. If you choose to reset the passphrase, you will be prompted for the new passphrase twice. In this case, all sensitive data will be deleted from the configuration file. This option is recommended only if you have forgotten the passphrase. If you previously did not have a passphrase and wish to add one, you can choose Change Configuration Passphrase… from the Tools menu. You will then be prompted to create a passphrase the next time SecureFX starts.


Remote File Editing

The remote file editing feature automatically detects a change in the modified date of a remote file that has been opened in SecureFX. For instance, if you open a file on a remote site, make changes to the file in the chosen application, and save the changes to disk, SecureFX will automatically prompt you to upload the file back to its original location on the remote site.


Administrative Template

VanDyke Software has created an administrative template file that administrators can use to configure administrative options (e.g., FIPS Mode) either on a per-machine basis or a per-user basis. To use this file, you must request it from VanDyke Software and then configure your system to recognize it.

Requesting an Administrator Template File

To request a SecureCRT administrator template file, open your browser to the appropriate website shown below and follow the instructions there.

https://www.vandyke.com/cgi-bin/adm_request.php?pid=SecureFX

Instructions for using ADMX and ADML files

1. As an administrator, save the ADMX file in the correct location. In most cases, this location is:

C:\Windows\PolicyDefinitions\

2. As an administrator, save the ADML file in the correct location. In most cases for those in the US, this location is:

C:\Windows\PolicyDefinitions\en-US

Additional information can be found at:

https://msdn.microsoft.com/en-us/library/bb530196.aspx

3. As an administrator, run the following snap-in:

gpedit.msc

4. When the Group Policy window appears, a folder named "VanDyke Software Settings" can be found in the Administrative Templates folder under User Configuration. From here, you can configure all the VanDyke administrator options.


FIPS Mode

Federal, state, and local government agencies, critical infrastructure providers like public utilities, and private sector organizations that do business over the public network with these agencies must use encryption that meets the Federal Information Processing Standards (FIPS) 140-2 standard.

SecureFX for Windows can run in FIPS mode. If you need to protect data in transit as outlined by FIPS 140-2 or NIST 800-53, these products now use a FIPS 140-2 validated cryptographic library and can be installed in "FIPS Mode", which will use this cryptographic library and only allow FIPS-approved algorithms.

VanDyke Software has partnered with RSA Security, Inc. to use the BSAFE Crypto-C Micro Edition cryptography module which has been tested by Atlan Laboratories, an accredited testing laboratory for FIPS compliance. This module has met all Level 1 requirements for FIPS 140-2 compliance when operated in FIPS Mode. The FIPS Validation certificate (https://csrc.nist.gov/groups/STM/cmvp/documents/140-1/140crt/140crt1058.pdf) is available for review.

For more information about FIPS, please visit the VanDyke Software website (https://www.vandyke.com/products/fips_info.html).

Enabling FIPS Mode

To run SecureFX in FIPS mode, you must first configure the Microsoft Management Console (MMC) to recognize the VanDyke Software administrative template (.adm) file; once this is done, you can enable FIPS mode by completing the follow steps:

1. In MMC, navigate to VanDyke Software Settings and select the Enable FIPS Mode setting.

2. Open the Properties dialog by selecting Properties from the Action menu.

3. On the Setting tab, select Enabled. Press the OK button to save the change.

FIPS Mode will be enabled the next time SecureFX is started.


Arranging Entries in the Connect Dialog

Note: The following methods for arranging sessions and folders apply to both the Connect dialog and to the Session Manager .

Sessions listed in the Connect dialog's session tree can be arranged alphabetically (i.e., A1, A10, A2, B), logically (i.e., A1, A2, A10, B), or manually.

You can select the order by which you want to sort the session tree by using the Connect dialog sort order option in the Global Options / General dialog, or by right-clicking on any entry listed in the Connect dialog and choosing the Arrange Tree option from the resulting context menu. Changing the sort order with the Arrange Tree option will also change the Connect dialog sort order and vice versa.

By choosing to manually arrange the entries in the session tree, you can easily resort the list by moving individual sessions or even entire folders using a drag-and-drop operation, and can copy items using a CTRL+drag-and-drop operation.


Configure VShell to Recognize Public Key File

Configure a VanDyke Software VShell® Server to Recognize Your Public Key File

Using SecureFX-Generated Public Keys with VShell for Windows

In order to use your public key, you must transfer the Identity.pub (or whatever name you chose) file created by the Key Generation wizard to the individual user's folder under the Publickey folder on the VShell server A computer program that provides services to other computer programs (called clients).Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. . For example:

C:\Program files\VShell\Publickey\%User%\Identity.pub

If you are using VShell version 2.1 or newer, you can use the SecureFX public-key assistant to upload your public key for you without knowing the exact location of the server's public-key folder. Follow these steps.

1. In SecureFX, create an SFTP session that uses public key as one of its authentication The process of verifying that an individual truly is who he or she claims to be. Supplying a password is a very common method of authentication. methods.

2. In the Session Option/Connection/SSH2 dialog, select PublicKey as in the Authentication group and click on the Properties button.

3. If you have not created a public-private key pair A pair of keys used with RSA or DSA authentication. The public key is usually kept in a file named Identity.pub, which is then transferred to the remote SSH server. Another file usually named Identity contains both the public key and the corresponding private key. This file is kept on the local machine and is used by SecureFX with public key or RSA authentication methods. , do it now using the Create Identity File button.

4. If you have a key, make sure it appears in the Use identity file window.

5. Once the correct key file is displayed in the Use identity file window, click on the Upload button.

6. Enter your username and password when prompted by the remote system. The key will automatically be installed by the server.

If you are not using VShell version 2.1 or newer, follow these instructions to copy and paste your identity file in the Publickey folder on the remote machine.

Using SecureFX-Generated Public Keys with VShell for Linux

In order to use your public key, you must transfer the Identity.pub (or whatever name you chose) file created by the Key Generation wizard to the individual user's .vshell/publickey directory. For example:

/home/someuser/.vshell/publickey/Identity.pub

or

~someuser/.vshell/publickey/Identity.pub

You can use the SecureFX public-key assistant to upload your public key for you without having to copy the identity file by hand. Follow these steps:

1. Using SecureFX, connect to the remote server using either an SFTP or FTP session.

2. Navigate to your home directory (see above) on the remote system.

3. Locate the public keys on the local machine.

4. Using drag-and-drop, transfer Identity.pub file to the remote system.

5. Ensure that the transfer is made in ASCII (text).

If you are not able to use the public-key assistant, follow these instructions to copy and paste your identity file in the Publickey folder on the remote machine.

Return to Set Up Public-Key Authentication


Copy and Paste

The Copy and Paste method can be used to copy selected files and folders from one folder to another using the keyboard.

Files and folders can be copied between folders within the local machine window, between a folder in a remote session window and a folder in the currently selected local window, as well as between two remote session windows. When a remote session window is part of a Copy/Paste operation, the Paste initiates the file transfer.

1. Click on the file or folder to be copied.

2. Select Copy from the Edit menu

3. Open the folder where you want to put the copy.

4. Select Paste from the Edit menu.

Note: SecureFX does not support copying or pasting files with other applications.

Tips

To select more than one file or folder to copy, hold down the CTRL key, and click each of the items.

The Copy and Paste commands are also available in the right mouse button menu.

This toolbar button invokes the Copy command.

This toolbar button invokes the Paste command.


Copy and Paste an Identity.pub File - Windows

Copy and Paste an Identity.pub File

In order to use your public key, you must transfer the Identity.pub (or whatever name you chose) file created by the Key Generation wizard to the individual user's folder under the Publickey folder on the VShell server A computer program that provides services to other computer programs (called clients).Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. . For example:

C:\Program files\VShell\Publickey\%User%\Identity.pub

If you are not using VShell® version 2.1 or newer and want to configure a VShell server to recognize your Identity.pub file, it is recommended that you follow the procedure below for using copy-and-paste operations to create a copy of the Identity.pub file in the Publickey folder on the remote machine.

To use copy-and-paste operations to configure the VShell server to recognize your Identity.pub file:

1. Using a terminal emulator (such as VanDyke Software's SecureCRT®), log on to the remote VShell server using SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features (including SFTP) than the SSH1 protocol provides. and password authentication The process of verifying that an individual truly is who he or she claims to be. Supplying a password is a very common method of authentication. .

2. On the local machine, use Notepad.exe to open the Identity.pub file that was created with the SecureFX Key Generation wizard.

3. With the Identity.pub file open in Notepad, the Edit menu and choose Select All. Once everything is selected, open the Edit menu again and select Copy.

4. On the remote machine, complete the following steps:

a. Change to the individual user's folder under the Publickey folder. For example:

\Program files\VShell\Publickey\%User%

b. Type copy con identity.pub on the command line and press the ENTER key.

c. Paste the contents of the Clipboard (which should now contain the contents of your Identity.pub file).

d. Press CTRL+Z ENTER to close the Identity.pub file. Once you have typed CTRL+Z ENTER, the Identity.pub file will have been created in the folder on the remote VShell server.

Return to Configure a VanDyke Software VShell™ Server to Recognize Your Identity.pub File


Copy and Paste an Identity.pub File - UNIX

Copy and Paste an Identity.pub File

In order to use your public key, you must transfer the Identity.pub (or whatever name you chose) file created by the Key Generation wizard to the individual user's .vshell/publickey directory. For example:

/home/someuser/.vshell/publickey/Identity.pub

or

~someuser/.vshell/publickey/Identity.pub

If you are not able to use the public-key assistant, it is recommended that you follow the procedure below for using copy-and-paste operations to create a copy of the Identity.pub file in the Publickey folder on the remote machine.

To use copy-and-paste operations to configure VanDyke Software's VShell® server to recognize your Identity.pub file:

1. Using a terminal emulator A program that emulates a terminal. (such as VanDyke Software's SecureCRT®), log on to the remote VShell server using SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features (including SFTP) than the SSH1 protocol provides. and password authentication.

2. On the local machine, use Notepad.exe to open the Identity.pub file that was created with the SecureFX Key Generation wizard.

3. With the Identity.pub file open in Notepad, open the Edit menu and choose Select All. Once everything is selected, open the Edit menu again and select Copy.

4. On the remote machine, complete the following steps:

a. Issue a cd command to change the current working directory to the individual user's .vshell/publickey folder. For example:

cd ~someuser/.vshell/publickey

b. Type cat > ~someuser/.vshell/publickey/identity.pub on the command line and press the ENTER key.

c. Paste the contents of the Clipboard (which should now contain the contents of your Identity.pub file).

d. Press CTRL+D to close the Identity.pub file. Once you have typed CTRL+D, the Identity.pub file will have been created in the user's .vshell/publickey directory on the remote VShell server.

Return to Configure a VanDyke Software VShell™ Server to Recognize Your Identity.pub File


Create Desktop Shortcut

Perform the following steps to create a desktop shortcut that, when double-clicked, will start SecureFX and immediately connect to the associated session.

1. Select a session in the Connect dialog.

2. Click the Create Desktop Shortcut toolbar button or select the Create Desktop Shortcut command on the session context menu.

3. Enter the shortcut label in the Shortcut Label dialog.

4. Click the OK button.


Drag-and-Drop

Drag-and-drop operations copy selected files and folders from one folder to another using the mouse. To drag and drop items, follow these steps:

1. Click the icon of a file or folder to be copied and hold the mouse button down (normally the left button)

2. Drag the file icon to the destination folder and release the mouse button.

Files and folders can be dragged and dropped (i.e., copied) between different folders in the currently selected local window, between a folder in a remote session window and a folder in the currently selected local window, as well as between the folders of two remote session windows. Dragging and dropping within a remote session window copies the files and/or folders. If a remote session window is either the target or source of drag-and-drop operation, then dropping the file initiates the file transfer.

Note: Using the SHIFT key in combination with drag and drop performs a move operation instead of a copy.

Drag-and-drop operations are supported between SecureFX and Windows Explorer and with other shell objects that accept HDROP Clipboard formats (e.g., WinZip, mail clients, etc.). Moving files to Windows Explorer is not currently supported, in other words, pressing the SHIFT key and dragging a file to an Explorer window will put a copy of the file in the Explorer window but will not remove that file from its source directory.

Note: You cannot drag and drop between different instances of SecureFX.

Tip

To select more than one file or folder to drag, hold down the CTRL key, and click on the items you want to copy. Then drag the selected items as described above.


Establish a Secure Connection

Establish a Secure Connection using SSH1

The FTP protocol uses two separate channels for data transfer. The control channel is used to transmit the user logon information and the FTP commands. The data channel is used to transmit the actual file data.

SecureFX can only encrypt both the control and data channels if it is connected to an SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features (including SFTP) than the SSH1 protocol provides. server . If only an SSH1 server is available, the control channel can be encrypted by combining SecureFX with VanDyke Software's SecureCRT®. This protects the user logon information. Files and directory listings transferred on the FTP data channel, however, will not be encrypted. This combination uses the port forwarding capabilities of SecureCRT to encrypt the control channel.

Below is a diagram that depicts the connections between servers and which channel or connection is or is not encrypted.

Before setting up port forwarding The concept of connecting a logical port on a local machine to a port on a remote machine over a secure (encrypted) channel. All requests for services sent to the local port are then forwarded across the secure channel to the corresponding port on the remote machine. for the first time, review the topic "Port Forwarding in SecureCRT" in SecureCRT's online help. Also, make sure that you can successfully connect to the target FTP server using a normal session profile.

Note: Firewalls and proxies are not supported in this configuration. Also, some FTP servers do not support this type of connection for security reasons.

For up-to-date instruction on how to combine SecureCRT with SecureFX please refer to the following URL on our website:

https://www.vandyke.com/support/securefx/faq.html

If you do not have web access, send email to SecureFX-support@vandyke.com for instructions.

SecureCRT is available for download at:

https://www.vandyke.com/download/securecrt/index.html


Extend the Most Recently Used List

Extend Most Recently Used List

Near the bottom of the SecureFX File menu is a list of the most recently used sessions. By default, this list contains the last four sessions that were used, but you can change the number of displayed sessions by changing the value specified in the Recently used session list option on the Global Options / General category.

Note: Entering a value of 0 (zero) in the Recently used session list entry box will disable the list in the File menu and clear the list of all entries.


Navigate a Session

Navigating a Session

Each session is represented by its own session window. The left pane of the session window shows the hierarchy of the folders on the remote host.

A folder-open icon [image] indicates which folder is currently selected in the left pane. The complete contents of the currently selected folder are shown in the right pane.

Clicking a folder in the left pane displays its subfolders and files in the right pane (If the folder contains any subfolders then a (+) will also appear to the left of that folder icon).

Double-clicking a folder icon in the left pane (or clicking the +/-) expands/collapses the tree of subfolders in the left pane.

Double-clicking or pressing enter on the ".." folder navigates to the parent folder.

A log window of commands for a session can be viewed by dragging the lower border of the session window upward.


Run Multiple Instances of SecureFX

The SecureFX Single Instance feature, introduced in version 8.5, causes each new SecureFX session to be started in a new tab in the same SecureFX instance. It prevents multiple SecureFX processes from running simultaneously. If a SecureFX process is already running, attempts to start another will simply give focus to the existing process.

You can override this behavior by editing the Global.ini file in the Configuration folder. The Configuration folder is found in the General / Configuration Paths category of SecureFX's Global Options dialog.

To have each new SecureFX session start in a separate SecureFX process, edit the line:

D:"SecureFX Single Instance"=00000001

Change this to:

D:"SecureFX Single Instance"=00000000

Important: To avoid the possibility of damaging INI files, always close SecureFX and SecureCRT before editing INI files.


Set Up Public-Key Authentication

Overview of Public-Key Authentication

Public-key authentication uses a public-private key pair to log in to an SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features (including SFTP) than the SSH1 protocol provides. server . These key pairs are stored in identity files and are created using the Key Generation wizard. One of the identity files contains the private key that is used by SecureFX. The other identity file contains the corresponding public key and will need to be transferred to the proper location on the SSH2 server.

Note: Public keys generated using VanDyke Software products comply with the established IETF draft specification defining the format of Secure Shell public key files. This does not guarantee that SecureFX will work with public key files generated using other Secure Shell software implementations which may or may not comply with this specification.

Since there is no IETF specification defining the format of Secure Shell private key files, SecureFX may not be able to use private key files generated with other implementations. It should also be noted that, since the private key generated by SecureFX uses a different format from OpenSSH's private key, OpenSSH cannot use a VanDyke Software generated private key.

SecureFX supports SSH2 public-private key files generated with VanDyke Software products and the public-private key files generated with the OpenSSH ssh-keygen utility.

Setting up public-key authentication for an SSH2 SecureFX session is a multi-step process:

1. Create public-private key files.

2. Configure SecureFX to use public-key authentication.

3. Configure the server to recognize the public-key file.

Creating Identity Files

Global Identity File

Perform the following steps to create a global identity file.

1. Select Global Options from the Options menu.

2. In the Global Options dialog, select the SSH2 category.

3. In the SSH2 page, click on the Create Identity File... button.

4. Follow the instructions in the Key Generation wizard to create your identity files. Once your public-private key pair has been generated by the Key Generation wizard, you will be prompted for the path and filename in which your identity files will be stored. Be sure to specify a secure location for these files such that you are the only individual with access to them. The public key will be placed in a file with the same name as the private key file, but with an extension of .pub

Note: SecureFX supports RSA, Ed25519, EDSA, and DSA key types.

Session Specific Identity File

Perform the following steps to create a session specific identity file.

1. In the Connect dialog, select the SSH2 session with which you would like to use the identity files.

2. Click the Properties toolbar button to open the Session Options dialog. In the Connection/SSH2 category, select "Public Key" as one of your Authentication methods and click on the associated Properties button.

3. On the Public Key Properties dialog select the Use session identity file box and click on the Create Identity File... button.

4. Follow the instructions in the Key Generation wizard to create your identity files. Once your public-private key pair has been generated by the Key Generation wizard, you will be prompted for the path and filename in which your identity files will be stored. Be sure to specify a secure location for these files such that you are the only individual with access to them. The public key will be placed in a file with the same name as the private key file, but with an extension of .pub.

Note: SecureFX supports both DSA and RSA key types.

Using Your Identity Files

Once you have created your identity files, complete the following steps to make use of your identity files with SecureFX.

1. Configure the SSH2 or OpenSSH server to recognize your public-key file (instructions are provided for SSH Communications and OpenSSH servers).

2. Configure SecureFX to use the identity file with public-key authentication on the local machine.

Configure a VanDyke Software VShell® Server to Recognize Your Public-Key File

In order to use your public key, you must transfer the public-key file created by the Key Generation wizard to the appropriate user's public key folder on the VShell server (for example:

C:\Program Files\VShell\Publickey\<Username>\Identity.pub).

For more details, see Configure VShell to Recognize Your Public-Key File.

Configure an SSH Communications Server to Recognize Your Public-Key File

In order to use your public key you must transfer the public-key file created by the Key Generation wizard to the ~/.ssh2 folder on the SSH2 server. It is recommended that you follow the procedure below to create a copy of the public-key file in the ~/.ssh2 folder on the remote machine.

The procedure outlined here assumes that you have the same account on both the SSH2 server and the FTP server and that they share files. If this is not the case, contact your system administrator for instruction on setting up your public-key files on your SSH2 server.

To configure the SSH2 server to recognize your public-key file:

1. On your local machine, use a text editor to create an empty file named authorization.

2. Connect to the remote server using SSH2 and password authentication.

3. On the server, create a ~/.ssh2 folder if necessary.

4. Using drag-and-drop, transfer the authorization file from the currently selected local window to the ~/.ssh2 folder in the remote window.

5. Using drag-and-drop, transfer the public-key file to the ~/.ssh2 folder.

6. Now add the line Key <identity>.pub to the authorization file (replacing <identity> with the name of your identity file). The following steps outline how to do this in SecureFX.

a. Select the authorization file in the remote window.

b. Right-click on the file and select "Open with..." from the context menu.

c. Select Notepad from the open with dialog.

d. The file will be downloaded to your local computer and Notepad will be opened to edit the file.

e. Add the line Key <identity>.pub to the file, save the change, and exit Notepad.

f. When you exit Notepad, you will be prompted to upload the file. Answer "Yes" so the change will be uploaded to the remote server.

The method described above uses only a single public key in the authorization file. It is possible to have more than one public key in the authorization file. To do this, repeat steps 5 and 6. The names of the public-key files must be unique.

Configure an OpenSSH Server to Recognize Your Public-Key File

In order to use your public key you must transfer the public-key file created by the Key Generation wizard to the ~/.ssh folder on the SSH2 server. It is recommended that you follow the procedure below to create a copy of the public-key file in the ~/.ssh folder on the remote machine.

To configure the OpenSSH server to recognize your public-key file:

1. Connect to the remote server using the SFTP protocol and password authentication.

2. On the server, create a ~/.ssh folder if necessary.

3. Using drag-and-drop, transfer the public-key file to the ~/.ssh folder. Be sure to transfer the file in ASCII mode.

4. Use a terminal emulator, such as SecureCRT, to connect to the remote machine and convert the key to one that OpenSSH will recognize using one of the following commands (be sure to replace <identity> with the name of your identity file):

% ssh-keygen -i -f ~/.ssh/<identity>.pub >> authorized_keys

If you are connecting to a version of OpenSSH that is older than 2.9, use the following command instead:

% ssh-keygen -X -f ~/.ssh/<identity>.pub >> authorized_keys2

5. Ensure that you are the only user with permissions to write to your "authorized_keys" file. This can be done using the following command:

% chmod 600 ~/.ssh/authorized_keys

The method described above uses only a single public key in the authorization file. It is possible to have more than one public key in the "authorized_keys" file. To add additional public keys, repeat steps 3 and 4.

Configure SecureFX to Use Your Identity Files

In order to successfully perform public-key authentication, SecureFX must be configured to use he identity files created earlier. To configure SecureFX to use the identity files:

1. In the Connect dialog, select the SSH2 session with which you would like to use the identity files.

2. Click the Properties toolbar button to open the Session Options dialog.

3. Click on the Connection/SSH2 category, select Public Key as one of the Authentication methods, and click on the associated Properties button.

4. On the Public Key Properties dialog either check the Use global identity file check box, or enter the full path to the session-specific identity file that you want to use. You can also use the browse button to select the identity file.

5. Click on the OK button to save the changes. If you supplied a passphrase when you created your key, you will be prompted to enter it during the connection process.

Related Topics

  1. Global Options/SSH Host Keys
  2. Use X.509 Certificates


Transferring Files

Transferring files to or from SFTP, FTP, FTPS, HTTP, HTTPS, or SCP sites can be accomplished by any of the following operations:

Open - Opening a remote file (either by double-clicking on it or by using the Open menu command) in a remote session window will initiate a download of the file. By default, you will be prompted whether you want to open the file in its associated application or save it to disk. You can configure SecureFX to automatically save the file to disk or open it by specifying the open action when editing or registering the file type.

Copy and Paste - You can initiate a transfer using the copy-and-paste method. This method can also be used to initiate file and folder transfers directly between remote servers.

Cut and Paste - You can initiate a move using the cut-and-paste method. Using this method within SecureFX will act as a move operation deleting the transferred file from its source directory.

Drag and Drop - You can initiate a transfer using the drag-and-drop method. This method can also be used to initiate file and folder transfers directly between remote servers.

Note: Using the SHIFT key in combination with drag and drop performs a move operation instead of a copy.

Download - You can choose the File menu Download command to initiate a transfer of the selected files and folders from a remote session window to a local download directory specified in the Session Options or Global Options directory. If both download directory settings are blank, the local current working directory (CWD) will be used as the destination.

To download a file from a remote server A computer program that provides services to other computer programs (called clients).Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. to a local folder, follow these steps:

1. Open a session to the remote server.

2. In the remote session window, navigate to and select the file that you want to download.

3. Click on the Download command in the File menu.

Upload - You can use the copy-and-paste or drag-and-drop methods to initiate a transfer of selected files and folders from the currently selected local window to a folder in the remote session window.

To upload a file from a local folder to a remote server, follow these steps:

1. Open a session to the remote server.

2. In the local window, navigate to and select the file that you want to upload.

3. In the remote session window, browse to and open the destination folder.

4. Use the copy-and-paste or drag-and-drop method to transfer the file.

To complete any transfer involving a remote server, you must first be successfully connected to the remote server.


Use X.509 Certificates

Overview

X.509 is a proposed standard used for generating digitally-signed public-key authentication certificates. These certificates can be used for authentication in supporting SSH systems. Not all SSH servers support X.509 certificates.

Before you can use X.509 certificates, you must configure your system to support these certificates. In the example system shown below, a client machine is connected to an SSH server which in turn is able to query a Certification Authority (CA) server.

X.509 System Configuration

Obtaining an X.509 Certificate

To obtain an X.509 certificate, begin by generating a public/private key pair on your client machine (refer to your system documentation for information on this process). Keep your private key on the local machine and forward the public key with any other required information to the CA in the form of a request for certification. If the request is approved, the CA digitally signs the certificate and returns it to you in the form of a smart card, token, or other medium.

SecureFX supports X.509 systems that work with Windows compatible smart card readers.

Configuring SecureFX to Use X.509 Certificates

Once you have your X.509 certificate, you need to configure SecureFX to use it.

1. On the client machine, start SecureFX.

2. Select the session that you want to use the X.509 certificate and open the Session Options dialog.

3. In the Connection category, select Public Key as one of your Authentication types and click on the associated Properties button.

4. In the Public Key Properties dialog, select the Use session public key setting option and then select the Use personal store certificate (CAPI) option in the Session settings group.

5. Click on the OK button to save your settings.

Note: SecureFX also supports the use of X.509 certificates for public keys on a global basis. This option is available in the SSH2 category of the Global Options dialog.


Advanced Serial Configuration Settings

The following information may be helpful to users who need a lower level of control over the serial connection.

The INI options mentioned below are found in the session's .ini file, for example <hostname>.ini in the Sessions subfolder of the Config folder. For ad hoc connections, the Default.ini file should be edited.

To avoid the possibility of damaging the INI files, close SecureCRT before editing INI files.

The location of your installation's Configuration folder is found in the General / Configuration Paths category of SecureCRT's Global Options dialog.

In SecureCRT, the serial protocol provides some config file options (INI only, but can be manipulated through scripting prior to establishing a serial connection). These options allow for finer-grained control over some of the hardware flow control lines.

Most individuals on Windows should probably use DTR/DSR flow control. Individuals should probably not use RTS/CTS in combination with DTR/DSR flow control.

Serial options which are configurable by way of the SecureCRT graphical user interface (Session Options dialog) include:

· DTR/DSR hardware flow control (not available in SecureCRT for macOS and Linux platforms)

· RTS/CTS hardware flow control

· XON/XOFF software flow control

The two hardware flow control options are described in more detail below.

DTR/DSR Hardware Flow Control

This flow control option is NOT applicable to SecureCRT on macOS or Linux platforms.

Typical serial cables will have SecureCRT's DTR pin crossed onto the remote device's DSR pin. The device's DTR pin will be crossed onto SecureCRT's DSR pin as well. This means that a wire connects SecureCRT's DSR pin to the device's DTR pin.

When DTR/DSR flow control is on, SecureCRT monitors the DSR pin to determine whether or not the remote side can receive data. Physically, this pin has the same state as the DTR pin on the remote device, because they are connected by a wire. When the remote device can receive data, it turns on its DTR pin which turns on SecureCRT's DSR pin, and allows SecureCRT to proceed with sending data.

The same process is used in reverse. When SecureCRT can receive data, it turns on its DTR pin, which turns on the device's DSR pin. When SecureCRT is not able to receive data, it turns off its DTR pin, which turns off the device's DSR pin.

When DTR/DSR hardware flow control is enabled, SecureCRT:

· Monitors the state of the DSR pin. SecureCRT stops sending data when it detects the DSR pin has been turned off.

· Manipulates the state of the DTR pin. When SecureCRT cannot receive any more data, it turns off the DTR pin.

· Ignores data received when the output DTR pin is off.

SecureCRT does not do this directly, but instructs the serial driver to act accordingly.

When DTR/DSR hardware flow control is NOT enabled, SecureCRT:

· Ignores the state of the DSR pin.

· Turns the DTR pin on, and does not change it.

Individuals who wish to override this behavior can set:

D:"DTR Flow Control"=0000000x

...where x is one of the following:

0 - Set DTR off, and leave it

1 - Set DTR on, and leave it (user interface DTR/DTS option = off)

2 - DTR hand-shake (user interface DTR/DTS option = on)

The setting of the INI "DTR Flow Control" variable only controls the way SecureCRT handles the DTR pin. It does not affect whether SecureCRT is sensitive to the DSR pin. This continues to be controlled by the user interface DTR/DTS option on the Session Options / Connection dialog.

RTS/CTS Hardware Flow Control

There are several different ways that RTS/CTS can be wired in serial cables, along with several different ways that the signals can be used.

RTS/CTS was originally a one-way flow control mechanism. The computer would turn RTS on when it wanted to send some data, and the device would respond by turning CTS on when it was ready to receive the data.

However, such a setup doesn't make much sense when communicating between two computers, or if a device is actually faster than the computer to which it is connected.

Modern NULL modem cables will probably do one of two things:

· RTS/CTS is cross-linked -- the wire from the RTS on one side is connected to the other side's CTS pin. This causes RTS/CTS to work much like DTR/DSR.

· The CTS pin can be physically connected to the RTS pin within the connector itself, making RTS/CTS flow control essentially a NO-OP.

When RTS/CTS hardware flow control is enabled, SecureCRT:

· Monitors the CTS pin and suspends output whenever it is turned off.

· Turns on the RTS pin whenever the input buffer is less than 1/2 full.

· Turns off the RTS pin whenever the input buffer is more than 3/4 full.

When RTS/CTS hardware flow control is NOT enabled, SecureCRT:

· Ignores the CTS pin.

· Turns the RTS pin on and leaves it on.

Individuals who wish to override this behavior can set:

D:"RTS Flow Control"=0000000x

...where x is one of the following:

0 - Set RTS off, and leave it off.

1 - Set RTS on, and leave it on (use interface RTS/CTS option = off).

2 - RTS hand-shake (user interface RTS/CTS option = on).

3 - RTS toggle: RTS is on/high if there are bytes to send. Otherwise it is off/low. This corresponds to the original way RTS/CTS worked. This option is only available under NT/2000/XP, not on Windows 95 and derived systems (e.g., 98, 98se, ME, etc.).

In summary, the INI "RTS Flow Control" variable does not affect SecureCRT's sensitivity to the CTS pin. It only affects the way SecureCRT manipulates the RTS pin.


Anonymous Login

Anonymous login is when a user logs on to an FTP server with the username "anonymous".

Most servers that accept anonymous logons request that you supply your email address as the password. When the Anonymous Login option is selected for a quick connect, or when creating a new session database entry, SecureFX automatically selects "anonymous" as the username and fills in the password field using the password you supplied in your Global Options/File Transfer/Options dialog.


Answerback Substitutions

This option only applies if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

When the Answerback option has been selected, SecureCRT will respond to the ENQ character with the specified answerback message defined in the Terminal/Emulation/Advanced category of the Session Options dialog. You can include the following substitution variables to be sent to the remote server when the server sends the ENQ (control byte 5) command:

\a - IPv6 address of the first adapter on the local machine (the client)

\b - Break

\c - Computer Name of the local machine (the client)

\e - Escape

\i - IPv4 address of the first adapter on the local machine (the client)

\l - Windows login name associated with the SecureCRT process running on the local machine (the client)

\m - MAC address of the first adapter on the local machine (the client)

\n - Newline

\p - Pause

\r - Carriage return

\t - Tab

\u - Username used to login to the remote server

\v - Send the current contents of the paste buffer

For example:

\i; \m; \l

will be sent to the remote server as:

127.0.0.1; 01-02-03-04-05-06-07-08; jdoe


Configure OpenSSH to Recognize Identity File

Configure OpenSSH to Recognize Your Public-Key File

In order to use your public key you must transfer the public-key file (typically Identity.pub) created by the Key Generation wizard to the ~/.ssh directory on the SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features (including SFTP) than the SSH1 protocol provides. server A computer program that provides services to other computer programs (called clients).Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. . It is recommended that you follow the procedure below for using copy and paste to create a copy of the Identity.pub file in the ~/.ssh directory on the remote machine. If you decide instead to transfer the Identity.pub file to the ~/.ssh directory using an FTP client A computer or application that uses services provided by a server. , be sure to transfer the file in ASCII mode. Also be sure to complete step 4d below.

To use copy and paste to configure the SSH2 server to recognize your public-key file:

1. Log on to the remote SSH2 server using SSH2 and password authentication The process of verifying that an individual truly is who he or she claims to be. Supplying a password is a very common method of authentication. .

2. On the local machine, use Notepad.exe to open the Identity.pub file that was created with the Key Generation wizard.

3. With the Identity.pub file opened in the Notepad application, open the Edit menu and choose Select All. Once everything is selected, open the Edit menu again and select Copy.

4. On the remote machine, complete the following steps:

a. % cat > ~/.ssh/identity.pub

b. Click on the SecureFX paste button to paste the contents of the Clipboard (which should now contain the contents of your Identity.pub file).

c. Issue a CTRL+D to close the Identity.pub file.

d. Convert the key to one that OpenSSH will recognize using the following command:

% ssh-keygen -i -f ~/.ssh/identity.pub >> ~/.ssh/authorized_keys

If you are connecting to a version of OpenSSH that is older than 2.9, use the following command instead:

% ssh-keygen -X -f ~/.ssh/identity.pub >> ~/.ssh/authorized_keys2

Note: If the key is an OpenSSH-format key, such as a converted key or a key exported from a certificate, the key does not need to be converted as shown above. Instead, use the following command:

% cat ~/.ssh/identity.pub >> ~/.ssh/authorized_keys

If you are connecting to a version of OpenSSH that is older than 2.9, use the following command:

% cat ~/.ssh/identity.pub >> ~/.ssh/authorized_keys2

e. Ensure that you are the only user with permissions to write to your "authorized_keys" file. This can be done using the following command:

% chmod 600 ~/.ssh/authorized_keys

The method described above uses only a single public key in the authorization file. It is possible to have more than one public key in the "authorized_keys" file. To add additional public keys, repeat steps 2 through 4.

Return to Using an Exported Public Key


Configure SSH Communications to Recognize Public-Key File

Configure an SSH Communications Server to Recognize Your Public-Key File

In order to use your public key, you must transfer the public identity file Identity files are two files containing the public-private key pair used to connect to an SSH server using RSA or DSA authentication. The Identity.pub file contains only the public key and is uploaded to the SSH server. The corresponding Identity file contains both public and private keys. Though "identity" is usually the name given to identity files other file names can be used. (generally Identity.pub) created by the Key Generation wizard to the ~/.ssh2 folder on the SSH2 The second version of the SSH protocol which provides a way to encrypt network traffic between a client and a server, with a slightly different set of security features (including SFTP) than the SSH1 protocol provides. server A computer program that provides services to other computer programs (called clients).Often the computer on which a server program runs is also called a server. The term host is often used as a synonym for server. . It is recommended that you follow the procedure below for using copy and paste to create a copy of the Identity.pub file in the ~/.ssh2 folder on the remote machine. If you decide instead to transfer the Identity.pub file to the ~/.ssh2 folder using an FTP client A computer or application that uses services provided by a server. , be sure to transfer the file in ASCII mode. Also be sure to complete step 4-d below.

To use copy and paste to configure the SSH2 server to recognize your Identity.pub file:

1. Log on to the remote SSH2 server using SSH2 and password authentication The process of verifying that an individual truly is who he or she claims to be. Supplying a password is a very common method of authentication. .

2. On the local machine, use Notepad.exe to open the Identity.pub file that was created with the Key Generation wizard.

3. With the Identity.pub file opened in the Notepad application, open the Edit menu and choose Select All. Once everything is selected, open the Edit menu again and select Copy.

4. On the remote machine, complete the following steps:

a. % cat > ~/.ssh2/identity.pub

b. Click on the SecureFX paste button to paste the contents of the Clipboard (which should now contain the contents of your Identity.pub file).

c. Issue a CTRL+D to close the Identity.pub file. Once you have typed CTRL+D, the Identity.pub file will have been created in the ~/.ssh2 folder on the remote machine.

d. % echo "Key identity.pub" >> ~/.ssh2/authorization

Return to Using an Exported Public Key


Creating a New Session with Connect

In contrast to the Quick Connect dialog (see Creating a New Session with Quick Connect), the New Session button on the toolbar of the Connect dialog allows you to name the session something other than the hostname or IP address of the computer to which you are connecting.

Note: "Default" is not a valid name for a session that is at the root level in the Connect dialog.

When you use the New Session button, the Session Options dialog appears (shown below), allowing you to customize all of the settings associated with the new session. Enter the Name and Protocol of your new session and the Connection subcategories will change based on your chosen protocol. To complete your setup, click on the subcategory for the Protocol you chose and enter the required information. Your Protocol setting options are SFTP, FTP, FTP/TLS (implicit), FTP/TLS (explicit), HTTP, HTTPS, and SCP.

Session Options: Creating a New Session

When you have finished setting up the new session, you will see the new session listed in the Connect dialog.


Creating a New Session with Quick Connect

The Quick Connect dialog is the fastest way to create a new session and connect to the machine associated with it. The dialog can be opened by clicking on the Quick Connect toolbar button Quick Connect button on either the SecureFX session window or the Connect dialog, or by opening the File menu and selecting the Quick Connect menu option.

Quick Connect Dialog

In the Quick Connect dialog, specify the protocol you will be using, the hostname or IP address, and any other information necessary to make the connection.

When you are finished entering the necessary settings for the connection, click on the Connect button and you will be connected to the specified host. If the Save session option is selected (this option is on by default), a session will be created and stored for future use under the name of the host or IP address you specified.

Note: You can customize SecureFX to display the Quick Connect dialog on startup rather than the Connect dialog by selecting the Show quick connect on start up option located in the Quick Connect dialog.


Enter Proxy Password

Server prompt

This field displays the prompt string returned from the server allowing you to see challenge codes, if applicable for the server.

Password

If you did not enter a password on the Global Options/Firewall dialog, you will be prompted for it when you attempt to connect. Enter your remote account password or challenge code (as applicable) in the space provided.

Save password

If you wish SecureFX to save your password, select this check box. By saving it, you will not be prompted the next time you connect to this session .


File Transfer Type

The following are the types of file transfer supported by SecureFX:

ASCII - Select this mode to transfer text files.

Binary - Select this mode to transfer program files, or other non-text files such as ZIP files.

Prompt for type - Select this option if you want to be prompted for the transfer type each time a file of the selected type is downloaded.


Icon View Options

You can select the size and layout of the icons shown in the right-hand pane of a window. The following choices are available from the View menu:: Large Icons, Small Icons, List, or Details. The icon view options may also be selected from the toolbar via the following icons:

Icon View Type

Large Icons

Small Icons

List

Details

SecureFX allows you to sort the items in a folder by Name, Size, Type or Date. You can also choose to enable the Auto Arrange option which automatically adjusts the rows and columns of the icons in your session window as you resize the window. The Auto Arrange option is only available if the icon view has been set to Large Icons or Small Icons.


License Wizard

Enter License Data Wizard

You are currently in the SecureFX Enter License Data wizard, which will step you through the process of entering your registration information. This information should be on the Software Registration Information letter that your received from VanDyke Software when you purchased SecureFX.

If you have not purchased SecureFX, you can do so on the VanDyke Software website https//www.vandyke.com.

You should have your Software Registration Information letter handy as you go through the Enter License Data wizard to ensure that you enter all the information correctly. The wizard will ask you for your Name, Company, License Key, Serial Number, and Issue Date. You must enter this information exactly as it appears on your Software Registration Information letter.


PASV

Force the server into passive mode when establishing data connections. This will cause SecureFX to actively create any data connections rather than passively listen for data connections from the server. This option is sometimes needed where the client A computer or application that uses services provided by a server. machine resides on a network whose firewall will not allow incoming connections from external servers.

The options for using this command can be found in both the Session Options/Connection/FTP and the Global Options/File TransferFTP dialogs.


Resume

Resumes an interrupted file download for the current session . SecureFX keeps track of all files and folders for an interrupted transfer and will transfer the remaining portion of any interrupted file as well as all remaining files and folders.

An interrupted transfer can be resumed at any time in a session by selecting Resume from the File menu. Additionally, if a transfer has been interrupted for any session in the session database, then the next time that session is started a dialog will prompt with the following choices:

Resume the interrupted download immediately

Delay resuming the download until later

Forget about the interrupted download

To turn off this prompting, uncheck the Prompt to resume interrupted transfers option in the Global Options/File Transfer dialog.

Interrupted file transfers may also be resumed manually or on-demand in addition to the above mechanism. This is accomplished by simply transferring the file in the usual way (i.e., drag-and-drop, cut-and-paste, download, etc.). If the file already exists in the destination folder, SecureFX will compare the size of the source file against the size of the destination file. If the size of the destination file is less than the size of the source, SecureFX will ask you if you want to overwrite the destination file, resume the transfer, or skip the file transfer.


Retry Strategy

A retry strategy consists of how many times SecureFX will try to reinitiate a connection A data path or circuit between two computers over a phone line, network cable, or other media. after it has been lost, and how long SecureFX will wait between those attempts.

By default, SecureFX will try to reconnect 20 times, waiting 10 seconds between each attempt. However, it does take SecureFX up to three minutes to realize that a connection has been lost before it begins retrying the connection. This means that if you are transferring five files and the network drops the connection on the second file, three minutes later SecureFX will attempt to reconnect. If it fails (leaving 19 retry attempts), it will wait 10 seconds and try again (and so on). If it is able to reconnect within the 20 retry attempts, SecureFX will restart the transfer with the second file and the retry attempt count is reset to 20. Any other disruption in the connection will cause SecureFX to begin the retry strategy again.

You can also specify the retry attempts and retry delay from the command line using the following command strings.

/RetryCount <count> where the variable count can be replaced by either an integer value or by the word infinite (if you would like to configure "relentless retries").

/RetryDelay <seconds> where the variable seconds is replaced by an integer value.

Related Topics

  1. Global Options/File Transfer


Sending a Serial Break

This topic is only relevant if VanDyke Software's SecureCRT® 5.0 (or newer) is also installed.

When using a serial connection, there are several ways to send a break-line condition.

If the VT220 keymap is selected, you can use the F5 key.

When using any of the keymappings supplied with SecureCRT, you can generate a break by using the CTRL plus PAUSE/BREAK key combination.

You can also use the Button Bar or Keymap Editor to arbitrarily map the Telnet function TN_BREAK to a button or to any key you like.


Using an Exported Public Key

In order to use a public key that has been exported, you will need to complete the following steps:

1. Configure the SSH2 server to recognize your public-key file (e.g., Identity.pub). Instructions are provided for configuring VanDyke Software's VShell® server, OpenSSH, SSH Communications, and Data Fellows servers.

2. Configure SecureFX to use the certificate store with the exported public key(s).

a. Open the Session Options dialog and navigate to the Connection/SSH2 category.

b. In the Authentication group, enable PublicKey authentication.

c. Select PublicKey from in the Authentication list and click on the Properties button.

d. Select Use identity or certificate file and enter capi::rawkey::my in the entry box.

If you would like this to be the default for all sessions, open the Global Options dialog, navigate to the SSH2 category, and repeat Step d.

Return to the Tools Menu


Using Compression

Data that is to be transferred over an SSH SSH is an acronym for the Secure Shell protocol. A communications protocol used to encrypt network traffic between a client and a server. connection can be automatically compressed before it is encrypted and sent. The data is then automatically uncompressed after it is received and decrypted. Compressing data can improve transfer speed over slower network links.

To configure SecureFX to compress session A session is a set of options that are assigned to a connection to a remote machine in SecureFX. These settings and options are saved under a session name and allow the user to have different preferences for different hosts. data for an SSH1 session, follow these steps:

1. Select the SecureFX session for which you want to compress data.

2. Open the Options menu and select the Session Options… command.

3. Select the Connection/SSH1/Advanced category.

4. In the Options group, select the type of Compression that you want (this option is None by default).

5. You can then choose the compression Level setting. The Level ranges from 0 (minimal compression) to 9 (maximum compression). A higher Level means better compression but slower performance. The default value is 5.

To configure SecureFX to compress session data for an SSH2 session, follow these steps:

1. Select the SecureFX session for which you want to compress data.

2. Open the Options menu and select the Session Options… command.

3. Select the Connection/SSH2/Advanced category.

4. In the Options group, select the type of Compression that you want (this option is None by default).

5. You can then choose the compression Level setting. The Level ranges from 0 (minimal compression) to 9 (maximum compression). A higher Level means better compression but slower performance. The default value is 5.